Release 4.225.123 vom 15.12.2022
================================

Sonstiges
-Export: Wenn in Rolle einer Standardbesetzung nur ein Enddatum angegeben ist schreibt der Website-Export alle Spielzeiten seit Exportbeginn aus, obwohl Produktion in weniger Spielzeiten gespielt wird. (Bug#18430)
-Rechtschreibung (Bug#18433)


Release 4.225.122 vom 12.12.2022
================================

Sonstiges
-Dienstplaneintragsarten: Die Kopie lässt sich verändern. (Bug#18428)
-Kontakt -> Benötigte Maßnahmen: Die Auswahl der benötigten Maßnahmen weicht vom Vertrag ab. (Bug#18429)


Release 4.225.121 vom 08.12.2022
================================

Sonstiges
-Dienstplan: Trotz der Berechtigung, manuelle Pausenzeiten zu erfassen, lassen sich diese nicht ändern. (Bug#18421)


Release 4.225.120 vom 08.12.2022
================================

Sonstiges
+Ressourcetypen können Kategorien zugeordnet werden (Feature#18397)
-Dienstplan: Qualifikation aus Standardbesetzung - der Zeitraum wird nicht tagesgenau geprüft (Bug#18408)
-Dienstplan: Funktion "Schicht umplanen" mit Rechtsklick auf das Tagesdatum lässt keine Mitarbeiterauswahl zu (Bug#18409)
-Personen: Qualifikationen können ohne Berechtigung auf Kontaktdate gesehen werden (Bug#18420)


Release 4.225.119 vom 06.12.2022
================================

Sonstiges
-Tagesplan: Eintragen von Besetzungen und Aktivitäten schlägt fehl. (Bug#18401)


Release 4.225.114 vom 01.12.2022
================================

Sonstiges
-Rechnungen: Wenn eine Wohnungsposition aus einer Rechnung gelöscht wird, kann keine neue Position aus der Wohnungsverwaltung erstellt werden. (Bug#18387)


Release 4.225.113 vom 29.11.2022
================================

Sonstiges
-Dienstplan: Tagesnotiz bearbeiten landet auf Dienstplaneinstellungen/Qualifikation, nicht auf Tagesnotiz (Bug#18328 | Kategorie 4 - Niedrig)
-Dispomaske bearbeiten: Die Frage ob Änderungen gespeichert werden soll, erscheint auch ohne Änderungen (Bug#18380 | Kategorie 4 - Niedrig)
-Mitarbeiter/Kontakte -> Kalender -> Tages- und Wochenansicht: "Heute" und "Gehe zu" lösen keinen Effekt aus (Bug#18385)


Release 4.225.112 vom 28.11.2022
================================

Sonstiges
-Aktivitätsdetails->Besetzungen: Wird der Dialog geschlossen, wenn der Auswahltree "Modul/Abteilung" geöffnet ist, kommt ein Fehler. (Bug#18381 | Kategorie 4 - Niedrig)
-Aktivität bearbeiten (Zeit): Ist auf eine Countdown-Aktivität keine Berechtigung vorhanden, kommt ein Fehler (Berechtigung) (Bug#18382)
-Stammdaten: Abteilung ->Mögliche Zulagen werden nicht angezeigt (Bug#18386)


Release 4.225.111 vom 23.11.2022
================================

Sonstiges
-Kontakte->Kalender (Dispo): Tägliche Zulagen werden nur angezeigt, wenn es einen Dienstplaneintrag gibt  (Bug#18378)
-Dispo/Produktion: Fehlermeldung "Sie haben keine Berechtigung zum Schreiben geheimer Besetzungen!" bei Änderung der Vorstellungs-Endzeit (Bug#18379)


Release 4.225.110 vom 23.11.2022
================================

thea.perso
-Bei Arbeitszeit aus geteilten Dienst werden Pausen bereits bei erreichen der "Regelzeit" abgezogen, ohne geteilten Dienst erst bei überschreiten der "Regelzeit" (Bug#18365)

Sonstiges
-Produktion kopieren: kopiert zwar Rollen, aber nicht die Qualifikationen. (Bug#18209)
-Dienstplan (Besetzungen) Chor: Springt bei Anwahl von "Freier Zeitraum" immer wieder auf ein immer gleiches Datum in der Vergangenheit (Bug#18318)


Release 4.225.108 vom 15.11.2022
================================

Sonstiges
+Projektplanung: Aktivitäten können verschoben werden (zeitlich) (Feature#18359)
-Plan Besetzung pro Produktion -> basiccast -> "Standardbesetzung ab" gibt ab 2. Besetzung keine Werte aus (Bug#18276)
-Orchester Web: Diensteinteiler mit Leserecht/Orchesteroption kann in eigener Gruppe den Dienst zwar auswählen, er wird aber nicht gespeichert (Bug#18339)
-Abwesenheitsplanung: Wenn Vormittags ein VmF eingetragen ist, und nachmittags eine Besetzung sowie ein Eintrag aus der Standardbesetzung und am Folgetag nichts eingetragen ist, steht die Besetzung aus der Standardbesetzung am Folgetag. (Bug#18358)
-Wohnungsverwaltung: Es können keine Übernachtungen an nur einem Tag eingetragen werden (Bug#18363)
-Rapport: Die Formel "Stunden nach Tagesarten" berücksichtigt bei Diensten aus Besetzungen keine Pausen (Bug#18364)


Release 4.225.105 vom 09.11.2022
================================

Sonstiges
-Dispo: Wechsel der Spielzeit, wenn auf mehrere Produktionen gefiltert ist, führt zu Ausnahmefehler. (Bug#18340)


Release 4.225.103 vom 09.11.2022
================================

thea.dispo
+Dispo: Es können benannte Filter gespeichert und abgerufen werden (Feature#18330)

Sonstiges
+Pro Vertrag kann abweichende festgelegt werden, ob Zulagen ausbezahlt oder übertragen werden sollen (Feature#18219)
+Rapportformel: Ausgabe der Stunden (z.B. über 13h), wenn ein Mitarbeiter in der Spielzeit mehr als x (30 mal Anzahl) über 13h gearbeitet hat (Feature#18223)
+Gesundmelden: Es können auch Personen angezeigt werden, deren letzter Krankheitstag  nicht am Vortag lag. z.B. innerhalb der letzten 7 Tage (Feature#18233)
+Erweiterung der Aboregeln: Es kann die Anzahl der Vst. pro Sparte, und die Anzahl der Vst in den Schulferien angegeben werden. (Feature#18242)
+Rapport: Es kann jeden MA sein persönlicher Rapport per Mail zugesendet werden (Feature#18260)
+Tarif: Für die Warnmeldung für die minimale Zeit zwischen geteilte Dienste kann ein Zeitwert angegeben werden, unter dem die Meldung nicht ausgegeben wird. (Feature#18291)
+Formel "Zeitkonto": Die Arbeitszeitprozente werden für monatlich gutgeschriebene Werte berücksichtigt. (Feature#18302)
+Produktionsfelder: Felder können formatier ausgegeben werden  (Feature#18319)


Release 4.224.120 vom 28.10.2022
================================

thea.perso
-Dienstplan/Bedarfsplan: Manuell erstellt Auflagen werden teils unter "Darsteller" angezeigt  (Bug#18311)
-Dienstplandruck: Der zu verwendende abweichender Filter für den Spielplan wird nicht gespeichert  (Bug#18312)

Sonstiges
+Tagesinfo: Bei den Abwesenden wird der Kontaktbereich mit angezeigt (Feature#18313)


Release 4.224.119 vom 26.10.2022
================================

Sonstiges
-Noten Ausleihe: Beim Versenden der Noten als Anlage kommt ein Fehler (Bug#18283)
-Wohnungsverwaltung: InvalidOperationException beim Scrollen durch die Wohnungsverwaltung. (Bug#18290)
-Dienstplan: Layouteinstellungen geht nicht auf.  (Bug#18301)
-In der "Abrechnungsbericht Chor-Aushilfen" kann es zu einem NullReferenceException kommen. (Bug#18309)


Release 4.224.118 vom 17.10.2022
================================

Sonstiges
-Maßnahmendetails: Die Controls sind falsch "verankert", bei Größenänderungen verschieben sich die Controls  (Bug#18268)
-Bericht Abrechnung von Honoraren/Zulagen ohne Vorlage: Rollenbezeichnung bei mehreren Besetzungen nicht korrekt ausgegeben (Bug#18286)
-Abwesenheitsplanung: Vorstellungen werden nicht Fett markiert, wenn am selben Tag eine optionale Aktivität liegt. (Bug#18289)


Release 4.224.116 vom 13.10.2022
================================

Sonstiges
-Produktionszulagen speichern die Vertragsarten nicht. (Bug#18277)
-Null Reference Exception beim Drucken von Rechnungen. (Bug#18284)
-Noten Ausleihe: Beim speichern kommt eine Fehlermeldung (Bug#18285)


Release 4.224.115 vom 12.10.2022
================================

Sonstiges
-Rotation von Bildern wird nicht ausgelesen und interpretiert (Exif) (Bug#18282)


Release 4.224.114 vom 07.10.2022
================================

thea.perso
-Speichern der Abteilungsfilter schlägt fehl ohne Schreibrecht auf Abteilung. (Bug#18278)

Sonstiges
-WCF-Service verwendet alte DLLs (Bug#18266)
-Bedarf/Personalqualifikationen: Beim Einplanen werden auch Aufgaben aus Countdowns angeboten (Bug#18273 | Kategorie 4 - Niedrig)
-Terminübersicht: AllAppointments gibt nicht alle Termine aus. (Bug#18279)


Release 4.224.113 vom 28.09.2022
================================

Sonstiges
-Kassenanordnung-Export: Loga Feldnamen korrigiert (Bug#18265)


Release 4.224.112 vom 20.09.2022
================================

Sonstiges
-Festivalzuordnungen können nicht gelöscht werden. (Bug#18241)


Release 4.224.111 vom 19.09.2022
================================

Sonstiges
-Rapportformel: Wird in der Formel "Berech. Lohnbe am Tag" auf die erweiterten Einstellungen aus den Abrechnungsregeln zugegriffen, und sind dem Dienst mehrere Aufgaben zugeordnet, wird der Wert pro Aufgabe ausgegeben (Bug#18237)
-Projektplanung: In der Zeitachsenansicht wird beim ändern der Biszeit ein Tag addiert (Bug#18238)
-Kontaktsuche: In er Visitenkartenansicht werden keine Profilbilder angezeigt (Bug#18239)


Release 4.224.109 vom 15.09.2022
================================

thea.perso
-Dienstplandruck: mehrere Tagesbemerkungsspalten. Wenn Summenspalten vor Dienstplan angezeigt werden verbinden sich die Zeilen am Sonntag zu einer Zeile (Bug#18227 | Kategorie 4 - Niedrig)

Sonstiges
+Das Activity.Content Converterfeld zeigt jetzt bei Vorstellungen ohne Inhalt den Inhalt der Produktion an. (Feature#18229)
-Aktivitäten: Abteilungsbezogene Bemerkung lässt sich zwar eintragen, speichert aber nicht (Bug#18228)


Release 4.224.108 vom 07.09.2022
================================

Sonstiges
-Plan->Eine "Zeile pro Aktivität": Der Filter nach Produktion hat keine Auswirkung (Bug#18182)


Release 4.224.106 vom 07.09.2022
================================

Sonstiges
-Dienstplan -> Layout-Einstellung : Auf der Seite Spielplan wird nichts angezeigt. (Bug#18206)
-Terminübersicht-> Der erste Reiseschritt wird nicht ausgegeben. (Bug#18207)
-Dienstplandruck: In der Kombination "2 Spaltiger Druck" + "Bemerkung pro Schicht" + "Ausgabe der Tagesarbeitszeit" + "Bemerkung in eigene Zeile" wird die Bemerkung der 2. Schicht nicht ausgegeben. (Bug#18208)


Release 4.224.105 vom 02.09.2022
================================

Sonstiges
-Dienstplan->Summenspalte-> WoSoll: Wird z.B. nur der Dienst am Sonntag eingetragen, wird ein falscher Wert (z.B. 48h) angezeigt (Bug#18183)


Release 4.224.103 vom 31.08.2022
================================

Sonstiges
-Kontakte - VCard mit vertraulichen Daten ist leer. (Bug#18198)


Release 4.224.102 vom 30.08.2022
================================

Sonstiges
+Ausgabe nach Excel: Die Ausgabe erfolgt im passenden Datenformat (Feature#18121)


Release 4.224.101 vom 29.08.2022
================================

Sonstiges
+Kostüme: Für Kostüme können gedruckt werden, es sin Druckvorlagen vorhanden (Feature#17760)
+Aktivitäten können auch nach "oder" verknüpften Bedingungen gefiltert werden (Feature#18130)
+Es ist eine neu Planart zur chronologischen ausgebe aller Termine einer Person verfügbar (Feature#18137)
+Eine Liste der Namen der zugeordneten Maßnahmentypen kann bei einer Aktivität ausgegeben werden. (Feature#18186)
-Produktionen: Standardbesetzung - Nach dem Ändern der Anzahl ändern sich die ausgewählten Zellen. (Bug#8113)
-Produktion->Standardbesetzung->Ersatz: Als "Besetzungsrang" kann nur 1.- 4. Besetzung eingetragen werden (Bug#18192)


Release 4.224.100 vom 29.08.2022
================================

Sonstiges
-Standardbesetzungsfilter generiert SQL-Exception  (Bug#18180)


Release 4.223.121 vom 18.08.2022
================================

Sonstiges
-Standardbesetzungen in Spielzeit kopieren: Enthält eine Rolle unbefristete Standardbesetzungen über der 4. Besetzung, werden keine Standardbesetzungen kopiert (Bug#18175)
-Maßnahmenverwaltung: Die Spalte Ablauf ist nicht als Datum formatiert, von daher nicht nach Datum sortierbar. (Bug#18176)
-Tagesplan: Null-Reference-Exception, wenn einzelne Besetzungen aufgrund von Überschneidungen nicht eingeplant werden  (Bug#18179)


Release 4.223.118 vom 04.08.2022
================================

thea.staff
+Maßnahmenverwaltung: Personalgespräch ist als Maßnahmenkategorietyp verfügbar. (Feature#18161)

Sonstiges
-Adressplan -> Childcontacts gibt für First und Last den selben Kontakt aus. (Bug#18160)


Release 4.223.116 vom 29.07.2022
================================

thea.orchester (web)
-Bei Änderungen der Dienstanzahl fürs Orchester aktualisiert sich die Webseite nicht (zeitnah). (Bug#17835)

Sonstiges
-Projektplanung: In einigen (unteren) Ansichten werden "falsche" Kontextmenüs angezeigt (Bug#18119)
-Tagesplan: Es werden keine Tagesplanabschnitte ohne Besetzungen ausgegeben (Bug#18120)
-Dienstplan (Besetzungen): Bei Rollengruppen werden die Positionen nicht übernaommen (Bug#18135)
-Kassenanordnung/Sepa-Export: Prüfung auf korrekte BIC (Bug#18141)
-Export: Es werden auch "Probenspielzeiten" Exportiert (Bug#18143)
-Abwesenheitsplanung -> Halbe freie Tage einplanen plant an komplett freien Tagen immer Nachmittagsabwesenheiten ein (Bug#18156)
-Dienstplanfreigabe: In der Email kann der Abteilungsname nicht mehr ausgegeben werden. (Bug#18157)


Release 4.223.115 vom 06.07.2022
================================

Sonstiges
-Projektplanung (Bug#18111)


Release 4.223.114 vom 05.07.2022
================================

Sonstiges
-Dispo: InvalidOperationException, wenn es die "Soliprobenproduktion" (id-1) nicht gibt. (Bug#18090)
-Fundus: Keine Berechtigung auf Tabelle "Cast" , Registrierungen sind im Module "Maske" - Auslagern in CostumeShares o.Ä. (Bug#18110)
-Dispo-Berichte: Diensthochrechnung-> Es stehen keine Abteilungen mehr zur Auswahl. (Bug#18112)


Release 4.223.110 vom 28.06.2022
================================

thea.perso
-Abwesenheitsplanung: Versenden des Dienstplans per Mail  schlägt fehl. (Bug#18104)


Release 4.223.109 vom 27.06.2022
================================

thea.orchester
-Stammdaten Orchester: Instrumenteneigenschaften lassen sich nicht ändern. (Bug#18094)

Sonstiges
-Instrumentenverwaltung: Wenn die Zeiträume von Wertschätzungen sich überschneiden werden die Instrumente doppelt angezeigt (Bug#18101)
-Kontaktimport: Es lassen sich keine Vertragsdaten speichern (Bug#18102)


Release 4.223.108 vom 24.06.2022
================================

Sonstiges
-In Ausgaben können keine Bios ausgegeben werden (Bug#18099)


Release 4.223.106 vom 23.06.2022
================================

Sonstiges
-Besetzung pro Produktion: Die Liste zur Auswahl der Spielzeiten ist nicht sortiert (Bug#18093)


Release 4.223.101 vom 17.06.2022
================================

thea.dispo
+Im Bericht "Vorstellungsbudget" können wahlweise die Honorare nach besetzen Proben ausgegeben werden (Feature#18006)
+Vertragsdruck: Implementierung von Felder zur Ausgabe des Programmes (Werke) der im Vertrag enthaltenen Konzerte. Zu den Werken können die laut Szenario besetzen Personen der Standardbesetzung ausgegeben werden. (Feature#18024)
+Vertragsdruck: Implementierung eines Feldes zur Ausgabe der gesamten Vertragskosten. Die Ermittlung der Kosten basierend auf den besetzten Aktivitäten. (Feature#18028)
+ Verwaltung von Ausländersteuern und Solidaritätszuschlägen (Stammdaten, Vertragsfelder, Berechnungen, Ausgabefelder für Vertragsdruck) (Feature#18032)
+Festivalverwaltung (Anlegen von Festivals, zuordnen zu Produktionen, Filter in Dispo, bei den Produktionen und beim Plan "Liste der Aktivitäten") (Feature#18040)

thea.perso
+Es kann ein vorläufiger Jahresabschluss gemacht werden.  (Feature#17863)
+Funktionen zum Übertragen von auszuzahlenden Stunden aus unterschiedlichen Lohnarten (Feature#17944)
+thea.perso->Abrechnungsregeln: Es kann ein Betrag pro Dienst abgerechnet werden. (Feature#17965)
+Dienstplan->Wochenfreigabe: Beim Wechsel zu einigen Freigabestatus wird zur Kommentareingabe aufgefordert. Der Kommentar wird angezeigt. (Feature#17998)

thea.costume
+Kostümverwaltung/Maskenverwaltung: Es gibt einen Knopf für die Anlage neuer Kostüme/Maskenteile (Feature#17644)
+Es ist eine Detailansicht pro Kostümteil (Model) verfügbar (Feature#17954)

thea.dispo (web)
-Öffentliche Pläne nicht mehr sichtbar. (Bug#18045)

thea.mask
+Kostümverwaltung/Maskenverwaltung: Es gibt einen Knopf für die Anlage neuer Kostüme/Maskenteile (Feature#17644)

thea.travel
+Wohnungsverwaltung: Es können Rechnungen erstellt werden (Feature#17878)

Sonstiges
+Auditions: Es lassen sich Bewerbungen importieren (Feature#17694)
+Kontaktausgabe: Geschlechtsspezifische Anreden können einfacher über ein "Bool" Feld erstellt werden (Feature#18013)
+thea.web: Über die Option AuthenticateWindowsCredentials kann die Gültigkeit von Windows-Anmeldungen geprüft werden (Feature#18076)


Release 4.223.100 vom 15.06.2022
================================

Sonstiges
-Aktivitätsdetails/Aufgaben/Neu Anlegen: Neu Aufgaben werden unter "Darsteller" gespeichert. (Bug#18061)
-Tagesplan: Werden Probenbesetzungen (mit Zeiten) in der Dispo angelegt, wird auch nach Endzeiten unterschieden (Bug#18074)


Release 4.222.117 vom 10.06.2022
================================

Sonstiges
-Parralelvorstellungen : Es wird immer nur die erste Standardbesetzung angeboten. (Bug#18063)
-Stammdaten: Dienste aus Arbeitszeit-> Die Liste der Zeitkonten die zur Auswahl steht ist nicht immer aktuell. (Bug#18064)
-Tourneen: Beim hinzufügen der Standardzulagen kommt ein Fehler (Bug#18065)
-Startseite/Besetzungskonflikte: Es werden auch zu ausgefallenen Aktivitäten Konflikte angezeigt (Bug#18068)


Release 4.222.116 vom 03.06.2022
================================

Sonstiges
-Perso-Berichte/Dienstauswertung: In der Filtereinstellung „zusätzlich alle Feiertage“  kommt eine Fehlermeldung (Bug#18062)


Release 4.222.115 vom 03.06.2022
================================

Sonstiges
-Cast-Feld: Bei ungruppierten Listen wird die Sortierung nicht immer ausgewertet. (Bug#18060)


Release 4.222.114 vom 31.05.2022
================================

Sonstiges
-Kontaktkalender: Bei Überschneidenden Abwesenheiten springt das Bild auf eine Mischung aus Kalender und Grunddaten. (Bug#18010)
-Auszahlen vor Faktor zahlt Minuten aus, obwohl Stunden angefallen sind.  (Bug#18046)
-Kassenanordnungen: Zeitkontenwerte werden mehrmals ausgezahlt (Bug#18051)


Release 4.222.111 vom 27.05.2022
================================

Sonstiges
-Personenkalender: Bei Mehrteilern werden keine unbesetzten Proben angezeigt (Bug#18023)


Release 4.222.110 vom 25.05.2022
================================

Sonstiges
-Dienstplan: Die Formel Rapportspalten ermittelt den falschen Wert für Durchrechnungszeiten. (Bug#17986)
-Beim Ausführen des Exportes "ConfigurableWageDataExport v1.0"  kommt eine Fehlermeldung (Bug#18048)


Release 4.222.109 vom 20.05.2022
================================

Sonstiges
-Field Control: Das Control für formatierten Text gibt falschen Text wieder (Bug#18044)


Release 4.222.107 vom 18.05.2022
================================

Sonstiges
-Beim besetzen im Tagesplan wird keine Prüfung auf die Nachtruhe durchgeführt (Bug#18022)


Release 4.222.105 vom 17.05.2022
================================

Sonstiges
-Wohnungsverwaltung: Beim Druck einer Buchung werden nicht alle Felder ausgefüllt (Bug#17996)
-Beim Löschen eines Benutzers wird die History-Kenntnis nicht mit gelöscht (Bug#18012)


Release 4.222.104 vom 03.05.2022
================================

Sonstiges
-Tagesplan: Im Castfeld wird die Sortierung nicht ausgewertet, wenn nach Start gruppiert wird. (Bug#17719 | Kategorie 4 - Niedrig)


Release 4.222.103 vom 03.05.2022
================================

Sonstiges
-Kassenanordnung - Nicht alle Auszahlungswerte des Rapports sind auch in der Kassenanordnung enthalten. (Bug#17991)


Release 4.222.102 vom 29.04.2022
================================

Sonstiges
-Reiseverwaltung: Neu hinzugefügt Reisen werden erst nach neuen öffnen des Fensters angezeigt (Bug#17976)
-thea.works: Aufgaben können nicht gelöscht werden. (Bug#17985)


Release 4.222.100 vom 26.04.2022
================================

thea.perso
+Rapport: Es können Zulagen für die Verkürzung von Nachtruhen unterschiedlicher längen angegeben werden. (Feature#17836)
+Dienstplan: Der abgeschlossene Sollplan kann über eine Funktion bearbeitet werden. (Feature#17840)

Sonstiges
+In allen Importen können alle unterstützen Datei-Formate importiert werden (Feature#17779)
+Möglichkeit, in der Naz-Verteilung Konten aufgeteilt auszugeben  (Feature#17852)
+Wohnungsverwaltung: Die möglichen Planungsstatus einer Buchung können verwaltet, und Farben zugeordnet werden. Die Farben werden in der Planung und im Druck angezeigt  (Feature#17882)
+Wohnungsverwaltung: Das Ein- und Auschecken von Personen kann verwaltet, und in der Planung angezeigt werden (Feature#17886)
+Wohnungsverwaltung: Entwicklung einer Ausgabe nach Excel mit horizontaler Zeitachse. Zwischen den Buchungen wird ein Leerraum ausgegeben. Als Ausgabezeitraum werden Wochen vorgeschlagen (Feature#17894)
+Für Teilzeitmitarbeiter kann abgegeben werden ob, die Anzahl der Arbeitszage fix oder variabel ist (Feature#17948)
-Dienste aus Arbeitszeit - die Dienstlänge wird nicht mehrfach ausgewertet (Bug#17953)
-Persobericht: Zeiten pro Monat/Woche -> Die Summe der Ansprüche wird nicht korrekt dargestellt. (Bug#17958)
-Maßnahmendetails: Die Anhänge sind nicht sichtbar. (Bug#17960)


Release 4.221.122 vom 08.04.2022
================================

Sonstiges
-Kontakte/->Presse: Bei langen Texten steht der Cursor/Scrolleisten am Textende, der Beginn des Textes ist nicht sichtbar.  (Bug#17875)
-Dienstplan: Es wird kein Personalbedarf für Proben angezeigt  (Bug#17952)


Release 4.221.121 vom 01.04.2022
================================

Sonstiges
-Vorstellungsbudget: Honorar aufgrund von Rollen-Abrechnungsregeln in Mehrteilern werde nicht immer ausgegeben (Bug#17933)


Release 4.221.119 vom 30.03.2022
================================

Sonstiges
-Vorstellungsbudget: Von den untergeordneten Produktionen eines Mehrteilers werden die vorstellungsbezogenen Kosten nicht ausgegeben, Pauschalen werden nicht nach Sparten gefiltert (Bug#17931)


Release 4.221.117 vom 29.03.2022
================================

Sonstiges
-Dienstplandruck - Der "leere" Entwurfsstatus kann nicht auf dem Dienstplandruck ausgegeben werden. (Bug#17928)
-Kassenanordnung: Fremdwährungen werden nicht richtig dargestellt. (Bug#17930)


Release 4.221.115 vom 22.03.2022
================================

thea.staff
- Aktivitätsdetails (Unterweisungen)->Besetzung: "Benötigt Teilnehmer hinzufügen" bieten nicht die benötigten Teilnehmer aus Maßnahmengruppen an. (Bug#17856)

Sonstiges
+Tournee: In der Liste der Tourneen sind Spalten mit Start- und Endzeit verfügbar. Nach allen Spalten kann gefilterter werden. Spalteneinstellungen werden gespeichert (Feature#17909)
-Normalarbeitszeitverteilung: Mehrarbeit für Teilzeitmitarbeiter in kürzeren/längeren Wochen wird nicht ausgewertet. (Bug#17902)
-Rapportformel->Dienste aus Arbeitszeit: Es werden auch Dienste für Abwesenheiten ohne Arbeitszeit (AU, Urlaub am WE) angerechnet. (Bug#17913)
-Sind in der Projektplanung bühnenspezifische Aufgeben angelegt, kommt es in der Dispo beim Filter nach Wochentagen zu einem Fehler (Bug#17916)


Release 4.221.113 vom 17.03.2022
================================

thea.project
-Fehler->Projektplanung: Wird ein neuer Task erneut im Detailfenster geöffnet, werden "Abbrechen" alle Daten zurückgesetzt (Bug#17903)

Sonstiges
-Änderungen der Sortiernummer hat bei Summenspalten keine Auswirkung (Bug#17904)


Release 4.221.112 vom 09.03.2022
================================

Sonstiges
-Guthabenkonto wird negativ übertragen auch wenn übertragen aus ist. (Bug#17851)


Release 4.221.111 vom 09.03.2022
================================

thea.perso
-Dienstplan: In noch nicht abgeschlossenen Monaten werden keine negative Korrekturwerte angezeigt. (Bug#17859)

Sonstiges
-Normalarbeitszeitverteilung: Dienstplanänderungen werden nicht ausgewertet, wenn Krank eingetragen war. (Bug#17860)
-Normalarbeitszeitverteilung: Wöchentliche Durchrechnungszeiten können zur Reduzierung von Mehrarbeitsstunden führen. (Bug#17861)


Release 4.221.110 vom 03.03.2022
================================

Sonstiges
-Tourneen: Eine neu angelegte Tournee lässt sich nicht speichern (Null Reference Exception) (Bug#17833)
-Soliproben: Wenn die Besetzung bei den Soliproben geändert wird, bleibt ggf. der alte Vertrag zugeordnet (Bug#17857)
-Standardbesetzungen ändern: Ist die Option "Nicht bei Änderungen der Std.-Besetzung für abw. Bes. warnen" gesetzt, werden die Abendbesetzungen Spielzeitübergreifend geändert (Bug#17858)


Release 4.221.109 vom 01.03.2022
================================

Sonstiges
-Personensuche: Kontaktbereiche können nicht mehr gefiltert werden. (Bug#17793)
-Beim Monatsabschluss werden die in andere Konten übertragenen Werte nicht überschrieben, wenn 0 geschrieben werden würde (Bug#17810)
-Monatssummenrapport: Manuelle Auszahlungen/Übertragungen werden nicht immer angezeigt. (Bug#17846)


Release 4.221.107 vom 28.02.2022
================================

thea.perso
-Normalarbeitszeitverteilung=> Die Arbeitszeit an freien Feiertagen wird zu hoch angenommen. (Bug#17832)

Sonstiges
-Besetzungsplan: Der Plan gibt keine Besetzungen mehr aus, wenn nicht auf eine Person gefiltert wird. (Bug#17834)


Release 4.221.106 vom 24.02.2022
================================

thea.dispo
-Kostenträger lässt sich nicht zuordnen (Bug#17749)

Sonstiges
-Ochesterdispo: Der Auswahlmodus schaltet auf Mehrfachauswahl nach Wochenwechsel und lässt sich nicht mehr zurücksetzen. (Bug#17811)


Release 4.221.104 vom 22.02.2022
================================

Sonstiges
+Länder: Es gibt eine Funktion zum hinzufügen alle Länder (Feature#17773)
-Stammdaten: Es können keine Preisgruppen gelöscht werden (Bug#17813)
 Durch einen veralteten Tablellennamen 'Auführg' wurde nicht geprüft, ob die ausgewählte Preiskategorie noch verwendet wurde.
Nicht verwendete Preiskategorie kann jetzt gelöscht werden.


Release 4.221.103 vom 18.02.2022
================================

thea.staff
+Maßnahmen: Bei den "Benötigten Maßnehmen" kann für mehrere Person auf einmal eine Teilnahme eingetragen. (Feature#17740)

thea.travel
+Wohnungsverwaltung: Der Status ist in der Übersicht ersichtlich (Feature#17650)

Sonstiges
+Verträge: Für Solisten kann pro Jahr/Spielzeit ein Urlaubsanspruch, Vortrag eingetragen werden. (Feature#7480)
+Dienstplan: Mitarbeiter die in "anderen Abteilungen" sind werden "markiert". Sind Mitarbeiter in anderen Abteilungen, werden diese nicht bei den Anwesenheiten mit gezählt. (Feature#17662)
+Produktionen->Kosten: Kosten pro Vst können unbefristet (Spielzeitübergreifend)  hinterlegt werden. (Feature#17736)
+Kontakte: Es können Stichworte hinterlegt werden (Feature#17764)


Release 4.221.100 vom 15.02.2022
================================

Sonstiges
-Dataservice- Keine Auswahlberechtigung auf Tournee-Anhänge (Bug#17794)


Release 4.216.130 vom 17.02.2022
================================

Sonstiges
-Dienstplan: Regeln für das Vermindern der Soll-Az an Feiertagen werden nicht an freien Tagen angewendet (Bug#17805)
-Normalarbeitszeitverteilung: Die  Mehrarbeit für Vollzeitkräfte wird zu hoch angenommen.  (Bug#17806)


Release 4.216.129 vom 11.02.2022
================================

thea.contact
-Kontaktsuche: Es kann nicht nach Kontaktbereichen gefiltert werden (Bug#17787)

Sonstiges
-Auditions: Beim wechseln des Auditiontypes wechseln die Felder etwas verzögert (Bug#17791)


Release 4.216.127 vom 08.02.2022
================================

thea.dispo
-Aktivitätsdetails->Aufgaben->Besetzungen: Beim hinzufügen einer Besetzung kann es zu einem Fehler kommen (Bug#17759)

thea.perso
-Normalarbeitszeitverteilung - Die Durchrechnungszeiten von Teilzeitlern an Feiertagen stimmen nicht. (Bug#17758)
-NAZ-Verteilung - Dienstplanänderungen im vorherigen Steuerzeitraum werden doppelt angerechnet. (Bug#17778)


Release 4.216.126 vom 02.02.2022
================================

Sonstiges
-Anhängen von Dokumenten an Vertragsdokumente schlägt fehl (Bug#17757)


Release 4.216.125 vom 02.02.2022
================================

Sonstiges
-Formel Dienste aus Arbeitszeit: Die Anzahl der ermittelten Dienste ist zu hoch. (Bug#17752)


Release 4.216.120 vom 27.01.2022
================================

thea.perso
-Dienstplan: Der ICS - Export wird nicht angezeigt (Bug#17735)


Release 4.216.119 vom 25.01.2022
================================

thea.dispo
+Plan: Das Bearbeitungsfenster reagiert langsam (Feature#17729)


Release 4.216.118 vom 21.01.2022
================================

Sonstiges
-Budgetverwaltung: Es wird nicht richtig nach kostenträger und Kostenstellen sortiert  (Bug#17723)


Release 4.216.117 vom 20.01.2022
================================

Sonstiges
-NAZ-Verteilung: 6. Arbeitstag in der Woche wird bei verschobenem Freien Tag als MA25 gerechnet. (Bug#17717)
-Personfielddata speichert nicht alle Sonderzeichen. (Bug#17721)


Release 4.216.116 vom 19.01.2022
================================

thea.perso
-Rapport:  Die Formel "Erschwerniszulagen" kann ungültige Werte enthalten (Bug#17720)


Release 4.216.114 vom 17.01.2022
================================

Sonstiges
+ Export->Ftp: Beim testen der FTP Verbindung wird auch eine Testdatei übertragen werden (Feature#17712)


Release 4.216.113 vom 14.01.2022
================================

Sonstiges
-Personaldaten - Bei Änderung des Feldtyps gibt es eine Fehlermeldung,  (Bug#17709)


Release 4.216.111 vom 12.01.2022
================================

Sonstiges
-Plan : Abofilter ->wenn Überabos ausgewählt werden, werden alle ausgegeben.  (Bug#17648)


Release 4.216.109 vom 11.01.2022
================================

thea.dispo
+Aktivitätsfelder können Werkearten/Sparten zugeordnet werden, in denen sie angezeigt werden. (Feature#17377)
+CastConverter: Es Können Reisen ausgegeben werden (Feature#17672)
+Tagesplan: Auch bei den mit der Probe beginnenden Besetzungen wird in den Probenabschnitten ein "f." ausgegeben (Feature#17703)


Release 4.216.108 vom 06.01.2022
================================

thea.perso
-Kontaktkalender -> Löschen von Schichten schlägt fehl. (Bug#17698)


Release 4.216.101 vom 03.01.2022
================================

thea.dispo
+Für das Szenario können eigene Berechtigungen vergeben werden (Feature#17540)
+BasicCastConverter: Es kann die Besetzungsposition/Rang ausgegeben werden (Feature#17676)

thea.perso
+Arbeitszeiten aus Besetzungen: Pro gearbeiteten Tag kann die anrechenbare Arbeitszeit erhöht werden (Feature#17619)
+Monatssummenrapport: Überträge und Auszahlungen werden in eigenen Zeilen summiert. (Feature#17638)
-Werkstätten -Ma50 wertet MA25 nicht aus -Einstellung wird ignoriert (Bug#17684)

thea.orchester
+Orchester Dienste mit Krank im Schnitt: Wann ist der Schnitt mit "Krankdienten" kleiner? (Feature#17656)

thea.staff
+Stammdaten: Es lassen sich "Rollen" für Maßnahmen anlegen (Feature#17348)
+Pro Vertrag können Maßnahmenrollen zugeordnet werden  (Feature#17352)
+Die Kategorien der Maßnahmen können erweitert werden (Feature#17357)
+Es können Priorität für Maßnahmenart verwaltet werden, Prioritäten können Maßnahmenarten zugeordnet werden (Feature#17361)
+Pro Maßnahmenart können die Kosten, eine Institution, eine Dauer und "Intern/ Extern" zugeordnet werden (Feature#17365)
+Pro durchgeführte Maßnahmen können Anhängen (Dokumente) hinterlegt werden (Feature#17373)
+Vertragssuche: Es kann nach Maßnahmenrollen und Maßnahmen gefiltert werden (Feature#17381)
+Vertragssuche: Funktion zum Hinzufügen von Verträgen zu Maßnahmenrollen (Feature#17386)
+Pro Arbeitsbereich kann eine Standard Maßnahmenrollen hinterlegt werden.  (Feature#17390)

Sonstiges
+"Felder" können HTML Inhalte enthalten (Feature#17581)
+"Felder" es können die "Bearbeitungsdaten" (last/user) angezeigt werden (Feature#17585)
-Verträge löschen - Tagesbezogene Zulagen werden nicht gelöscht. (Bug#17691)


Release 4.216.100 vom 15.12.2021
================================

thea.dispo
+Cast-Feld Filter-> "Nur  Ausgeben wenn nicht Standard" gibt Besetzungen nicht aus, die "Optional" sind, d.H. "nicht Zwingend erforderlich" (Feature#17631)

thea.perso
-Dienstplan->Teamplan: Änderungen werden nicht übernommen (Bug#17635)


Release 4.215.127 vom 22.12.2021
================================

thea.perso
-Dienstplan: Mit Drag&Drop  können keine Aktivitäten ohne Aufgaben zugeordnet werden. (Bug#17655)

Sonstiges
-Kassenanordnung neu erstellen ->Abwesenheiten werden nicht neu ermittelt, aber gelöscht (Bug#17637)
-In eigenen Rapporten doppelten sich Zeitkontenwerte. (Bug#17667)


Release 4.215.124 vom 08.12.2021
================================

Sonstiges
-Checkdialog kann nicht bestätigt werden, wenn es nur Information gibt. (Bug#17550)
-Zeitkonten Monat -> Es kann ein manueller Monatswert geschrieben werden. (Bug#17626)
-Chorabrechnung: Wenn die Werte für die Tagesgage aus einer Abrechnungsregel kommen, wird 0 zurück gegeben.  (Bug#17627)


Release 4.215.123 vom 08.12.2021
================================

thea.perso (web)
+thea.web-perso: Es ist eine Ansicht mit den eignen Dienstzeiten verfügbar. (Feature#13219)

Sonstiges
-Kontaktkalender: Dienste -> NullreferenceException beim durchscrollen mit der Tastatur (Bug#17615)


Release 4.215.122 vom 02.12.2021
================================

thea.perso
-Dienstplan: Bei "Sollarbeitszeit aus Arbeitszeitmodell" werden bei Abwesenheiten keine Ist-Stunden angerechnet (Bug#17602)
-Zulagen-Rapport: Es werden nur ganzzahlige Werte ausgeben. (Bug#17614)


Release 4.215.121 vom 30.11.2021
================================

thea.perso
-Kontakte->Kalender: Dienste können nicht über "ShortCuts" geschrieben werden. (Bug#17600)

Sonstiges
+Vertragarten:  Arbeitszeiten und Dienste haben einen Zeitbezug. (Feature#17609)


Release 4.215.120 vom 25.11.2021
================================

thea.dispo
-Tagesplan: Für Probenabschnitte die sich nur aus den Besetzungszeiten ergeben (nicht angelegt) wir "dazu" nicht ausgegeben (Bug#17599)

Sonstiges
-Audition (Felddaten) werden nicht immer gespeichert. (Bug#17598)
-NAZ-Verteilung: Wenn eine Spalte mehrfach geführt wird, wird der Monatswert nicht korrekt geschrieben.  (Bug#17601)


Release 4.215.119 vom 22.11.2021
================================

thea.perso
-Dienstplan: Einstellungen (Summen etc) werden nur gespeichert, wenn der Einstellungsdialog geöffnet wurde (Bug#17596)


Release 4.215.117 vom 18.11.2021
================================

thea.export
-Export: Das Exportformat von Zeiten ist von dem OS abhängig (Bug#17592 | Kategorie 4 - Niedrig)


Release 4.215.116 vom 17.11.2021
================================

thea.dispo
-Adressplan->Produktionen: Es werden auch "Ersatzbesetzungen mit ausgegeben" (Bug#17575)

thea.perso
-Bedarfsplanung: Es können keine Qualifikationen eingetragen werden (Bug#17574)

Sonstiges
-Rapportformel: Die Anzeige der Normalarbeitszeit liefert das falsche Ergebnis  (Bug#17551)
-Dokumentvorlagen->Pdf-Dateien lassen sich nicht bearbeiten (Bug#17576)
-Kontakte->Kalender: Beim Eintragen von Zulagen kommt eine Fehlermeldung. (Bug#17590)


Release 4.215.114 vom 15.11.2021
================================

thea.costume
+Kostüme: Für Bestellungen können die zu bestellenden Positionen ausgewählt werden (Feature#17520)


Release 4.215.112 vom 12.11.2021
================================

Sonstiges
-Visitenkarten versenden: NullReferenceException (Bug#17572)


Release 4.215.110 vom 11.11.2021
================================

thea.dispo
+Tournee -> Es können Berechtigungen für Dateianlagen und das Hinzufügen von Personen vergeben werden. (Feature#17303)
+Kontakte->Kalender->Besetzungen: In einer Spalten werden die Abwesenheiten angezeigt. (Feature#17307)
+Produktionsablauf mit Besetzungen (Feature#17413)

thea.perso
+Abwesenheitsplanung: In Druck und Planung kann die Gesamtarbeitszeit ausgegeben werden. (Feature#17229)
+Verträge: Der Urlaubsanspruch berücksichtigt "abweichende Arbeitszeiten" (Feature#17250)
+Berichte->Zeitkonten pro Monat: Es können mehrere Zeitkonten ausgegeben werden (Feature#17316)
+Dienstplandruck: Mitarbeiter ohne Dienste können vom Druck ausgeschlossen werden- (Feature#17324)
+Dienstplan: Die Qualifikationen können in Produktionsfarben und in einer eignen Zeile angezeigt werden (Feature#17336)
+Verträge: Pro Vertrag können abweichende Pausenregeln hinterlegt werden (Feature#17453)

thea.costume
+Es können alle Kostüme einer Person gesucht werden. (Feature#17462)

thea.export
+Spielplanexport -> Verbindungstest: Für FTP Verbindungen gibt es jetzt ein Log und die Möglichkeit Debug-Informationen zu sammeln. (Feature#17440)

thea.mask
+Im Modul Maske können Maskenteile verwaltet werden. (Feature#17466)

thea.web
-thea-web-core: Wenn beim WCF-Service "PublicAccess" deaktiviert ist, wird trotzdem "Anmelden als Gast" angeboten. (Bug#17460)

Sonstiges
+Dienstplan: Pro Tagesnotizkategorie kann eine Standard-Schriftfarbe gesetzt und ausgegeben werden. (Feature#17320)
+Kostenträgerzeiten: Pro Dienstzeitzuordnungen zu Kostenträgern kann eine Bemerkung eingetragen werden. (Feature#17328)
+Personalbedarfsplanung -> Produktionsqualifikationen: Filter nach Premieren / Ansicht erweitert. (Feature#17332)
+Kontakte: Die Berechtigungen für das Lese und Schreiben von Adress - und Kommunikationsdaten können separat verwaltet werden. (Feature#17488)


Release 4.215.107 vom 09.11.2021
================================

Sonstiges
-vCard Export: Kontaktdaten werden nicht richtig, und in der Vorschau doppelt ausgegeben (Bug#17536)


Release 4.215.105 vom 05.11.2021
================================

Sonstiges
-Aktivitätsdetails: Das Feld "Bemerkung lang" wird nicht angezeigt (Bug#17539)


Release 4.215.101 vom 02.11.2021
================================

thea.dispo
-Besetzung Pro Produktion->Drucken: Die Teile von mehrteiligen Abenden werden in einer abweichenden Reihenfolge gedruckt. (Bug#17525)

Sonstiges
-Besetzung in Countdownaktivität mehrfach nach Umbesetzung (Bug#17517)
-Produktionsfelder: Produktionsfelder, die auf der Seite 1 angezeigt werden sollen, werden auch bei Aktivitäten auf der Seite 1 angezeigt. (Bug#17530)


Release 4.214.118 vom 21.10.2021
================================

thea.perso
-Schichten: In der Spalte der Zeitkonten wird die Id angezeigt (Bug#17515)

thea.orchester
-Dienstplan (Besetzungen): Wenn Formeln aus thea.perso zugeordnet sind, tritt ein Fehler auf, Formeländerungen werden nicht gespeichert (Bug#17514)

thea.chor
-Dienstplan (Besetzungen): Wenn Formeln aus thea.perso zugeordnet sind, tritt ein Fehler auf, Formeländerungen werden nicht gespeichert (Bug#17514)

Sonstiges
-Bedarfsplanung: Neue aufgaben bekommen nicht bearbeitbaren Besitzer (id.0) (Bug#17496)
-Arbeitszeitmodell plant Farben aus Schicht nicht mit ein (Bug#17497)
-Stammdaten: In Schichten ist die Auswahl für Konten deaktiviert. (Bug#17499)
-Rapport: Arbeitszeitverteilungsregeln-> Dienstplanänderung gibt eine Stunde zu viel aus. (Bug#17512)


Release 4.214.117 vom 13.10.2021
================================

Sonstiges
-Dienstplan: Arbeitszeit weitere rechnet die Stunden der zusätzlichen Schichten doppelt (Bug#17485)


Release 4.214.116 vom 12.10.2021
================================

Sonstiges
-Terminbrief: Filter auf Kontaktbereiche nimmt nur den ersten Kontaktbereich. (Bug#17479)


Release 4.214.113 vom 06.10.2021
================================

thea.dispo
-Plan -> Eine Zeile pro Tag: Bei einem Produktionsplan, dessen Zeitraum auf den der Aktivitäten beschränkt ist, schließt nicht die Aktivitäten von Unterproduktionen ein. (Bug#17404)

thea.perso
-Dienstplan -> Kostenträgerzuordnung: Wenn bei der Abteilung die Option "Aufgabenzeit aus Dienstzeit" eingestellt ist, dann wird bei der Verwendung von # nur die Stunden der ersten Schicht berücksichtigt. (Bug#17461)


Release 4.214.112 vom 06.10.2021
================================

Sonstiges
-Fehler im Bericht Vorstellungsbudget (Bug#17459)


Release 4.214.110 vom 05.10.2021
================================

Sonstiges
+Dispomaske: Es gibt neue Tastaturkürzel in der Dispomaske. (Feature#17221)
-Abrechnungsregeln -> Die Regeleinstellungen sind nicht mehr anpassbar. (Bug#17449)
-Stammdaten ->Orchester öffnen (Bug#17451)


Release 4.214.109 vom 04.10.2021
================================

thea.web
-thea.web: Damit die Benutzer ihr Passwort ändern können, benötigt der WCF-Benutzer erhöhte Rechte auf der Datenbank. (Bug#17437)

Sonstiges
-Verträge : Beim Wechsel des Bereichs wird der Arbeitsberichtsfilter nicht aktualisiert. (Bug#17430)
-Konten: Formel AZ-Verteilungsregeln - Die Regel für Dienstplanänderungen gibt bei geteilten Schichten zu wenig Dienstplanänderungen aus. (Bug#17433)
-Rapport - Zulagen ohne Dienstplaneintrag werden nicht ausgegeben. (Bug#17434)
-Konto AZ-Verteilungsregeln -> Regel Zulage für Dienstplanänderung rechnet Stunden nach Mitternacht nicht an. (Bug#17435)


Release 4.214.106 vom 29.09.2021
================================

Sonstiges
-Mitarbeiter/Kontakte -> Kalender: Einträge aus der 4. Standardbesetzung werden nicht ausgegeben. (Bug#17428)
-Pläne: Beim Bearbeiten von Spalten kann es zu einer NullReferenceException kommen, wenn das Feld Einstellungen hat. (z.B. dateinfo.period).  (Bug#17436)
 Betroffen sind die Versionen 4.214.x


Release 4.214.105 vom 27.09.2021
================================

thea.perso
+Dienstplan -> Druck: Mittels StatusChangeFullUserNames kann man jetzt den Namen des Benutzers ausgeben, der den Status zuletzt geändert hat. (Feature#17422)
-Urlaubsantrag: Das Feld RemainingCreditTotal  zieht die Tage aus dem Urlaubsantrag doppelt ab. (Bug#17427)


Release 4.214.104 vom 23.09.2021
================================

thea.perso
-Kontakte: Die Personalnummer wird nicht gespeichert, wenn der Kontakt aus dem Dienstplan heraus geöffnet wurde. (Bug#17176)

thea.transfer
-Kassenanordnungsexport -> SEPA : Die Eingabemöglichkeit für die Formate vom "Verwendungszweck" und der "Ende zu Ende ID" sind auf dem Einstellungsdialog nicht vorhanden. (Bug#17417)

Sonstiges
-Kontakte zusammenführen: Wenn beiden Kontakten die selbe Qualifikation zugeordnet ist, schlägt das Zusammenführen fehl. (Bug#17411)


Release 4.214.103 vom 22.09.2021
================================

Sonstiges
-Dienstplankopf mit Personalbedarf: Der Aufgabenbereich wird nicht nur bei "besonderen" Aufgaben ausgegeben. (Bug#17410)


Release 4.214.102 vom 22.09.2021
================================

thea.export
-Export -> XML-Exporte: Wenn In einer Aktivität eine Szenenbesetzung hinterlegt ist, mit 2 verschiedenen Standardbesetzungen für dieselbe Szene, dann kommt es beim Export zu einer Exception. (Bug#17409)

Sonstiges
-Dienstplan Besetzungen: NullReferenceException (Bug#17408)


Release 4.214.100 vom 20.09.2021
================================

thea.dispo
+Abwesenheitsplanung: Es kann eine Woche angegeben werden, für die der freie Tag gegeben wurde. (Feature#17023)
+Standardbesetzung: Die Option Standardbesetzung pro Spielzeit kann pro Besitzergruppe eingestellt werden (Feature#17225)
-Berichte -> Honorare pro Vertrag: Bei Mehrteilern werden Pauschalbeträge mehrfach ausgegeben, pro Teil. (Bug#17296)

thea.perso
+Dienstplan: Aus dem Dienstplan kann ein Einstellungsdialog für die Ansichts-Einstellungen geöffnet werden. (Feature#16601)
+Bedarfsplanung/Standardbesetzung: Technischen Aufgaben können Aufgabenbereiche zugeordnet werden. (Feature#17256)

thea.orchester
+Orchesterdispo: Die erforderlichen Sonderinstrumente werden in einem Tooltip angezeigt. (Feature#17016)
+Orchesterdispo: Die Anzeige der benötigten Instrumente für eine Aktivität  kann pro Aktivität überschrieben werden (Feature#17204)

thea.chor
+Standardbesetzung: Die Option Standardbesetzung pro Spielzeit kann pro Besitzergruppe eingestellt werden (Feature#17225)

Sonstiges
+Orchester-Dispo: Enthalten Aktivitäten nur Teile des Programmes (es ist ein Inhalt angegeben), wird der Bedarf der Werke ausgegeben.  (Feature#17171)
+Dienstplan - Zulagen eintragen: Beim Eintragen wird der Standardwert berücksichtigt. (Feature#17185)
+Dienstplandruck: Es kann anstelle der Druckbezeichnung die Bezeichnung für eine Schicht ausgegeben werden. (Feature#17208)
+Abrechnungsregeln: Die Kurzbezeichnung wurde erweitert (10->20), und wird jetzt zur Auswahl angezeigt (Feature#17212)
+Die Kategorien der Aufgabenbereich können erweitert werden. (Feature#17216)
-Dienstplandruck: "Überschrift in Kopfzeile" (Bug#17194 | Kategorie 4 - Niedrig)
-Dispo: Copy&Paste geht nicht mit Tastaturkürzeln (Bug#17220)
-Vertragsexport: Der Vertragsartenfilter "Gäste - ohne Vertrag" funktioniert nicht. (Bug#17239)
 Zum Beheben des Fehlers müssen die Exporteinstellungen nochmal geöffnet und gespeichert werden.
-Produktionsplan: Das Feld duration funktioniert nicht mit der vorgeschlagenen Formatierung h/:mm (Bug#17294)
-Automatisch besetzen löscht alte Besetzung nicht, wenn neue Besetzung verhindert ist. (Bug#17401)


Release 4.213.129 vom 10.09.2021
================================

thea.perso
-Dienstplan -> Schicht umplanen: Schichten, die vor Mitternacht beginnen und nach Mitternacht enden, werden bei "Ende verschieben" nicht mehr angezeigt. (Bug#17385)
-Rapport: Für Konten mit der Formel "Freie Tage Änderung Soll/Ist-Plan" wird kein Wert mehr berechnet. (Bug#17394)

Sonstiges
-Mitarbeiter/Kontakte -> Kontaktfilter: Beim Abteilungsfilter berücksichtigt der Vertragsfilter die ausgewählte Abteilung bzw. den ausgewählten Arbeitsbereich nicht. (Bug#17297)
-Export: Es kann nicht nach dem Vorverkaufsstart gefiltert werden (Bug#17315)


Release 4.213.128 vom 03.09.2021
================================

thea.dispo
-Produktionen: Beim neuen Rollen wird die Standardbesetzung der Rolle mit ID 0 geladen.  (Bug#17295)

thea.perso
-Dienstplan: Beim Wechseln der Abteilung kann es zu einer IndexOutOfRangeException kommen, wenn zwischen Abteilungen mit verschiedenen Zeitraum- und Layouteinstellungen gewechselt wird. (Bug#17292)


Release 4.213.126 vom 23.08.2021
================================

thea.dispo
-Produktion -> Aktivitäten Drucken: Wenn die Option "Erstellte Dokumente als neues Dokument öffnen" deaktiviert ist, kann es zu einer ApplicationException mit Fehler 12290 kommen.  (Bug#17275)

thea.perso
-Monatsrapport stürzt ab, wenn Rapport ohne Rapportspalten verwendet wird. (Bug#17286)

Sonstiges
-Notenverleih: Es wurden nicht alle Properties übernommen, im Detailfenster können keine Eigenschaften angezeigt werden. (Bug#17285)


Release 4.213.125 vom 11.08.2021
================================

Sonstiges
-GetBestMatchingContract ordnet auch stornierte Verträge zu. (Bug#17249)
-Mitarbeiterkalender: Wird nach Verträgen gefiltert und dem Vertrag keine Abteilung zugeordnet ist, werden keine Besetzungen angezeigt. (Bug#17261)
-Besetzungszettel: Die Aktivitäten können nicht nach dem im Inhalt angegebenen Rang der Standardbesetzung gefiltert werden (Bug#17274)


Release 4.213.124 vom 02.08.2021
================================

Sonstiges
-Kontakte: Öffentliche Anlagen (z.B. Profilbilder) werden ohne Berechtigung nicht mehr angezeigt. (Bug#17248)


Release 4.213.123 vom 23.07.2021
================================

thea.orchester
-Stammdaten -> Instrumente: Wenn bei einem Instrument der Zustand eingestellt wurde, dann gibt es bei der Anzeige eine InvalidCastException. (Bug#17244)
-Instrumentenverwaltung: Beim Verwenden des Filters "Dienst-/Privatinstrument" oder "Verliehen nach außerhalb" kommt es zu einer SQL Exception. (Bug#17245)
-Instrumentenverwaltung: Der Filter "Ungleich versichert" deaktiviert den Filter "Inaktiv". (Bug#17246)

thea.statisterie
-Stammdaten -> Formel-Einstellungen: Die Spalte "Formel" ist nicht sichtbar. (Bug#17243)

Sonstiges
-Produktionen: Beim Zuordnen der Werke kommt es zu SqlException, wenn man kein Schreibrecht auf die Produktion hat. (Bug#17242)


Release 4.213.122 vom 21.07.2021
================================

Sonstiges
-Countdowns/Personalbedarf:  Beim Wechsel auf die Registerkarte für Tagesaufgaben kommt es zu einer InvalidCastException. (Bug#17241)


Release 4.213.121 vom 19.07.2021
================================

Sonstiges
-Kontakte: Beim Wechseln zwischen Qualifikationen kommt es zu einer NullReferenceException, wenn man kein thea.staff hat. (Bug#17237)


Release 4.213.120 vom 15.07.2021
================================

thea.perso
-Dienstplan: Die Rückgängig-Funktion hat keinen Effekt mehr. (Bug#17233)
-Countdown und Personalbedarf: Bei den Aufgaben werden die Rüstzeit/Nachbereitung nicht mehr gespeichert. (Bug#17234)

Sonstiges
-Das Updatelog wird nicht mehr beschrieben. (Bug#17235)


Release 4.213.119 vom 06.07.2021
================================

thea.transfer
-SQL-Skript: Beim Update auf 4.213.x werden die Einstellungen der CSV-Exporte der Kassenanordnungen nicht migriert. (Bug#17198)

Sonstiges
-Dienstplan/Kostenträgerzeiten: Der Shortcut "#" errechnet nicht die verbleibenden Stunden. (Bug#17196)


Release 4.213.117 vom 30.06.2021
================================

thea.works
-thea.works: Beim Öffnen des Kontextmenüs für eine Aufgabe kann es zu einer NullReferenceException kommen. (Bug#17181)
-thea.works: Wenn in der 1. Schicht eine Abwesenheit ist, wird diese automatisch durch eine Anwesenheitsschicht überschrieben, wenn dem Tag eine Aufgabe zugewiesen wird. (Bug#17182)
-thea.works: Beim Ziehen von Aufgaben auf eine Schicht, wird die Schicht der Aufgabe nicht zugewiesen. (Bug#17183)
-thea.works: Nachbereitungszeiten von Aktivitätsaufgaben werden nicht immer berücksichtigt. (Bug#17184)


Release 4.213.116 vom 30.06.2021
================================

thea.chor
-Produktionen -> Abteilung: Beim Anlegen einer Rolle kommt es zu einer NullReferenceException. (Bug#17177)

thea.works
-thea.works: In der Schichtdetailansicht geändert/hinzugefügte Schichten werden nicht sofort in thea.works dargestellt. (Bug#16318)
-thea.works: Wird eine bereits zugeordnete zeitlich verschobene Aufgabe, zeitlich versetzt auf eine andere Person gezogen, kann es zu einer "Biszeit>Vonzeit -Meldung" kommen. (Bug#16936)

Sonstiges
-Orchesterbesetzung: NullReferenceException beim Öffnen. (Bug#17179)


Release 4.213.115 vom 28.06.2021
================================

thea.perso
-Dienstplanfreigabe: Beim Erstellen der E-Mail kommt es zu einer NullReferenceException, wenn der Ausgangsstatus "kein Status" ist. (Bug#17167)
-Aktivitätsdetails -> Aufgaben: Beim Öffnen der Personenauswahl im Bereich "Besetzte Personen" kommt es zu einer ApplicationException (Filter Required). (Bug#17169)

thea.works
-theaWorks: Die Ausgabe zeigt nur noch ein leeres Dokument an bzw. bei der Ausgabe nach Word/Excel tritt eine NullReferenceException auf. (Bug#17168)

Sonstiges
-Produktion kopieren mit Besetzung schlägt fehl (Bug#17170)


Release 4.213.114 vom 24.06.2021
================================

Sonstiges
-Arbeitszeit (weitere): Die Kombination der Einstellungen "Mindestens vertragliche AZ anrechnen" und "Mindestens Minuten gutschreiben" ist nicht definiert. (Bug#17165)


Release 4.213.113 vom 23.06.2021
================================

Sonstiges
-Beim Starten kommt die Fehlermeldung, dass die Datei "C.\temp\debug.txt" nicht angelegt werden kann. (Bug#17164)


Release 4.213.111 vom 21.06.2021
================================

Sonstiges
-Produktionen: Automatisch besetzte Kollektive werden mit der Gruppenposition 0 besetzt (Bug#17163)


Release 4.213.103 vom 16.06.2021
================================

Sonstiges
-Werkeverwaltung: Besetzungen -> Werden die Rollen aus den Aufgabenbereichen angelegt, wird der Letzte doppelt angezeigt. (Bug#17153)


Release 4.213.102 vom 16.06.2021
================================

thea.dispo
+Dispo: Beim Sperren/Entsperren einer Vorstellung, werden auch die zugehörigen Countdownaktivitäten gesperrt/entsperrt. (Feature#14147)
+Für Krank kann "mit" oder "ohne" Attest angegeben werden. (Feature#14833)
+Formel-Einstellungen: Für die Formel "Abwesenheiten" können Ausgleichszeiträume angegeben werden. (Feature#14860)
+Die "Dispo-Berichte" -> "Dienststatistik" ist auch in thea.dispo verfügbar. (Feature#14864)
+Abwesenheitsplanung: Wochen ohne besetzungsfreie Tage werden markiert. (Feature#14898)
+Produktionen: Produktionsfelder können auf der Seite "Basisdaten" angezeigt werden. (Feature#16728)
+Terminbriefe können als Serien E-Mail versendet werden. (Feature#16743)
+Produktionen: Für Produktionsdokumente können über einen "Besitzer" Berechtigungen verwaltet werden. (Feature#16883)
+Kontakte: Bei an einer Kooperation beteiligten Personen werden die Kooperationen im Jahreskalender angezeigt. (Feature#16907)
+Produktionen -> Standardbesetzungen: Für Rollengruppen können pro Position Maskenzeiten hinterlegt werden. (Feature#17086)

thea.perso
+Abwesenheitsplanung: Die Summen haben jetzt einen Tooltip, ähnlich dem Tooltip aus dem Dienstplan. (Feature#13504)
+Dienstplan: Die tarifliche Prüfung "Maximale Arbeitszeit in 24 Stunden" wurde verbessert. (Feature#14582)
+Dienstplan: Einträge bei denen "anrechenbare Feiertage ermitteln" deaktiviert sind, werden jetzt ebenfalls mit dem Handsymbol hervorgehoben. (Feature#16914)
+Dienstplan: Es ist ein Dialog zum Setzen des Freigabestatus für mehrere Abteilungen gleichzeitig verfügbar. (Feature#17074)

thea.orchester
+Für Krank kann "mit" oder "ohne" Attest angegeben werden. (Feature#14833)
+Abwesenheitsplanung: Wochen ohne besetzungsfreie Tage werden markiert. (Feature#14898)

thea.chor
+Für Krank kann "mit" oder "ohne" Attest angegeben werden. (Feature#14833)
+Abwesenheitsplanung: Wochen ohne besetzungsfreie Tage werden markiert. (Feature#14898)

thea.ballett
+Für Krank kann "mit" oder "ohne" Attest angegeben werden. (Feature#14833)
+Produktionen -> Standardbesetzungen: Für Rollengruppen können pro Position Maskenzeiten hinterlegt werden. (Feature#17086)

thea.export
+Spielplanexport: In den Exporten CSV (ab 1.9) und XML (ab 9) können jetzt die Standardbesetzungen eingegrenzt werden (z.B. nur die 1. Standardbesetzung). (Feature#14937)

thea.order
+thea.order: Bestellungen können in der Landeswährung exportiert werden. (Feature#16937)

thea.project
+Projektplan: Es kann eine Standardsortierung für Aufgaben angegeben werden. Es kann eine Std-Besitzergruppe angegeben werden. Es können mehrere Produktionen ausgewählt werden. (Feature#17114)

thea.statisterie
+Dienstplan (Besetzungen): Es können auch die Zeiten der Besetzungen angezeigt werden. (Feature#16667)

thea.transfer
+Kassenanordnung (thea.perso): Die Schichtbemerkungen werden jetzt in die Anmerkung der Positionen übernommen. (Feature#16815)
+Kassenanordnungen: Kassenanordnungen können jetzt in eine SEPA-Zahlungsdatei exportiert werden. (Feature#17041)

Sonstiges
+Anhänge können jetzt direkt per E-Mail versendet werden. (Feature#14169)
+Benutzerverwaltung: Beim Setzen der Berechtigungen wird jetzt eine Mehrfachauswahl unterstützt. (Feature#14425)
+Anhänge: Für Anhänge im PDF/Word/Excel-Format wird auch eine Vorschau angezeigt. (Feature#14554)
+Zeitkonten pro Monat: In der Detailansicht ist das Erstell- und Bearbeitungs-Datum/Benutzer ersichtlich. (Feature#14558)
+Formel NAZ-Verteilung: Die Regel "Mehrarbeit für Teilzeitler" kann auch mit einem Zweiwochenrythmus umgehen. (Feature#14700)
++Im Tagesplan ist eine Funktion zum Hinzufügen von freien Tagen pro Woche verfügbar. (Feature#14705)
+Es jetzt gibt eine "Erinnerungsfunktion" für Personen, Aktivitäten, Besetzungen, Produktionen und Verträge. (Feature#14709)
+Plan -> An/Abwesenheiten: Es ist eine Vorlage für An/Abwesenheiten und Besetzungen verfügbar. (Feature#14718)
+Pläne: Informationen zu den geplanten Aufgaben einer Aktivität können jetzt ausgegeben werden. (Feature#14735)
+Rapportformel: In der Funktion um Arbeitszeiten in Dienste umzurechnen kann angegeben werden, dass an bestimmten Feiertagen die doppelten Dienste gerechnet werden sollen. (Publikumsdienst). (Feature#14780)
+In der Chor-Abendbesetzung wird die 3. und weitere Chor-Standardbesetzung farblich anders dargestellt. (Feature#14782)
+In der Abwesenheitsplanung können auch für künstlerische Bereiche Summen angezeigt werden. (Feature#14839)
+Im Dispo Bereich können jetzt auch Formeleinstellungen hinterlegt werden. (Feature#14843)
+Die Formel Abwesenheiten kann auch auf Zeitkonten gefiltert werden. (Feature#14851)
+Abwesenheitsplanung: Es können Jahre und Spielzeiten ausgewählt werden. (Feature#14902)
+Abwesenheitsplanung: Es können unbesetzte Termine der Standardbesetzung angezeigt werden. (Feature#14918)
+Abwesenheitsplanung: Es kann nach Arbeitsbereichen gefiltert werden. (Feature#14924)
+Zeitkonten -> "Berechn. Lohn am Tag": Es ist eine Einstellung zum Runden des Ergebniswertes verfügbar. (Feature#14941)
+Für künstlerisches Personal können auch spielplanunabhängige Arbeitszeiten erfasst werden. (Feature#16579)
+Benutzerdefinierte Felder können als Link angezeigt werden. (Feature#16732)
+E-Mail Versand (z.B. bei Serien E-Mail): Es können Seriendruckfelder ausgewählt und eingefügt werden. (Feature#16739)
+Es ist ein Modul zur Verwaltung von Schulungen, Unterweisung und arbeitsmedizinische Vorsorge verfügbar. -> SUaV. (Feature#16759)
+Stammdaten -> Aktivitätstypen/Aufgabenbereiche: Die Besetzungsregeln können in allen künstlerischen Modulen gesetzt werden. (Feature#16788)
+Webkalender: Für den Betreff und für die Beschreibung kann jetzt ein Format mit Platzhaltern hinterlegt werden. (Feature#16794)
+Arbeitszeiten aus Besetzungen: Pro Aktivitätstyp/Aufgabenbereich kann eine Vorbereitungszeit/Nachbearbeitungszeit hinterlegt werden. (Feature#16831)
+Um aus der Monatsgagen die Tagesgage zu bilden kann ein Faktor hinterlegt werden. (Feature#16835)
+Rapport -> Orchester: Es lassen sie monatlichen Überdienste ausgeben. (Feature#16843)
+Vorstellungsbudget: Es lassen sich auch die Honorare für unbesetzte Rollen aufgrund der Rollengruppengröße Anzahl oder Standardbesetzung ausgeben. (Feature#16847)
+Berechtigungsverwaltung/Dienstplan: Es ist eine Berechtigung für das manuelle Bearbeiten der Sollarbeitszeit verfügbar. (Feature#16865)
+Vorstellungsbudget: Für vorstellungsunabhängige Kosten kann der Kostenträger ausgegeben werden. (Feature#16875)
+Produktionen: Es können Partnern für Co-Produktionen hinterlegt werden. (Feature#16879)
+Produktionen: Es können die Kooperationen und Ressourcen-Perioden angezeigt werden. (Feature#16887)
+Kooperationen: Zu einer Kooperation lassen sich nicht nur die Aktivitäten der auswärtigen Bühne zuordnen (Option alle Aktivitäten anzeigen). (Feature#16895)
+Produktionen -> Checklisten: Beim Hinzufügen von mehreren Checklisten werden diese in einen neuem Nummernbereich eingefügt. (Feature#16925)
+Vertragssuche: Es ist eine Spalte mit der aktuellen wöchentlichen Arbeitszeit und den Arbeitsprozenten verfügbar. (Feature#16941)
+Tournee: Einer Tournee kann auch ein Kontakt ohne Vertrag zugewiesen werden. (Feature#16977)
+Orchesterbesetzung: Es ist eine Option vorhanden um die Rollenbemerkung zu drucken. (Feature#16986)
+Dienstplan (Besetzungen): Ausgefallenen Aktivitäten können ausgefiltert werden. (Feature#17027)
+E-Mail Versand (z.B. bei Serien E-Mail): Es gibt ein Vorschaufunktion. (Feature#17032)
+Urlaubsantrages: Erstellung eines Feldes zur Ausgabe des bis zum Ende der Abschlussperiode (Jahr) verfügbaren Urlaubes. (Feature#17045)
+Terminbriefe, die als E-Mail versendet werden, können jetzt zusätzliche Anhänge beinhalten. (Feature#17090)
+E-Mail Versand (z.B. bei Serien E-Mail): Anhänge, die als Vorlage ausgefüllt werden sollen, können jetzt optional in eine PDF konvertiert werden. (Optionen beim jeweiligen Anhang). (Feature#17094)
+Auswertung: Personen in Spielzeit erstellen. (Feature#17103)
+Vertragsdruck: Über einen Converter lassen die Rollen aller Besetzungen ausgeben. (Feature#17133)
+Es ist ein Konverter für die Rollenzulagen verfügbar. (Feature#17137)
+Kontakte: Es kann eine Firma und der Druck der Position angegeben werden. (Feature#17142)
-Dienstplan: Sql-Exception bei Auswertung Zeitkontenformel. (Bug#17156)


Release 4.212.135 vom 08.06.2021
================================

thea.perso
-Rapport - Dienstplanänderung gibt zu viele Stunden aus. (Bug#17112)

thea.orchester
-Produktion -> Standardbesetzung: "Orchesterbesetzung aus Programm erstellen" funktioniert nicht, wenn bei der Produktion "Basiert auf Werk" ausgewählt ist. (Bug#17129)

Sonstiges
-Adressplan: Gruppierung nach Kontaktkategorie geht nicht mehr. (Bug#17147)
-Workforcecalulation: NullReferenceException -> Workforcesetting fehlt. (Bug#17149)
-Besetzungen -> Honorare/Abrechnung Zulagen (nach Produktionen): Die Honorare werden bei Mehrteilern nicht angezeigt. (Bug#17150)


Release 4.212.134 vom 02.06.2021
================================

thea.perso
-Dienstplan -> Warnungen: Beim Berechnen der Summe für Konten mit der Formel "Grenzen der Arbeitszeit" kommt es zu einer InvalidOperationException. (Bug#17131)

Sonstiges
-Bestellungen: Export der Beträge in lokaler Währung -> Einige Felder lassen sich nicht exportieren. (Bug#17146)


Release 4.212.133 vom 26.05.2021
================================

thea.perso
-Dienstplan -> Summenspalten: Die Berechnung für "Zusammenhängende freie Tage" ist falsch, wenn kein Wochentagsfilter angegeben werden. (Bug#17124)
-Dienstplan -> Summenspalten: Summen für Konten mit der Formel TBZ rechnen falsch, wenn kein Wochentagsfilter angegeben wird. (Bug#17125)

thea.export
-Export -> Dateitransfer: Die Eingabe für das Proxypasswort zeigt das Passwort in Klartext an. (Bug#17123)

thea.order
-Bestellungen: Bei neuen Bestellungen kommt eine Meldung das die Anhänge nicht geladen werden konnten. (Bug#17122)


Release 4.212.131 vom 21.05.2021
================================

thea.perso
-Dienstplan: Wenn im Spielplanfilter auf eine nicht mehr vorhandene Werkeart gefiltert wurde, kommt es zu einer NullReferenceException. (Bug#17108)
-Dienstplan -> Summenspalten: Summen für Konten mit der Formel TBZ rechnen falsch. (Bug#17113)

Sonstiges
-Produktionen: Das Werk kann nicht zugeordnet werden bei Leserechten und Flag "Kann Werke zuordnen". (Bug#17118)


Release 4.212.129 vom 18.05.2021
================================

Sonstiges
-Im Terminbrief kann nicht nach Kontaktbereichen gefiltert werden. (Bug#17099)
-Rapport: Bei Spalten mit Konten der Formel "Freie Tage pro Monat" kommt es zu einer NullReferenceException. (Bug#17100)


Release 4.212.128 vom 10.05.2021
================================

Sonstiges
-Produktionen -> Gastspiele/Kooperationen: Beim Anzeigen der Seite „Kalender“ tritt ohne das Recht "Vorverkauf ändern" ein Fehler auf, wenn Produktionsressourcen zugeordneten sind. (Bug#17073)


Release 4.212.127 vom 07.05.2021
================================

Sonstiges
-Dienstplan -> "Schichten umplanen":  Bei der Aktion "Ende verschieben" tritt ein Fehler auf, wenn das neu End vor der Beginn Zeit liegt (Folgetag). (Bug#17054)


Release 4.212.126 vom 06.05.2021
================================

thea.perso
-Dienstplanfreigabe: Die Dienstplaneinträge werden nicht mehr kopiert. (Bug#17037)
 Betroffen sind nur 4.212.x Releases.
-Dienstplan -> In Planungsvariante kopieren: Es werden keine Einträge mehr kopiert. (Bug#17038)
 Betroffen sind nur 4.212.x Releases.
-Dienstplan -> Wochenabschluss: Die Dienstplaneinträge werden nicht mehr in die Sollkopie kopiert. (Bug#17039 | Kategorie 2 - Hoch)
 Betroffen sind nur 4.212.x Releases.
-Rapport: Konten mit der Formel "Frei Tage in Woche" berechnen die Werte nicht mehr richtig. (Bug#17053)

Sonstiges
-Tagesplan: Für die lange Bemerkung wird ein Wert ausgegeben, auch wenn die Lange Bemerkung der Aktivität leer ist. (Bug#17040)


Release 4.212.124 vom 05.05.2021
================================

thea.orchester
-Mitarbeiter/Kontakte -> Qualifikationen: Nach dem Eintragen einer neuen Qualifikation, kommt es beim Zeilenwechsel zu einer NullreferenceException. (Bug#17031)


Release 4.212.119 vom 01.05.2021
================================

Sonstiges
-Projektplanung: Beim Wechsel in eine andere Ansicht (z.B. Dispo) und wieder zurück, kommt es zu einer ArgumentException beim Zeichnen. (Bug#16969)


Release 4.212.118 vom 30.04.2021
================================

Sonstiges
-Verträge -> Vertragsdokumente: Bei neuen Vertragsdokumenten kommt die Fehlermeldung, dass der AttachmentService eventuell keine Berechtigung hat. (Bug#17015 | Kategorie 4 - Niedrig)


Release 4.212.117 vom 29.04.2021
================================

Sonstiges
-Personen -> Kalender: Unbesetzte Proben werden nur angezeigt, wenn Personen und Rollenbesitzer übereinstimmen. (Bug#17014)


Release 4.212.116 vom 28.04.2021
================================

Sonstiges
-Plan -> "Besetzungen / Abwesenheiten": Bei der Gruppierung nach Personen werden diese nicht alphabetisch sortiert. (Bug#17011)


Release 4.212.115 vom 27.04.2021
================================

thea.perso
-Dienstplan -> Vergleichen mit/Druck mit Dienstplanvergleich: Wenn im anderen Plan kein Eintrag vorhanden ist, kommt es zu einer NullReferenceException. (Bug#17004)
-Dienstplan -> Summenspalten: Bei Spalten für Konten mit der Formel TBZ kommt es zu einer SqlException. (Bug#17006)
 Betroffen sind nur 4.212.x Releases.
-Dienstplan -> Summenspalten: Die Summe für Monatliche Stunden wird falsch berechnet, sofern diese aus den geplanten Stunden berechnet werden sollen. (Bug#17007)
 Betroffen sind nur 4.212.x Releases.
-Dienstplan -> Summenspalten: Die Summe für Monatliche Arbeitszeit kann eine Exception werfen, wenn im aktuellen Zeitraum keine Mitarbeiter in der Abteilung sind. (Bug#17008)
 Betroffen sind nur 4.212.x Releases.

Sonstiges
-Benutzerverwaltung: Passwort zurücksetzen setzt falsches Passwort. (Bug#17002)
-Werkeverwaltung: Wenn mehrere Fassungen eines Werkes existieren, bleibt auf der Produktionsseite die Spielzeitauswahl leer. (Bug#17003)


Release 4.212.114 vom 22.04.2021
================================

thea.perso
-Dienstplandruck: Bei Abteilungen mit Bemerkungen pro Schicht, und der Ausgabe der Bemerkung in eine eigene Zeile, wird nur die Bemerkung der ersten Schicht ausgegeben. (Bug#16768 | Kategorie 4 - Niedrig)
-Formel: Stunden nach Tagesart gibt als Rückgabewert Minuten zurück, statt der Anzahl. (Bug#16999)
-Dienstplan: Spalten mit der Formel Arbeit in Zeitraum liefern nur noch 0 zurück. (Bug#17000)
-Dienstplandruck: Bei bestimmten Layouteinstellungen wird die Bemerkung der ersten Schicht mehrfach ausgegeben. (Bug#17001)


Release 4.212.112 vom 21.04.2021
================================

thea.perso
-In der Summe für Frei und Urlaub sind unrealistische Zahlen, "Frei" ändert sich z.B. von Woche zu Woche um den Wert 16. (Bug#16992)

Sonstiges
-Projektplanung: Werden Produktions-Aufgaben mit Abhängigkeiten umsortiert, kann es zu einem Fehler beim Einplanen kommen. (Bug#16997)
-Besetzung pro Produktion: Beim Setzen oder Anzeigen des Druckstatus kann es zu einem Fehler führen. (Bug#16998)


Release 4.212.111 vom 21.04.2021
================================

thea.perso
-Dienstplan -> Arbeitszeit neu berechnen: Wenn es keine Einträge im Sollplan gibt, kommt es zu einer NullReferenceException. (Bug#16993)
-Dienstplan -> Schicht umplanen: Der Dialog lädt nicht richtig und wirft auch Exceptions bei der Benutzung. (Bug#16996)


Release 4.212.110 vom 21.04.2021
================================

thea.dispo
-Aktivitätsdetails: Die "Elternaktivität" wird nicht angezeigt, wenn es sich z.B. um eine BO handelt. (Bug#16990)

Sonstiges
-Notenverwaltung: Wenn der WCF Dienst nicht genug Berechtigungen hat, wird keine Meldung ausgegeben. (Bug#16655 | Kategorie 4 - Niedrig)
-Dispo: Der Text eines *-Stücke lässt sich nicht ändern (weder in der Spalte "Titel", noch in der Spalte "Bemerkung"), er muss immer neu geschrieben werden. (Bug#16972)
-Löschen von Projekttasks mit Subtasks schlägt fehl. (Bug#16985)


Release 4.212.109 vom 19.04.2021
================================

Sonstiges
-Rapport: Für künstlerische Abteilungen wird keine Arbeitszeit ausgegeben. (Bug#16983)


Release 4.212.107 vom 19.04.2021
================================

thea.dispo
-Produktion kopieren: Wenn es Pressetextfelder mit leeren Texten in der Datenbank gibt, kommt es beim Kopieren zu einer SqlException. (Bug#16976)

Sonstiges
-Mitarbeiter/Kontakte: Beim Laden der Anhänge kommt es zu einer CommunicationObjectFaultedException. (Bug#16981)
 Betroffen sind nur 4.212.x Releases.


Release 4.212.105 vom 16.04.2021
================================

thea.perso
-Dienstplan -> Summenspalten: Für Zeitkonten mit der Einheit Tag kommt es zur SqlException "Incorrect syntax near the keyword 'AND'.". (Bug#16974)
 Betroffen sind nur 4.212.x Releases.

thea.orchester
-Disposition (Besetzungen) -> Summenspalten: Beim Öffnen kommt eine SqlException "Invalid Column 'DebitServicesCount'", wenn es Verträge mit "abweichenden Arbeitszeiten" gibt. (Bug#16973)
 Betroffen sind nur 4.212.x Releases.

thea.chor
-Disposition (Besetzungen) -> Summenspalten: Beim Öffnen kommt eine SqlException "Invalid Column 'DebitServicesCount'", wenn es Verträge mit "abweichenden Arbeitszeiten" gibt. (Bug#16973)
 Betroffen sind nur 4.212.x Releases.


Release 4.212.104 vom 16.04.2021
================================

Sonstiges
-Dienstplan -> Summenspalten: Für Überstunden kommt es zur SqlException "SqlDateTime-Überlauf", wenn der Vortrag komplett über Monatseinträge errechnet wird. (Bug#16975)
 Betroffen sind nur 4.212.x Releases.


Release 4.212.102 vom 15.04.2021
================================

Sonstiges
+Die möglichen "Geschlechter/Typen" der Anreden wurden erweitert (Divers, Firma, Familie). (Feature#16945)


Release 4.211.121 vom 06.04.2021
================================

thea.perso
-Mitarbeiter/Kontakte -> Kalender: In der Ansicht "Dienste (thea.perso)" werden die Einstellung für die anzuzeigenden Schichten nicht gespeichert. (Bug#16911)

Sonstiges
-Plan: Planart Besetzungen und Abwesenheiten -> Bei der Ausgabe nach Excel wird die Spaltenbreite der ersten Spalte ignoriert. (Bug#16737 | Kategorie 4 - Niedrig)
-Stammdaten -> Arbeitsbereiche können nicht zusammengeführt werden, wenn diese zu Werkebesetzungen hinzugefügt wurden. (Bug#16912)
-Dispo: Der Filter "Aktivitätsstatus" wird nicht gespeichert. (Bug#16919)
-Adressplanexport: Export via FTP schlägt fehl. (Bug#16922)
-Plan: Die Produktion kann bei Produktionsplänen der Planart eine Zeile Pro Aktivität (Filter auf nur Produktion) nicht gewechselt werden. (Bug#16929)
-Rapport: Für die Formel "Jahressoll (Stunden)" werden keine Vorträge angezeigt. (Bug#16933)


Release 4.211.120 vom 18.03.2021
================================

thea.contact
-Kontaktsuche: Beim Laden bzw. Suchen über einen gespeicherten Suchfilter, welcher Zusatzmerkmale beinhaltet, kommt es zu einer SqlException. (Bug#16869)
-Kontaktsuche: Beim Laden bzw. Suchen über einen gespeicherten Suchfilter, welcher mehrere alternative Suchkriterien beinhaltet, kommt es zu einer SqlException. (Bug#16870)

Sonstiges
-Audition: Die Eingabemaske ist für Benutzer ohne Schreibrechte nicht gesperrt. (Bug#16851)
-Dispo - Die Kollektivspalte filtert nicht auf Besetzungen aus der aktuell gewählten Variante. (Bug#16857)


Release 4.211.119 vom 17.03.2021
================================

thea.dispo
-Dispo-Berichte -> Termine für Produktion: Bei kleinen Auflösungen ist die Bühnenauswahl nicht sichtbar. (Bug#16864)

Sonstiges
-Automatische Sollarbeitszeitverteilung wirkt sich auch auf Zeiten mit Sollarbeit aus Modell aus. (Bug#16771)
-Kontakte: Beim Löschen von Kontaktdaten (z.B. E-Mail) kommt eine Fehlermeldung, das 256 für die Position nicht gespeichert werden kann. (Bug#16860)
-Kontakte: Die Detailansicht der Kontaktdaten (z.B. E-Mail) lässt sich nicht öffnen, wenn die Position größer 100 ist. (Bug#16861)


Release 4.211.118 vom 16.03.2021
================================

thea.dispo
-Dienstplan: Beim Öffnen der Kostenträger für einen Tag kommt es zu einer NullReferenceException, wenn eine Schicht einer Aktivität zugeordnet ist, ohne Kostenträger. (Bug#16856)

Sonstiges
-Dienstplan (Besetzungen) -> Orchesterbesetzungszettel: Im erstellten Dokument wird nur der Kopf ausgefüllt, die Tabelle mit den Daten wird nicht ausgegeben. (Bug#16862)
-Werkeverwaltung -> Bei der Auswahl von Komponisten wird kurzzeitig die ID anstelle des Namens angezeigt. (Bug#16863)


Release 4.211.117 vom 11.03.2021
================================

thea.perso
-Dienstplan: Beim Schließen des Wochenabschlussfensters (nach einem Wochenabschluss) verliert das Programm den Focus. (Bug#16829)

Sonstiges
-Dienstplan: Bei manuellen eingetragenen Arbeitszeiten wird auch die Soll-Az nicht mehr automatisch berechnet. (Bug#16824)
-Die Datenbankberechtigungen für Aktivitätsstatus und einige andere Daten sind falsch. (Bug#16830)
 Betroffen sind alle Versionen 4.211.x


Release 4.211.116 vom 09.03.2021
================================

Sonstiges
-Plan -> Feldeinstellungen: Wird in den Feldeistellungen "Abbrechen" gedrückt, werden die Einstellungen für das Feld zurückgesetzt. (Bug#16823)


Release 4.211.115 vom 09.03.2021
================================

thea.perso
-Dienstplan: Bei Krank Arbeitszeiten aus Sollplan übernehmen funktioniert nicht mit der 2. Schicht. (Bug#16807)
-Dienstplan: Bei Krank aus Sollplan werden die Stunden falsch berechnet, wenn es mehrere Schichten gibt. (Bug#16820)
-Dienstplan: Bei den Zellen wo eine Zeit für einen Dienst drinsteht, wird der falsche Editor geladen. (Bug#16821)


Release 4.211.112 vom 02.03.2021
================================

thea.dispo
-Rapport (für Dispo-Abteilungen): Gibt es parallel zu einer Besetzung eine weitere Besetzung ohne Dauer, so ist die errechnete Arbeitszeit falsch, wenn Pausenregeln vorhanden sind. (Bug#16814)

Sonstiges
-Mitarbeit/Kontakte: Im Dialog zum Ändern der Namen werden für Personen die Firmenbezeichnungen angezeigt, und umgekehrt. (Bug#16812)
-Plan -> Eine Zeile pro Aktivität: Der Filter für Abos wird nicht richtig aus den Planeinstellungen gesetzt, 'Freier Verkauf' ist zusätzlich aktiv. (Bug#16813)


Release 4.211.110 vom 25.02.2021
================================

thea.export
-Spielplanexport: Bei den älteren CSV Exporten (Version bis einschließlich 1.7) wird anstelle von "PersId" "PersonId" exportiert. (Bug#16806)

Sonstiges
-Dienstplan -> Der Haken "Zeiteingabe über Auswahl" wird nicht ausgewertet. (Bug#16804)
-Tagesplan: Die Sortierung nach Maskenzeiten hat keine Auswirkung. (Bug#16805)


Release 4.211.109 vom 23.02.2021
================================

Sonstiges
-Ablauf: Das Scenario wird nicht angezeigt. (Bug#16801)


Release 4.211.108 vom 22.02.2021
================================

thea.dispo (web)
-Webkalender: Der Inhalt der Vorlage für den Termintext wird doppelt ausgegeben, wenn die Aktivität keine Besetzung hat. (Bug#16792)


Release 4.211.107 vom 22.02.2021
================================

Sonstiges
-Aktivitätsdialog: Beim Speichern werden die "Dienste" der Abteilung mitgespeichert, auch wenn keine abweichenden Dienste eingetragen wurden. (Bug#16776)


Release 4.211.106 vom 19.02.2021
================================

thea.dispo
-Dispo: Beim Speichern von Aktivitäten mit Abos kommt es zu einer SqlException. (Bug#16787)
 Der Fehler kann auch bei anderen Abo-Funktionen auftreten. Betroffen sind die Versionen 4.211.103 und 4.211.105.

Sonstiges
-Tägliche Stunden: Kombination "Ausschluss von Konten" und "Zeiten berücksichtigen" auf ein sinnvolles Verhalten eingestellt. Parameter "Nur Arbeitszeiten" wird ausgewertet. (Bug#16786 | Kategorie 4 - Niedrig)


Release 4.211.105 vom 17.02.2021
================================

Sonstiges
-RolesDataConverter: Wenn keine Trennzeichen für Performancedates angegeben werden, wird kein Zeilenumbruch mehr gemacht. (Bug#16775)


Release 4.211.103 vom 16.02.2021
================================

thea.dispo
+Die Liste der Aktivitätsstatus können verwaltet werde. (Feature#16583)

thea.export
+Spielplanexport: Der Upload auf FTP Server mit TLS 1.2 wird jetzt unterstützt. (Feature#16671)
+Spielplanexport: Der Upload auf SFTP Server wird jetzt unterstützt. (Feature#16711)

Sonstiges
+ActivityConverter: Es ist ein Converter für die Inhalte (Probenabschnitt, enthalten Werke etc.) verfügbar. (Feature#16504)
+Kontakte: Es ist eine separate Berechtigungsoption für Gesprächsnotizen verfügbar. (Feature#16549)
+Werkeverwaltung: In der Fußzeile wird der Zeitpunkt und der Anwender der letzten Änderung/Erstellung angezeigt. (Feature#16567)
+Dienstplan: Es wurde eine Funktion zum Kopieren von Dienstplänen in Varianten erstellt. (Feature#16571)
+In Azure Datenbanken kann das Passwort geändert werden. (Feature#16597)
+Produktionen -> Anlegen: Die Werkeauswahl wurde verbessert. (Feature#16627)
+Werke: Es können Sätze verwaltet werden, Sätze können in das Programm übernommen werden. (Feature#16658)
+Kontakte: Kontakten können mehrere Kontaktbereiche zugeordnet werden. (Feature#16675)
+In Azure Datenbanken können jetzt Benutzer angelegt, gelöscht und umbenannt werden. (Feature#16683)
+Besetzung pro Produktion: Ohne Schreibrechte wird das Repertoire von Rollen deaktiviert angezeigt. (Feature#16691)
+Rapport aus Besetzungen: Es können Pausenregeln hinterlegt werden. (Feature#16697)


Release 4.206.130 vom 15.02.2021
================================

thea.perso
+Dienstplan: Bei der Zuordnung von Aufgaben zu Diensten per Drag And Drop werden jetzt zeitlich überschneidende Schichten bevorzugt zugeordnet. (Feature#16764)
-Dienstplan: Beim Einplanen einer Schicht mit der Maus wird die Bemerkung der Schicht nicht übernommen. (Bug#16748)
-Dienstplan: Wenn eine Schicht wegen Zeitüberschneidung entfernt wird, bleibt in der Schicht "Arbeitszeit" stehen. (Bug#16751)
-Dienstplan: Wenn in der Detailansicht eine Aufgabe einer nicht vorhandenen Schicht zugewiesen wird, kommt es beim Speichern zu einer Exception. (Bug#16752)
-Aktivitätsdetails -> Aufgaben: Beim Zuordnen eines Mitarbeiters zu einer Aufgabe kommt es zu einer NullReferenceException. (Bug#16758)
-Dienstplan: Beim Ein-/Ausblenden von Schichten werden die Tooltips nicht aktualisiert. (Bug#16763 | Kategorie 4 - Niedrig)


Release 4.206.129 vom 11.02.2021
================================

Sonstiges
-Dienstplan: Undo nach Einplanen einer neuen Schicht schlägt fehl. (Bug#16749)


Release 4.206.128 vom 10.02.2021
================================

Sonstiges
-Kontakte zusammenführen: Wenn es beim Zusammenführen zu einer SqlException kam und man es anschließend nochmal probiert, kommt es zu einer InvalidOperationException. (Bug#16665)
-Dienstplan: Einplanen eines Arbeitszeitmodells plant die Schichten nicht nach Schichtindex ein. (Bug#16726)
-Vertrag: Fehler beim Drucken. (Bug#16736)


Release 4.206.126 vom 04.02.2021
================================

Sonstiges
-Dienstplan: Automatische Verteilung der Sollarbeitszeiten verteilt 0 Sollarbeitszeit auf Montag mit Ist-Arbeitszeit statt auf Sonntag mit Frei. (Bug#16695)


Release 4.206.125 vom 03.02.2021
================================

Sonstiges
-Monatsabschluss - Wenn mehrere Monate abgeschlossen werden, wird der automatische Übertrag in Fremdkonto über die Monate summiert. (Bug#16657)


Release 4.206.123 vom 29.01.2021
================================

thea.export
-Spielplanexport: Beim CSV Export 1.3 - 1.8 ist die Spalte ModuleGroupId in modulegroups.csv nicht mehr vorhanden. (Bug#16689)

Sonstiges
-Abwesenheiten: Wird eine Abwesenheit für einen Zeitraum eingetragen für den es keine Spielzeit gibt, kann ein Fehler auftreten. (Bug#16681)


Release 4.206.122 vom 25.01.2021
================================

Sonstiges
-Plan: Wenn der Abo-Filter zur Ausführungszeit eingeblendet wird, werden die Filtereinstellungen "Alle Abos uns Freiverkauf" nicht übernommen. (Bug#16680)


Release 4.206.120 vom 19.01.2021
================================

thea.dispo
-Produktionen -> Standardbesetzung: Bei der 2. Besetzung wird nach einer Änderung der "Umbesetzen"-Dialog angezeigt. (Bug#16662)

Sonstiges
-ProductionConverter: Das Listenfeld WorkVersions gibt auch für Szenen und Akte Listenelemente zurück. (Bug#16664)
-Kontakte zusammenführen: Wenn beide Kontakte für die gleichen Personaldatenfelder Werte haben, kommt es zu einer SqlException. (Bug#16666)


Release 4.206.118 vom 13.01.2021
================================

thea.dispo
-Vertragsdruck: Bei der Verwendung von Vertragsterminen gibt das Feld "roles." die erste Vertragsrolle aus anstelle der ersten Rolle aus den Vertragsterminen. (Bug#16638)

thea.perso
-Abwesenheit eintragen: Die Krank-/Urlaubsmeldung wird nicht mehr geöffnet. (Bug#16639)

Sonstiges
+Produktionen/Szenario: Die Dauer wird aus Werken übernommen und auch ohne Szenen ausgegeben. (Feature#16633)


Release 4.206.117 vom 13.01.2021
================================

Sonstiges
-Kontaktverwaltung: Die Berechtigungsprüfung für Kontaktdetails verhindert das Schreiben von Kontaktdetails, wenn es noch keine Kontaktdetails gibt. (Bug#16631)


Release 4.206.116 vom 12.01.2021
================================

Sonstiges
-Automatisches Update: Beim Update über einen WCF Service kommt es bei Dateidownloads manchmal zu einer TimeOutException. (Bug#16632)


Release 4.206.115 vom 11.01.2021
================================

thea.perso
-Dienstplan: Beim Einfügen von einer Schicht mit Strg+V springt die Ruhezeitenwarnung an, obwohl es keine Ruhezeitenüberschreitung gibt. (Bug#16624)
-Dienstplan: Die Funktion "Früheste Schicht" wirft eine InvalidOperationException. (Bug#16626)


Release 4.206.113 vom 08.01.2021
================================

Sonstiges
-Dienstplan: beim Überplanen einer Schicht mit einer Abwesenheitsschicht bleiben die Zeiten erhalten, nur das Konto wird geändert. (Bug#16625)


Release 4.206.112 vom 08.01.2021
================================

Sonstiges
-Beim Starten der Anwendung kommt die Fehlermeldung "Method not found: '!!0[] System.Array.Empty()'". (Bug#16623)
 Kommt nur, wenn .NET Framework 4.5.2 auf dem Rechner installiert ist. Ist seit Version 4.206.102.


Release 4.206.108 vom 07.01.2021
================================

thea.perso
-Vertrag: Bei Vergütungen ohne Zeitraum wird nicht der Vertragszeitraum automatisch verwendet. (Bug#16621)

Sonstiges
-Verträge: Die Spalte Zeitraum wird nicht nach dem Datumswerten sortiert, sondern nach den angezeigten Texten. (Bug#16620)


Release 4.206.107 vom 06.01.2021
================================

Sonstiges
-Budgetverwaltung: Die Vertragskosten werden nicht korrekt berechnet. (Bug#16617)


Release 4.206.106 vom 06.01.2021
================================

Sonstiges
-Dienstplan: Feiertage am Samstag reduzieren nicht die wöchentlich Soll-Az, wenn der Samstag keine Sollzeit hat. Manuelle Änderungen der Sollzeit werden nicht immer gespeichert. (Bug#16616)


Release 4.206.105 vom 06.01.2021
================================

Sonstiges
-Dienstplanänderungen drucken: Ergebnis ist immer leer. (Bug#16615)


Release 4.206.104 vom 05.01.2021
================================

thea.dispo
-Person -> Kalender: für Produktionen ohne Ablauf/Szenario werden keine möglichen Besetzungen mehr ausgegeben. (Bug#16613)

Sonstiges
-Aktivitätsbesetzungsfenster - Besetzungsmöglichkeit aus Vertrag überschreibt die Anzeige der ersten Besetzung aus der Produktion ohne Vertrag. (Bug#16611)
-Skriptausführung zeigt Fehlermeldung. (Bug#16612)
-thea.works: Es können ungültige Zeiten eigetragen werden. (Bug#16614)


Release 4.206.103 vom 30.12.2020
================================

thea.dispo
-Produktion -> Kosten: Bei Mehrteilern werden die Rollen unter jedem Teil dargestellt. (Bug#16446)

thea.perso
-Dienstplandruck: Bei der Ausgabe mit Farben ist der Hintergrund von Schichten ohne Farbe Schwarz. (Bug#16605)
-Dienstplandruck: Die Bezeichnung des Kontos wird bei Arbeitszeiten ausgegeben, obwohl so nicht angegeben. (zusätzlich wird sie auch mehrfach ausgegeben). (Bug#16606)
-Dienstplan: Eine Abwesenheitsschicht kann nicht über "Zelle kopieren" und "Einfügen" in die 3. Schicht eingefügt werden. (Bug#16607)
-Abwesenheitsliste: Abwesenheiten in der dritten Schicht werden ignoriert. (Bug#16608)
-Lohn- und Dienstdaten Export: Der Export Provider AbsendDataExport berücksichtigt Abwesenheiten in der dritten Schicht nicht. (Bug#16609)


Release 4.206.102 vom 23.12.2020
================================

thea.perso
+Es gibt einen Assistenten für die Anlage neuer Abteilungen. (Feature#16408)

thea.chor
+Dienstplan (Besetzung): Ausgeblendete Rollen werden nicht mehr im Besetzungsfenster angezeigt. (Feature#16270)

thea.transfer
+Kassenanordnung (thea.perso):  Der automatisch generierte Beschreibungstext beinhaltet jetzt Informationen zu den Schichten. (Feature#16440)

thea.travel
+Wohnungsverwaltung: Der Filter für die Wohnungen ist jetzt ein Baum. (Feature#16559)

Sonstiges
+Standardbesetzung: Rollen mit der Bezeichnung eines abweichenden Aufgabenbereiches werden mit einer Warnung angezeigt. (Feature#16241)
+Standardbesetzung: Werden Rollen mit der Bezeichnung eines abweichenden Aufgabenbereiches angelegt, wird gefragt ob dieser verwendet werden soll. (Feature#16245)
+In der Einstellung "Standardbesetzung Spielzeitübergreifend", wird bei Eintragen einer Standardbesetzung geprüft, ob in anderen Spielzeiten Standardbesetzung vorhanden sind, dann wird Zeitraum ergänzt. (Feature#16283)
++Standardbesetzung für Kollektiv-Mitglieder: Beim Verkleinern von Gruppen (Anzahl reduzieren) werden zunächst unbesetzte Positionen entfernt. (Feature#16293)
+Die Kombination aus "automatischer Sollarbeitszeitverteilung" und Schichten, deren Arbeitszeit auf der Sollzeit basiert, ist jetzt sinnvoll möglich. (Feature#16300)
+Abrechnungsregel: Es kann ein Sockelbetrag pro Dienst hinterlegt werden. (Feature#16353)
+Dienstplan: Im Modus "Sollarbeitszeit auf Wochentage verteilen" werden einzelnen (z.B.) Urlaubstagen am Wochenende Zeiten wertgestellt, wenn in der Woche freie Tage lagen. (Feature#16359)
+Plan -> Produktionsplan: Spalten können nach der Bühne der "Produktionsplans-Produktion" gefiltert werden. (Feature#16367)
+Das Feld Basiccast kann nach 1. - 4. Besetzung gefiltert werden. (Feature#16374)
+Dienstplanansicht: Anpassen der "Summenspalte" für Überstunden, Monate können nach Wochen "gerundet" werden. (Feature#16378)
+Tagesplanvorschau: Es können auch Soliproben angelegt werden. (Feature#16382)
+ProductionConverter: Es können die Rollen einer Produktion ausgegeben werden. (Feature#16390)
+Dienstplan: Es ist eine Option verfügbar um bei der Kostenträgerzuordnung immer die gesamte Arbeitszeit zuzuordnen. (Feature#16432)
+Dienstplan: Nach dem Schließen des Kostenträger-Dialoges wird der gesetzte Personenfilter und die Scrollposition beibehalten/neu gesetzt. (Feature#16436)
+Besetzung pro Produktion: Bei Besetzungen ohne Vertrag kann ein Warnhinweis angezeigt werden. (Feature#16463)
+Wohnungsverwaltung: Es können Listen der An-/Abreisen erstellt werden. (Feature#16487)
+Produktionsablauf: Einem "Ablaufschritt" kann ein Werk zugeordnet werden. (Feature#16500)
+In der Zeitkonten Auswertung können die Summe pro Abteilung ausgegeben werden. (Feature#16518)
+Dispo: Es ist eine Spalte mit dem Inhalt (Werke, Produktionen) einer Aktivität verfügbar. (Feature#16539)
+Produktion -> Kosten: Bei Verträgen ohne Honorare wird das Plan-Honorar angenommen. (Feature#16554)
-Produktion -> Kosten: Bei Besetzungen mit mehreren Honoraren wird die Anzahl der Vorstellungen anhand der Anzahl Honorare bestimmt. (Bug#16394)
-Kontakt -> Brief/Serienbrief: Beim PDF-Formular "Meldeblatt B für VersicherteSept20.pdf" lässt sich der Familienstatus nicht ausfüllen. (Bug#16492)


Release 4.205.123 vom 21.12.2020
================================

Sonstiges
+Pläne: Das Datum und die Uhrzeit der Erstellung und der letzten Änderung von Personendaten können jetzt ausgegeben werden. (Feature#16575)
-Kontakte zusammenführen: Kontakte lassen sich nicht zusammenführen, wenn sie als Kollektiv derselben Abteilung zugeordnet sind. (Bug#16498 | Kategorie 4 - Niedrig)
-Kontakte zusammenführen: Wenn die Kontakte auf sich gegenseitig verweisen kommt es zu einem Fehler. (Bug#16544)


Release 4.205.122 vom 10.12.2020
================================

thea.order
-Bestellungen: Bei Bargeldkonten und Reisekostenerstattungen werden die auswählbaren Steuersätze nicht bezüglich zeitlicher Gültigkeit gefiltert. (Bug#16558)

Sonstiges
-Kontakte -> Qualifikationen: Die Prüfung, welche Qualifikationen zur Auswahl stehen, ist fehlerhaft. (Bug#16553)


Release 4.205.121 vom 09.12.2020
================================

Sonstiges
-Stammdaten -> Vorlagen: Beim Öffnen einer Vorlage im internen Bearbeitungsfenster kann es zu einer InvalidOperationException kommen. (Bug#16536)
-Stammdaten -> Vorlagen: Beim Speichern des Dokumentes im internen Bearbeitungsprogramm kann es zu einer Exception kommen (und hängenden Programm), wenn die Vorlage in einem anderen Programm geöffnet ist. (Bug#16537)
-Diverse Bugfixes wenn die Vorlagen über den WCF Service gespeichert werden. (Bug#16538)


Release 4.205.120 vom 04.12.2020
================================

thea.dispo
-Dispo -> Serie bearbeiten: Unter Windows 10 mit einer Skalierung von 140% wird der "Aktivitäten laden" Knopf nicht mehr angezeigt. (Bug#16527)
-Dispo -> Tabellenansicht: Wenn eine Zelle in der Spalte "Anzahl Besetzungen" ausgewählt wird, kommt es zu einer NullReferenceException. (Bug#16528)

Sonstiges
+Von der Bühnengruppe kann der Fußzeilentext jetzt in Plänen ausgegeben werden. (Feature#16530)
-Rollenzulagen: Nachträglich geänderte Aktivitätstypen/Vertragsarten werden nicht automatisch gespeichert. (Bug#16517)
-Dienstplan: Die Sollarbeitszeit wird abhängig von der Vertragsart ermittelt, nicht aufgrund der abweichenden Arbeitszeiten. (Bug#16522)
-Rapport (Dispo) -> Stornierte Abwesenheiten werden nicht durchgestrichen dargestellt. (Bug#16534)


Release 4.205.118 vom 02.12.2020
================================

Sonstiges
+Abwesenheitsplanung: Die Termine können für einen freien Zeitraum per Mail versendet werden. (Feature#16523)
-Neuer Kontakt: Wenn der Kontakt den Besitzer Jeder bekommen soll, muss auch "Kontaktdaten sind öffentlich" aktiviert werden, sonst kommt es zu einer Exception. (Bug#16493)
-Tagesplan -> Cast-Feld: Die Gruppierung nach Teilproduktion und Start wird nicht nach Start sortiert. (Bug#16499)


Release 4.205.117 vom 23.11.2020
================================

thea.contact
+Kontaktsuche: Eine Spalte für "Ist Inaktiv" wurde hinzugefügt. (Feature#16478)

Sonstiges
+Kontakte: Die Datumseinschränkungen für Geburtstag und Todestag wurden entfernt. (Feature#16482)


Release 4.205.116 vom 23.11.2020
================================

Sonstiges
-Besetzung  der Aktivität drucken: Die Einstellung für den Rollenbesitzer wird nicht gespeichert. (Bug#16475)
-Produktionen: Beim Sortieren der Aktivitäten nach Datum wird nicht nach dem Datumswert sondern nach dem angezeigten Text sortiert. (Bug#16476)


Release 4.205.115 vom 19.11.2020
================================

Sonstiges
-Dispo -> Tabellenansicht: Bei neu angelegten Aktivitäten über das Grid wird die Lange Bemerkung nicht gespeichert. (Bug#16467)
-Dispo -> Tabellenansicht: Bei neu angelegten Aktivitäten über den Detaildialog verschwindet die "Bemerkung Lang" aus der Anzeige, nach dem Speichern. (Bug#16468)
-Dispo -> Detailansicht von Aktivitäten: Beim Wechseln der Registerkaten werden deren Daten nicht gespeichert. (Bug#16469)


Release 4.205.114 vom 17.11.2020
================================

Sonstiges
+In der Formel "Zulage für Arbeit im Zeitraum" werden direkt aufeinanderfolgende Besetzungen zusammen als ein Dienst interpretiert. (Feature#16455)
+Rapport: Es können auch Besetzungen von abgesagten Vorstellungen ausgegeben werden, wenn diese vergütet oder gezählt werden. (Feature#16459)


Release 4.205.112 vom 13.11.2020
================================

Sonstiges
-Personen -> Kalender -> Abwesenheiten: Wird in der Spalte "Grund" ein Filter gesetzt, und bei einem neuen Eintrag zu Eingabe nur ein Buchstabe eingetragen, hängt sich alles auf. (Bug#16420)
-Pläne: Beim Öffnen der Einstellungen für Pläne des Typs "Kalender" oder "Eine Zeile pro Tag" kann es zu einer ArgumentException kommen. (Bug#16448)
-Abwesenheitsplanung: Wird aus der Planungsansicht ein Vertrag geöffnet und dort in eine andere Abteilung verschoben, kommt eine Fehlermeldung. (Bug#16449 | Kategorie 4 - Niedrig)
-Verträge anlegen: Bei Verträgen ohne Rolle/Produktion wird die Standard-Abrechnungsregel aus dem Arbeitsbereich nicht übernommen. (Bug#16450 | Kategorie 4 - Niedrig)


Release 4.205.111 vom 11.11.2020
================================

Sonstiges
-Dispo: Countdown einplanen in einer Variante plant den Countdown in der Mastervariante ein. (Bug#16445)


Release 4.205.110 vom 11.11.2020
================================

thea.dispo
+Verträge: Die Prüfung, ob es Besetzungen gibt, die durch Laufzeitänderungen außerhalb des Vertragszeitraums liegen, wurde verbessert. (Feature#16424)

Sonstiges
-Besetzung pro Produktion -> Druck: Markierte Besetzungen werden nicht markiert. (Bug#16419)


Release 4.205.109 vom 09.11.2020
================================

Sonstiges
-Spielplanexport/Spielplanimport: Beim Verwenden von ZIP-Dateien kommt es zu einer FileLoadException. (Bug#16423)


Release 4.205.107 vom 04.11.2020
================================

Sonstiges
-Abwesenheitsplan: Count für persStatusList gibt einen Tag zu viel zurück. (Bug#16418)
-Produktionen -> Standardbesetzung: Beim Ändern der Anzahl und anschließenden speichern der Rolle kann es zu einer ArgumentOutOfRangeException kommen. (Bug#16421)
-Pläne: Bei der Ausgabe der langen Bemerkung einer Aktivität werden Klammern auch dann ausgegeben, wenn es gar keine lange Bemerkung gibt. (Bug#16422)


Release 4.205.105 vom 30.10.2020
================================

Sonstiges
-Dienstplan: Bemerkungen können nicht gelöscht werden. (Bug#16414)


Release 4.205.102 vom 27.10.2020
================================

thea.dispo
+Dispo: Es gibt jetzt Spalten für die Ankunftszeit der Hinfahrt und der Rückfahrt. (Feature#16396)
+Dispo: Die Listenansicht kann jetzt gezoomt werden. (Feature#16400)

Sonstiges
-Besetzungszettel drucken: Die Reihenfolge der ausgegebenen Besetzungen stimmt nicht. (Bug#16334)


Release 4.205.101 vom 26.10.2020
================================

thea.dispo
+Dispo: Eine neue Ansicht "Listenansicht" ist jetzt verfügbar, in der die Aktivitäten gruppiert und sortiert werden können. (Feature#16080)
+Tagesplan: Die Tagesplanvorlage (mit Makros und UI Anpassungen) wird jetzt mit dem Programm installiert, die Vorlagen aus den Stammdaten geben nur noch das Aussehen vor. (Feature#16201)
+Tagesplan: Das Zertifikat von Theasoft wird jetzt beim Installieren vom Programm in den Zertifikatsspeicher Vertrauenswürdiger Herausgeber installiert. (Feature#16205)
+Produktionen -> Szenario: Im Druck können die Besetzungen (Aktivität/Standardbesetzung) mit ausgegeben werden. (Feature#16211)

thea.perso
+Dienstplan: Täglich Zulagen können als Warnung angezeigt werden. (Feature#16235)

thea.ballett
+Produktionen -> Szenario: Im Druck können die Besetzungen (Aktivität/Standardbesetzung) mit ausgegeben werden. (Feature#16211)

thea.budget
-Dispoberichte -> Vorstellungsbudget: Es werden keine Pauschalen von Produktionen ohne Vorstellungen ausgegeben. (Bug#16340)

thea.export
+Spielplan-Export: Optional kann auch die lange Aktivitätsbemerkung ausgegeben werden. (Feature#16193)

thea.works
+thea.works: Das Menü zum Anpassen der Dienstzeiten an die Aufgabe wurde überarbeitet. (Feature#16314)
-thea.works: Der Tooltip wird nicht immer angezeigt (z.B. der zugeordneten Aufgabe). (Bug#16319 | Kategorie 4 - Niedrig)
-thea.works: Beim Hinzufügen von Tagesaufgaben werden die Daten neu geladen, ohne vorher zu speichern. (Bug#16320)

Sonstiges
+Besetzung pro Produktion: Es kann auf Varianten gefiltert werden. (Feature#15986)
+Updates können über den WCF-Service bezogen werden. (Feature#16102)
+Spielplanexport -> XML-Export: Es werden auch Produktionen ohne Aktivitäten exportiert. (Feature#16117)
+Die Adressvervollständigungsvorschläge werden jetzt über den WCF-Service abgerufen. (Feature#16145)
+Kontaktsuche: Die Performance wurde verbessert. (Feature#16149)
+Kontakte: Für die einer Person zugeordnete Kontakte (Agenturen, Ansprechpartner) kann ein Zeitraum angegeben werden. (Feature#16156)
+Funktionen aus altem WEB übernehmen. (Feature#16168)
+Tagesplan: Für Probenabschnitte können die Zeiten als "ca." oder "anschl." ausgegeben werden. Es werden leere Abschnitte ausgegeben. (Feature#16226)
+Von einer Aktivität kann über das Kontextmenü zu Produktion gewechselt werden. (Feature#16279)
+Serie bearbeiten -> In Variante kopieren kopiert jetzt bei Bedarf auch die Besetzungen mit. (Feature#16289)
+Rollen/Produktionszulagen können für mehrere Vertragsarten angegeben werden. (Feature#16306)
+Rapport: Es kann die Vertragliche Sollarbeitszeit ausgegeben werden. (Feature#16341)
+Stammdaten/Spielzeiten: Beim Ändern der Spielzeitdaten (Von, Bis) werden Standardbesetzung und Verträge angepasst. (Feature#16345)
+Tagesplan: Probenabschnitte mit inkonsistenten Zeiten werden jetzt zur einfacheren Fehlerbehebung angezeigt und hervorgehoben. (Feature#16349)
-Tagesplan -> Spalteneinstellungen: Tabulatoren können nicht gelöscht werden. (Bug#15904)
-Tagesplanansicht: Der "Aktualisieren-Knopf" lädt die Daten nicht neu aus der Datenbank. (Bug#16231)
-Tagesplanansicht: Änderungen in den Aktivitätsdetails sind in der Tagesplanansicht nicht zu sehen. (Bug#16232)
-Dienstplan: Null Reference Exception beim Ändern der Dienstzeiten. (Bug#16263)
-Dienstplan -> Schichtdetails: Neu eingetragene Zulagen werden nicht gespeichert, wenn die Tabpage gewechselt wird. (Bug#16287)
-Dienstplan -> Zulagen pro Tag: Neue eingetragene Zulagen sind nicht sofort im Dienstplaneintrag ersichtlich. (Bug#16288)
-Zeitkonten Export : JahrMonat wird ohne Format als String ausgegeben. (Bug#16304)
-Vertrag verkürzen -> Fehlermeldung, dass man keine Berechtigung auf Besetzungen hat. (Bug#16333)
-Werkeverwaltung: Für Komponisten/Autoren wird nur noch die ID ausgegeben. (Bug#16371)
-Dienststatistik: Die Anzahl Dienste einer Woche ist zu gering. (Bug#16372)
-Abwesenheitsplanung: Beim Öffnen kann es zu einer Exception kommen, wenn die zuletzt ausgewählte Abteilung zwischenzeitlich gelöscht wurde. (Bug#16389)


Release 4.204.117 vom 26.10.2020
================================

Sonstiges
-Abwesenheitsplanung: Einschränkung des angezeigten Zeitraums führt zu ArgumentException. (Bug#16338)


Release 4.204.116 vom 05.10.2020
================================

thea.contract
-Einstellungen: Beim Löschen eines Vertragsexportes kommt es zu einer SqlException. (Bug#16327)

Sonstiges
-Stammdaten -> Vorlagen -> PDF Parameter bearbeiten: Beim Feld currentcontract.salaries lassen sich die Einstellungen nicht bearbeiten. (Bug#16299)
-Benutzerverwaltung: Beim Entfernen des zugeordneten Kontaktes eines Benutzers, kann es zu einer Exception kommen. (Bug#16323)
-Dem Benutzer zugeordnete Lizenzen, die man über Windowsgruppen bekommt, werden nicht erkannt. (Bug#16324)


Release 4.204.114 vom 21.09.2020
================================

thea.perso
-Dienstplan: Beim Drucken wird manchmal die Hintergrundfarbe von Bemerkungen nicht richtig ausgegeben. (Bug#16276)

Sonstiges
-Produktionen -> Akte: Im letzten Akt wird die Zeit nicht angezeigt. (Bug#16264 | Kategorie 4 - Niedrig)


Release 4.204.113 vom 17.09.2020
================================

thea.dispo
-Dispo -> Jahresansicht: Bei neuen Aktivitäten wird die Variante nicht übernommen. (Bug#16217)

Sonstiges
-Budget-Spielplan -> Einstellungen Produktionen: Die Titel der Produktionen werden nicht angezeigt. (Bug#16261)
-Abrechnung über Abrechnungsregeln: Ist eine Person an einem Tag als Cover, und in einer anderen Aktivität nicht als Cover besetzt, wir eine zusätzliche Gage abgerechnet. (Bug#16275)


Release 4.204.112 vom 11.09.2020
================================

Sonstiges
-Countdowns einplanen: Beim "Überplanen" werden bereits zugeordnete Countdowns nicht immer gelöscht. (Bug#16218)
-Standardbesetzung: Bei Ändern der Standardbesetzung zu einem Datum, tritt ein Fehler auf, wenn kein Enddatum eingetragen ist. (Bug#16221)
-thea.works: Vermutlich wird bei dynamischer Arbeitszeitverteilung teils eine falsche Sollzeit geschrieben. (Bug#16225)


Release 4.204.111 vom 31.08.2020
================================

Sonstiges
-Disposition (Abteilung): Beim Öffnen der Ansicht kommt es zu einer Exception, wenn als Datumsformat "English (USA)" eingestellt ist. (Bug#16215)


Release 4.204.110 vom 31.08.2020
================================

Sonstiges
-Dispomaske: Schulferien werde nicht mehr angezeigt, wenn kein Bundesland hinterlegt ist. (Bug#16210)


Release 4.204.109 vom 31.08.2020
================================

Sonstiges
-Tagesplanvorschau: Ausgefallenen Aktivitäten werden nicht durchgestrichen dargestellt. Besetzungen lassen sich nicht im Abschnittsdialog löschen. (Bug#16200 | Kategorie 4 - Niedrig)


Release 4.204.108 vom 27.08.2020
================================

Sonstiges
-Kalender -> Reisen: Die Reiseschritte werden beim Personenwechseln nicht neu geladen. (Bug#16197)
-Bei Abrechnungsregeln für Besetzungen wird die "Cover" - Option nicht ausgewertet. (Bug#16198)
-Abrechnung von Honoraren/Zulagen: Im "Kalkulationsmodus" werden bei Vorstellungen auch Zulagen für Proben abgerechnet. (Bug#16199)


Release 4.204.107 vom 25.08.2020
================================

Sonstiges
-Besetzungsdetails/Aktivitätsdetails -> Besetzungen: Beim Eintragen von Besetzungs-Endzeiten springt die Endzeit zurück, wenn die Endzeit der Besetzung mehr Minuten nach der Aktivität ist, als die Aktivität lang ist. (Bug#16191)
-Tagesplan -> Probenabschnitt: Werden Personen über "Ausgewählte besetzen" besetzt und nicht deselektiert, werden diese bei "OK" nochmals besetzt. (Bug#16192)


Release 4.204.106 vom 19.08.2020
================================

Sonstiges
-Kassenanordnungen: Abwesenheitspositionen werden nicht ausgegeben. (Bug#16014)
-ProductionConverter -> Der Probenstart wird nicht ausgegeben, wenn die Produktion eine "Probenspielzeit" hat, der Probenstart aber in der Premierenspielzeit liegt. (Bug#16161)


Release 4.204.104 vom 14.08.2020
================================

Sonstiges
-Plan: Eckdaten Kunst -> Feld RehearsalDate wird nicht ausgegeben. (Bug#16155)


Release 4.204.103 vom 13.08.2020
================================

thea.dispo
-Dispo -> Serie Bearbeiten: Beim Arbeiten mit Varianten im Zusammenhang mit Countdowns gibt es einige Unstimmigkeiten. (Bug#16040)

Sonstiges
-Export -> CSV: Beim Export mehrerer Spielzeiten wird nur die Standardbesetzung der ersten Spielzeit exportiert. (Bug#16143)
-Abwesenheitsplanung: Die Markierung der Wochentage verschwindet, wenn man mit der Maus über die Spalte "hovert". (Bug#16144 | Kategorie 4 - Niedrig)
-Tagesplan: Wenn in den Benutzereinstellungen die Tagesplanschnittstelle aktiviert wurde, öffnet sich das Tagesplanfenster nicht. (Bug#16154)


Release 4.204.102 vom 04.08.2020
================================

Sonstiges
+Verträge: Ein Vertrag kann als "Primärvertrag" gekennzeichnet werden. (Feature#16053)
+Verträge -> Honorare: Im Detailfenster für Zahlungen kann der Gültigkeitszeitraum angegeben werden. (Feature#16139)


Release 4.204.101 vom 03.08.2020
================================

Sonstiges
+Kontakte -> Bankverbindungen: Für die Bank kann eine Adresse angegeben werden. (Feature#16135)


Release 4.204.100 vom 31.07.2020
================================

thea.dispo
+Varianten: Varianten haben eine Laufzeit und ein Merkmal, ob sie bei Abwesenheits-Überschneidungen geprüft werden sollen. (Feature#15996)
+Besetzungen -> Aktivitätsdetails/Besetzungsdetails: Es wird auf valide Zeiträume geprüft. (Feature#16022)
+Werke: Es kann eine Tantieme für den Choreographen verwaltet werden. (Feature#16035)
+Aktivitäten/Tagesplan: Proben lassen sich zeitlich unterteilen. Pro Probenteil lassen sich Anweisungen hinterlegen und es besteht die Möglichkeit alle Beteiligten eines Aktes/Szenen zu besetzen. (Feature#16072)
+Produktionen -> Basisdaten: In der Übersicht der eingeplanten Aktivitäten kann jetzt auch auf Varianten gefiltert werden. (Feature#16088)

thea.perso
+Konten -> Formel "Berech. Lohn am Tag": Für den Lohn werden die zugeordneten Kostenträger ausgegeben. (Feature#16062)

thea.orchester
+Instrumentenverwaltung: Es kann nach Instrumentenkategorien und Instrumenten gefiltert werden. (Feature#16092)

thea.budget
+Dispo-Berichte -> Vorstellungsbudget: Im Feld "costs" können die Kostenkonten gefiltert werden. (Feature#16031)
+Werke: Es kann eine Tantieme für den Choreographen verwaltet werden. (Feature#16035)
+Budget Spielplan -> Einsatzkräfte: Das Ergebnis der Berechnung kann unter Dispoberichte -> Vorstellungsbudget" ausgegeben werden. (Feature#16076)

Sonstiges
+Die Einstellungen für den Versand von E-Mails über SMTP wurden überarbeitet. (Feature#15691)
 Server und Port werden zentral festgelegt. Anmelde- und Absenderinformationen bei den SMTP Einstellungen für Systembenachrichtigungen (für Export, Validierung, usw.) und bei den SMTP Profilen in den Benutzereinstellungen (für Terminbrief, Serien-E-Mail usw.). WICHTIG: Die vorherigen Einstellungen wurden NICHT übernommen.
+Das Szenarium wurde erweitert. (Feature#15862)
+Dienstplan (Besetzungen): Es können mehrere Zellen frei ausgewählt werden. (Feature#15958)
+Vorstellungsstatistik: Die Einstellungen können gespeichert werden. (Feature#15978)
+Vorstellungsstatistik: Es kann nach Varianten gefiltert werden. (Feature#15992)
+Stammdaten -> Vorlagen für Dokumente: Im Bearbeitungsfenster können Seriendruckfelder jetzt über einen Dialog bearbeitet werden. (Feature#16043)
+Stammdaten -> Kostenträger: Pro Kostenträger kann ein fester Haushaltstitel festgelegt werden, der bei den Kassenanordnungen bevorzugt verwendet wird. (Feature#16067)
+Stammdaten -> Vorlagen für Dokumente: Ein Dokument lässt sich nur 1x zum Bearbeiten öffnen. (Feature#16121)
+Kontakte: Es können die Zuordnungen von Kindern zu Erziehungsberechtigten verwaltet werden. (Feature#16125)


Release 4.203.114 vom 31.07.2020
================================

thea.contact
-Kontaktsuche -> Serienbrief: Das Ausgabefeld "sender" wird nicht unterstützt. (Bug#16134)


Release 4.203.113 vom 31.07.2020
================================

Sonstiges
-Konten -> Formel: Die Formeln "Soll" und "Lohnart Urlaub" geben unter bestimmten Bedingungen keine Werte aus. (Bug#16129 | Kategorie 4 - Niedrig)
-Kontakte -> Adressen: Wird bei der Neueingabe einer Adresse direkt auf "Als Primäradresse festlegen" geklickt, wird diese nicht gespeichert". (Bug#16131)
-Stammdaten/thea.perso -> Drucklayouts: Die Textausrichtung der Bemerkung lässt sich nicht einstellen. (Bug#16132)


Release 4.203.112 vom 29.07.2020
================================

Sonstiges
+Kontakte -> Ansprechpartner: In der Adresse kann eine Abteilung mit ausgegeben werden. (Feature#16113)


Release 4.203.111 vom 21.07.2020
================================

thea.dispo
-Produktionen -> Standardbesetzung: Nachdem eine Person aus der Standardbesetzung entfernt wurde, kommt es zu einer Exception. (Bug#16112)

Sonstiges
+Produktionen -> Standardbesetzungen: Der Zeitraum kann tagesgenau, aber auch spielzeitübergreifend angegeben werden. (Feature#15928)
-Person -> Kontaktdaten: Bei neuen Einträgen wird nicht automatisch eine Kontaktart ausgewählt. Dadurch kann es zu Exceptions kommen. (Bug#16109)


Release 4.203.110 vom 16.07.2020
================================

thea.perso
-Perso-Berichte -> Zeitkonten Auswertung: Wenn die Werte nur über Dienstplaneinträgen berechnet werden, kommt es zu einer NullReferenceException. (Bug#16110)


Release 4.203.109 vom 15.07.2020
================================

thea.dispo
-Abwesenheitsplanung: Die Berechnung der Anzahl Dienste Vormittag/Nachmittag ist falsch. (Bug#16097)


Release 4.203.108 vom 06.07.2020
================================

Sonstiges
-Budget pro Vorstellung: Bei der Ausgabe von Honoraren für unbesetzte Rollen kann ein Fehler auftreten. (Bug#16096)


Release 4.203.107 vom 30.06.2020
================================

Sonstiges
-Rapportspalte: Übertrag in anderes Konto verwendet den falschen Vortag. (Bug#16066)


Release 4.203.106 vom 29.06.2020
================================

Sonstiges
-Stammdaten -> Aktivitätstypen -> Schreibberechtigungen: Neu gesetzte Berechtigungen können nicht sofort wieder entfernt werden. (Bug#16042)
-Standardbesetzungszettel: Für Cast1 bis Cast4 wird dieselbe Standardbesetzung ausgegeben. (Bug#16059)
-Produktionen -> Standardbesetzung: Bei Rollengruppen werden keine Leerzeilen angezeigt, wenn Besetzungen mit größeren Gruppenposition vorhanden sind. (Bug#16060)


Release 4.203.105 vom 24.06.2020
================================

thea.perso
-Mitarbeiter -> Kalender: In der Ansicht "Dienste (thea.perso)" lassen sich keine Dienste mehr eintragen. Es kommt immer die Meldung, dass es mehrere Verträge gibt. (Bug#16052)

Sonstiges
-Produktionen: Produktion löschen schlägt fehl, wenn es Produktionsfelder gibt. (Bug#16041)


Release 4.203.104 vom 23.06.2020
================================

thea.dispo
-Dispo -> Monatsansicht: Beim Druck wird nur eine leere Seite ausgegeben. (Bug#16039)


Release 4.203.101 vom 16.06.2020
================================

Sonstiges
+Countdowns einplanen: Es lässt sich auch nur der Personalbedarf übernehmen. (Feature#16026)
-Dienstplandruck: Die zugeordneten Aufgaben können nicht Schichtbezogen ausgegeben werden. (Bug#16030 | Kategorie 4 - Niedrig)


Release 4.203.100 vom 14.06.2020
================================

thea.dispo
+Dispo -> Serien umplanen: Als Filter können mehrere Aktivitätstypen angegeben werden. (Feature#15737)
+Dispo-Berichte -> Abo-Kontroll-Liste: Es kann nach Varianten gefiltert werden. (Feature#16006)

thea.perso
+Dienstplan/Rapport: Korrektureinträge werden jetzt auch dann berücksichtigt, wenn der entsprechende Monat noch nicht abgeschlossen ist. (Feature#15875)

thea.chor
+Rollen: Es kann eine kalkulatorische Abrechnungsregel hinterlegt werden. (Feature#15942)

thea.library
-Stammdaten -> Notenbestand: Die Spalte Material verweist auf den Lagercontainer und bietet den Zustand zur Auswahl. (Bug#15941 | Kategorie 4 - Niedrig)

thea.statisterie
+Rollen: Es kann eine kalkulatorische Abrechnungsregel hinterlegt werden. (Feature#15942)

Sonstiges
+Besetzung: Es ist ein Filter nach vertraglich passenden Personen verfügbar. (Feature#15636)
+Chor-/Orchesterabrechnung: In der Vorlage kann die Gruppierung gespeichert werden. (Feature#15682)
+Besetzung pro Aktivität: Alternativ zu Standardbesetzung lassen sich im Kontextmenü auch Verträge anzeigen. (Feature#15707)
+Orchester-Dienststatistik: Es können auch Krankendienste berücksichtigt werden. (Feature#15741)
+Vertragsfeldtypen haben jetzt ein Modulflag. (Feature#15756)
+Kassenanordnungen: Wenn ausschließlich eine Auszahlungslohnart hinterlegt ist, werden nur die ausgezahlten Werte in die Kassenanordnung übernommen. (Feature#15765)
+Abwesenheitsplanung: Für Namen der Personen kann eine Farbe vergeben werden. (Feature#15781)
+Abwesenheitsplanung: Es lässt sich ein Fenster zum Sortieren der Personen öffnen. (Feature#15785)
+Spielplanexport: Es ist Filter für den Besitzer der Rollen/Besetzungen verfügbar. (Feature#15799)
+Zeitkonten pro Monat: Es können mehrere Zellen markiert, und ein Wert eingetragen/gelöscht werden. (Feature#15807)
+Rapport: Es lässt sich eine Regel hinterlegen, dass alle Stunden über einem Wert (Kontostand), auf ein anderes Konto gebucht werden. (Feature#15811)
+Aktivitätsdetails: Produktionstextfelder lassen sich auf "leer" stellen um den Produktionswert zu überschreiben. (Feature#15867)
+Stammdaten -> Statisterie: Es werden Aktivitätstypen angezeigt. (Feature#15879)
+Benutzerverwaltung: Benutzergruppen können umbenannt werden. (Feature#15907)
+Startseite -> Fälligkeiten: Es gibt eine neue Spalte mit der Produktion einer Fälligkeit. (Feature#15913)
+Benutzerverwaltung: Benutzer können umbenannt werden. (Feature#15918)
+Kontakte-Adressen: Eine Adresse kann als "Steuerwohnsitz" angegeben werden. (Feature#15932)
+Abteilungen -> Arbeitsbereiche: Es gibt ein Merkmal "Inaktiv", inaktive Arbeitsbereiche werden nicht mehr beim Anlegen von Verträgen vorgeschlagen. (Feature#15952)
+Abrechnungen: Die Zulagenkalkulation kann Spielzeitübergreifend, aufgrund der Standardbesetzung des Vorstellungstages erfolgen. (Feature#15962)
+Kassenanordnung erstellen: Für (Perso) Kassenanordnungen kann ein Standardkostenträger hinterlegt werden. (Feature#15973)
+Adressplan: Es können die Bilder einer Person ausgegeben werden. (Feature#15982)


Release 4.202.121 vom 14.06.2020
================================

thea.dispo
-Stammdaten -> Aufgabenbereiche: Änderungen in Rollen übernehmen schlägt fehl (SqlException). (Bug#16016)

thea.perso
-Dienstplan -> Schichtdetails: Die manuellen Pausenzeiten nach Mitternacht werden nicht ausgewertet, wenn die Schicht vor Mitternacht beginnt. (Bug#16015 | Kategorie 4 - Niedrig)
-Dienstplan -> Schichtdetails: Für automatische Pausen, die vor Mitternacht beginnen und nach Mitternacht enden, wird die falsche Dauer angezeigt. (Bug#16019)

thea.statisterie
-Dienstplan (Besetzungen) -> Der Filter "Produktionsverträge bei Bedarf anzeigen" filtert Rollenverträge nicht aus. (Bug#16021)


Release 4.202.120 vom 08.06.2020
================================

Sonstiges
-Formeleinstellung Abwesenheiten: Die Kombination aus Anzahl Perioden 0, Periodentyp Wochen und Startintervall Spielzeitbeginn führt zu einer Endlosschleife. (Bug#16010)
-XML-Export exportiert Darsteller auch bei wenn Darsteller Exportieren abgestellt ist. (Bug#16012)


Release 4.202.119 vom 03.06.2020
================================

Sonstiges
-Dienstplan: Nach Wochenwechsel kann die ausgewählte Schicht nicht mehr eingeplant werden. (Bug#15966)


Release 4.202.116 vom 28.05.2020
================================

Sonstiges
-XML-Export: Nur Produktionsteam ausgeben gibt nichts aus. (Bug#15957)
-Ausgabe Rapport: Fehler in SQL-Abfrage. (Bug#15968)


Release 4.202.115 vom 27.05.2020
================================

thea.dispo
-Dispomaske einrichten: Bei der Einrichtung von Layouts mit nur einer Spalte/Bühne kann ein Fehler auftreten-. (Bug#15971)


Release 4.202.114 vom 27.05.2020
================================

thea.perso
-Persoberichte -> Zeitkonten-Rapport: Das Ergebnis der Ausgabe eines Monatszeitraums weicht von der freien Zeitraum-Auswahl ab. (Bug#15939)

Sonstiges
-Tagesplan - Die Einstellungen für "Nicht ausgegeben wenn verknüpft" werden bei jeder Änderung an den Tagesplaneinstellungen zurückgesetzt. (Bug#15898)
-Produktionsplan -> Eine Zeile pro Tag: Der Spaltenfilter "Ausgewählte Produktion" bezieht Unterproduktion nicht mit ein. (Bug#15899)
-Soliproben: Besetzungen, die nicht zu dem ausgewählten Intervall passen, werden nicht ausgegeben. (Bug#15902)
-Benutzerverwaltung: Benutzer ohne das Recht "Securityadmin" können Benutzergruppen anlegen aber nicht löschen. (Bug#15906 | Kategorie 4 - Niedrig)
-In Variante kopieren: Der Status wird auf normal gesetzt. (Bug#15917)
-Produktionen: Löschen von Produktionen schlägt fehl, aufgrund fehlender Berechtigungen. (Bug#15937)
-Dispo -> Vorschlag: Bei eingeschaltetem Bühnenfilter werden Besetzungsüberschneidungen nicht mehr geprüft. (Bug#15938)
-Castconverter: SetuptimebeforeStart wird nicht mehr ausgegeben. (Bug#15949)
-Beim Anlegen von neuen Touren kann ein Fehler auftreten. (Bug#15967)


Release 4.202.113 vom 07.05.2020
================================

Sonstiges
-Zeitkonten/Rapport-Vorträge: Die Kontowerte werden mit allen Nachkomastellen gespeichert, die Anzeige erfolgt allerdings gerundet. Bei Vorträgen entspricht die Summe nicht der Summe der angezeigten Einzelwerte. (Bug#15896)
-Abwesenheitsplanung: Es können keine Einträge gelöscht werden. (Bug#15901)


Release 4.202.112 vom 05.05.2020
================================

Sonstiges
-Verträge: Das Feld workarea ist nicht unabhängig von der Groß-/Kleinschreibung. (Bug#15892)


Release 4.202.111 vom 04.05.2020
================================

thea.chor
-Chor/Orchester-Abrechnung: Es wird kein Datum ausgegeben. (Bug#15886)

Sonstiges
-Startseite -> Historie: Beim Versuch, bereits zur Kenntnis genommene Einträge nochmals zur Kenntnis zu nehmen, kommt eine Exception. (Bug#15884)


Release 4.202.110 vom 22.04.2020
================================

thea.transfer
-Kassenanordnung: Es werden keine Fälligkeiten ausbezahlt, die nicht im Vertragszeitraum liegen. (Bug#15866)


Release 4.202.109 vom 21.04.2020
================================

Sonstiges
-Dienstplan: Wird mit "<" oder ">" die Woche gewechselt und ist der Bedarfsplan angezeigt, kann es zu einer Fehlermeldung kommen. (Bug#15851)


Release 4.202.108 vom 21.04.2020
================================

thea.dispo
-Produktionen: Preisgruppen können nur geändert, aber nicht entfernt werden. (Bug#15846)

thea.budget
+Budget Spielplan: Es können auch ausgefallene Aktivitäten ausgegeben werden. (Feature#15847)


Release 4.202.107 vom 20.04.2020
================================

Sonstiges
+Neue Gesprächsnotizen prüfen, ob der Kontakt die anrufende Telefonnummer schon hat und fügen sie im Zweifelsfall hinzu. (Feature#15838)


Release 4.202.106 vom 15.04.2020
================================

Sonstiges
-Abwesenheitsplanung: Freie Tage einplanen plant nur in der ersten Woche halbe Tage ein. (Bug#15820)


Release 4.202.105 vom 14.04.2020
================================

thea.export
-Spielplanexport -> CSV: Es werden Personen exportiert, obwohl keine Besetzungen exportiert werden sollen, keine Jahrbuchsdaten vorhanden sind und keine Personen mit Flag "im Export ausgeben" vorhanden sind. (Bug#15832)


Release 4.202.104 vom 13.04.2020
================================

thea.transfer
+Kassenanordnungen: In Dokumenten kann man jetzt auf die zugeordnete Besetzung der Position zugreifen. (Feature#15822)
-Kassenanordnungen: In der Detailansicht, beim Wechseln der Position, wird die Liste mit den zugeordneten Terminen nicht mehr aktualisiert. (Bug#15821)

Sonstiges
+Abrechnungsregeln: Es lässt sich einstellen für welche Abrechnungsregel der Probenfaktor oder der Vorstellungsfaktor verwendet werden soll. (Feature#15826)


Release 4.202.102 vom 07.04.2020
================================

thea.dispo
+Stammdaten: Man kann jetzt Abogruppen anlegen, die einem Abo zugeordnet werden können. (Feature#15580)
+Aboplanung: Es lassen sich weitere Regeln hinterlegen (Bundesland für Ferien, Sperrtage, Vorstellungszahl pro Bühne, Meldung für Wochentagsprüfung). (Feature#15584)
+Aboplanung: Es lässt sich ein "Terminbrief" erstellen. (Feature#15588)
+Dispo -> Einstellungen: Die eingetragene Abteilung kann jetzt entfernt werden. (Feature#15612)
+Produktionen: Für Produktionen kann eine Vorstellungsbühne angegeben werden. (Feature#15642)
+Dispo: Neue Funktion "Parallele Produktionen". (Feature#15664)

thea.perso
+Dienstplan -> Überstundenantrag: Die Vorlage besitzt jetzt Einstellungen, mit der sich die Berechnungsart auf tägliche Überstunden umstellen lässt. (Feature#15536)

Sonstiges
+Kontakte/Personen: Bei Personen des Kontaktbereiches "Komponist" können jetzt auch Agenturen zugeordnet werden. (Feature#15467)
+Stammdaten -> Abteilung: Man kann eine Abteilung jetzt auf Inaktiv setzen. (Feature#15488)
+Plan: Von einer Aktivität können Daten der übergeordneten Aktivität ausgegeben werden. (Feature#15499)
+Abwesenheitsplanung: Man kann jetzt den Personen eine E-Mail mit den Terminen senden. (Feature#15518)
+Neuen Kontakt anlegen/Mitarbeiter zuordnen: Die Suche nach bestehenden Kontakten verwendet jetzt die Wortsuche. (Feature#15528)
+Tarif: Die Ruhezeit bei freien Tagen können unabhängig von der Nachtruhe eingestellt werden. (Feature#15540)
+Aboplanung: Es lassen sich Wunschproduktionen hinterlegen. (Feature#15566)
+Produktionen -> Standardbesetzung: Beim Kopieren einer Besetzung in eine andere Spielzeit werden die Rollen ggf. automatisch besetzt und umbesetzt. (Feature#15576)
+Urlaubsberechnung: Entwicklung einer Urlaubsregel um Urlaub aufgrund der Beschäftigungswochen zu ermitteln. (Feature#15618)
+Stammdaten -> Rollenkategorien: Es lässt sich ein Faktor für Vorstellungs- und Proben-Honorare hinterlegen. (Feature#15632)
 Über die Einstellungen der Abrechnungsregeln kann man die Berücksichtigung dann aktivieren.
+Orchester: Es können Cover verwaltet werden. (Feature#15668)
+Plan -> Eine Zeile Pro Produktion: Spalten können über jetzt das Kontextmenü gelöscht werden. (Feature#15674)
+Abendbesetzungszettel: Die Felder für Besetzung können nach einer Besitzergruppe gefiltert werden. (Feature#15751)
+Honorare pro Vertrag: Es lassen sich pro Probe/Tag bezahlte Honorare aufgrund der Besetzungen ermitteln. (Feature#15760)
+Abwesenheitsplanung: Beim Einplanen von Freien Tagen kann jetzt optional eine Abfrage für die Notiz erfolgen. (Feature#15770)
+Terminbrief -> pro Produktion: Der Filter nach Kontaktbereichen filtert den Verteiler. (Feature#15777)
+Terminbrief: Es können auch ausgefallen Aktivitäten ausgegeben werden. (Feature#15803)


Release 4.201.138 vom 02.04.2020
================================

thea.perso
-Abwesenheitsplanung -> thea.perso-Abteilung: Wird ein Eintrag gelöscht, kann dieser erst nach einem "Refresh" neu geplant werden. (Bug#15797)

Sonstiges
-Lohn- und Dienstdatenexport -> NBG v1: Fehler beim Ausführen. (Bug#15775)
-Kontakte zusammenführen: Es werden keine Kontakte mit einem identischem Besetzung-Repertoire zusammengeführt. (Bug#15776)
-Kontaktkalender: Besetzungen aus Rollengruppen werden mehrfach angezeigt, wenn auch optionale Besetzungen angezeigt werden. (Bug#15789)
-Orchester Diensthochrechnung nach Wochen: Die Aushilfsdienste werden bei Doppeldiensten nicht Multipliziert. (Bug#15794)
-Stammdaten: Aufgabenbereiche können nicht zusammengelegt werden, wenn noch Besetzungsregeln zugeordnet sind. (Bug#15795)
-Benutzerverwaltung: Benutzerberechtigungen können nicht gedruckt werden, wenn der Benutzer mehr Spielzeiten lesen darf als die Person, die die Berechtigungen ausdrucken will. (Bug#15798)


Release 4.201.136 vom 26.03.2020
================================

thea.perso
-Dienstplan -> Bedarfsplan: Aufgaben, die an oder nach Mitternacht enden, werden in der Zählung und im Tooltip falsch berücksichtigt. (Bug#15747)
-Stammdaten: Drucklayouts lassen sich nicht löschen. (Bug#15774)

thea.orchester
-Dienstplan (Besetzungen) -> Summe "Dienste in Ausgleichszeitraum": Die Dienste von ausgefallenen Aktivitäten werden nicht mitgezählt. (Bug#15755 | Kategorie 4 - Niedrig)

thea.chor
-Dienstplan (Besetzungen) -> Summe "Dienste in Ausgleichszeitraum": Die Dienste von ausgefallenen Aktivitäten werden nicht mitgezählt. (Bug#15755 | Kategorie 4 - Niedrig)

Sonstiges
+Kontakte -> Monatskalender: Am Montag wird jetzt zusätzlich die Kalenderwoche ausgegeben. (Feature#15733)
-Abwesenheitsplanung: Wenn keine Abteilung ausgewählt ist, z.B. auch beim erstmaligen Öffnen, kommt es zu einer NullReferenceException. (Bug#15769)


Release 4.201.135 vom 20.03.2020
================================

thea.dispo
-Stammdaten: Auditionarten können nicht angelegt werden. (Bug#15732)

Sonstiges
+Abokontrollliste: Die Abokontrollliste kann mit ausgefallenen Vorstellungen ausgegeben werden. (Feature#15727)


Release 4.201.134 vom 19.03.2020
================================

Sonstiges
+Vorstellungsstatistik: Es lassen sich ausgefallenen/abgesagt Aktivitäten ausgeben. (Feature#15723)


Release 4.201.133 vom 17.03.2020
================================

thea.order
-Bestellungen: Es können keine Bestellpositionen gelöscht werden. (Bug#15717)

Sonstiges
-Plan -> Eine Zeile pro Aktivität: Es werden keine ausgefallenen Aktivitäten ausgegeben. (Bug#15722)


Release 4.201.132 vom 13.03.2020
================================

Sonstiges
+Aktivitätsdetails: Die Anzahl der Dienste für eine Abteilung lässt sich jetzt auch für ausgefallene Aktivitäten hinterlegen. (Feature#15699)
-Verträge: Beim Drucken von Verträgen kommt es zu einer NullReferenceException. (Bug#15712)
 Betroffen sind nur die Versionen 4.201.128 und 4.201.129.


Release 4.201.129 vom 12.03.2020
================================

Sonstiges
-Kontaktdatenimport: Die Steuernummer wird nicht importiert. (Bug#15711)


Release 4.201.128 vom 12.03.2020
================================

Sonstiges
+Dispo: Es steht ein Status für externe Absagen zur Verfügung. (Feature#15695)


Release 4.201.125 vom 11.03.2020
================================

Sonstiges
-Abwesenheitsplanung: Bei den Summen werden keine Tooltips mehr angezeigt. (Bug#15687)
-Abwesenheitsplanung: Die Summenspalten sind nicht richtig sortiert. (Bug#15689)
-Abwesenheitsplanung: Die Berechnung des Zeitraums für die Summen "Abwesenheiten" ist manchmal falsch. (Bug#15690)


Release 4.201.124 vom 11.03.2020
================================

thea.perso
-Dienstplan: Bemerkungen können sporadisch nicht geschrieben werden. (Bug#15617)
-Dienstplan: Fehler beim Eintragen von Zahlen in Bemerkungen. (Bug#15686)


Release 4.201.122 vom 10.03.2020
================================

Sonstiges
-Kontakte zusammenführen: Wenn beide Kontakte dieselben "Sonstige Daten" ausgefüllt hat, kommt es zu einer Exception. (Bug#15454 | Kategorie 4 - Niedrig)
-Kontakte zusammenführen: Wenn beide Kontakte dieselben Qualifikationen haben, kommt es zu einer Exception. (Bug#15654)


Release 4.201.121 vom 06.03.2020
================================

thea.dispo
-Dispo -> Tagesinfo: "Abwesenheiten löschen" löscht die Abwesenheit nicht. (Bug#15673)

thea.perso
-Bedarfsplan: Beim Anzeigen des Kontextmenüs kann es zu einer NullreferenceException kommen. (Bug#15681)


Release 4.201.120 vom 05.03.2020
================================

thea.dispo
-Verträge anlegen -> Ensemble: Es kommt eine überflüssige Meldung, dass keine Rolle hinzugefügt wurde. (Bug#15680 | Kategorie 4 - Niedrig)

Sonstiges
-Kontakte -> Kalender -> Jahresansicht: Wenn eine Person mehrere Verträge hat, kann es vorkommen, dass beim Eintragen von Diensten/Abwesenheiten eine Fehlermeldung kommt. (Bug#15672)
-Produktion -> Checklisten: Mit Leserechten sind die Einträge schlecht lesbar. (Bug#15678 | Kategorie 4 - Niedrig)


Release 4.201.119 vom 04.03.2020
================================

Sonstiges
-Orchesterdispo:  KeyNotFoundException, wenn im Dienste Konto der Krankenschnitt ermittelt werden soll. (Bug#15597)
-Dienstplan: Erneuter Klick auf Dienstplan erzeugt NullReferenceException. (Bug#15663)


Release 4.201.118 vom 03.03.2020
================================

thea.perso
-Dienstplan: Beim Wechseln der Wochen kommt manchmal die Meldung "Status schon gesetzt". (Bug#15652)

Sonstiges
+Verträge -> Vertragsdatenblatt drucken: Das Profilbild der Person kann jetzt ausgedruckt werden. (Feature#15648)
 In der Vorlage muss ein Feld hinzugefügt werden, mit dem Code Image:$profilepicture.
+Vertragssuche: Beim Klick auf die Klammer wird jetzt der Anhang vom zuletzt angelegten Vertragsdokument geöffnet, welches auch Anhänge hat. (Feature#15658)
-Dienstplan: Wird ein Dienstplan für mehrere Abteilungen gedruckt, werden bei allen Abteilungen dieselben Tagesnotizen ausgegeben. (Bug#15603 | Kategorie 4 - Niedrig)
-Stammdaten -> Vorlagen: Im Word-Editor fehlt bei den eingefügten Serienbrieffeldern ein Leerzeichen nach MERGEFIELD. (Bug#15656)


Release 4.201.117 vom 02.03.2020
================================

thea.perso
-Dienstplan -> Monatsabschluss: Beim Erstellen "Mit Kassenanordnung" tritt eine SqlException auf. (Bug#15641)


Release 4.201.115 vom 28.02.2020
================================

thea.dispo
+Automatischer Import von Spielplandaten -> Evis: Das Feld ev_project_worktitel wird jetzt berücksichtigt. (Feature#15628)

Sonstiges
-Dispo: Wenn an oberster Stelle der 29. Februar angezeigt wird und man in eine Spielzeit wechselt, die diesen nicht enthält, dann kommt es zu einer ArgumentOutOfRangeException. (Bug#15640 | Kategorie 4 - Niedrig)


Release 4.201.113 vom 27.02.2020
================================

Sonstiges
-Stammdaten -> Formeleinstellungen: Bei der Formel Abwesenheiten lassen sich die Zeitkonten nicht bearbeiten. (Bug#15623)


Release 4.201.112 vom 26.02.2020
================================

thea.perso
-Stammdaten -> Abteilung: Monatsabschluss setzten ist auch dann erfolgreich, wenn einige Monatseinträge durch fehlende Berechtigungen nicht geschrieben werden konnten. (Bug#15532)
-Monatsabschluss: Wenn Monatseinträge wegen fehlenden Berechtigungen nicht geschrieben werden können, wird keine Meldung für den Benutzer ausgegeben. (Bug#15533)
-Stammdaten -> Abteilung: Beim Öffnen und Schließen von Monaten werden manchmal keine Monatsdaten geschrieben. (Cachingproblem). (Bug#15535)
-Jahresabschluss/Ausgleichszeiträume: Die Abteilung wird in der Tabelle nicht mehr angezeigt. (Bug#15622)

Sonstiges
-Aktivitätsdetails: -> Beim Speichern wird versucht, die Dienstzählung der Abteilung zu speichern, auch wenn man keine Berechtigung hat. (Bug#15524)
-Bei der Ausgabe eines Adressplans mit Repertoire kommt es zu einer SqlException. (Bug#15601)
-Dienstplan: Wenn man bei geöffnetem Dienstplan versucht, den Dienstplan erneut zu öffnen, werden die Abteilungen mehrfach angezeigt. (Bug#15602)


Release 4.201.111 vom 21.02.2020
================================

Sonstiges
+Der Kontaktdatenimport prüft Berechtigungen. (Feature#15605)
-Verträge: Beim Kopieren eines Vertrages tritt ein Fehler auf. (Bug#15609 | Kategorie 4 - Niedrig)
-Rapport: Formel "Lohnart Krank" zählt nicht die Einträge vom Konto "Krank". (Bug#15610)


Release 4.201.110 vom 20.02.2020
================================

thea.perso
-Dienstplan: Beim Ermitteln der Aufgaben, die an einem Dienst getätigt werden können, kommt es zu einer Exception, wenn der Dienst Abwesenheitsschichten enthält. (Bug#15604)


Release 4.201.109 vom 19.02.2020
================================

Sonstiges
-Kontakte -> Anhänge: Nach dem Löschen eines Anhangs wird die Zeile aus dem Grid nicht entfernt. Ist nach einem erneuten laden des Kontakts dann aber weg. (Bug#15600)


Release 4.201.108 vom 19.02.2020
================================

Sonstiges
-Export: Es lassen sich keine ausgefallenen Aktivitäten ausgeben. (Bug#15598)
-Anhänge: Bei der Vorschau von Excel-Dokumenten kommt es zu einer Exception. (Bug#15599)


Release 4.201.106 vom 19.02.2020
================================

Sonstiges
-Bedarfsplan -> Produktionsqualifikation: Beim Zuordnen einer Qualifikation kommt eine Fehlermeldung. (Bug#15575)


Release 4.201.105 vom 18.02.2020
================================

Sonstiges
-thea.works: Der "Sperrstatus" von Diensten wird nicht berücksichtigt. (Bug#15515 | Kategorie 4 - Niedrig)
-Kassenanordnung erstellen: Null Reference Exception beim Anlegen neuer Kassenanordnungen. (Bug#15572)


Release 4.201.104 vom 18.02.2020
================================

thea.dispo
-Startseite -> Aktueller Spielplan: Es werden auch Aktivitäten aus den Varianten angezeigt. (Bug#15570)

Sonstiges
-Adressplan: Die Spaltenbreite wird nicht mehr angezeigt und kann nicht mehr geändert werden. (Bug#15571)
-Besetzung: Der Standardwert für die Position ist in der Datenbank 0. (Bug#15574)


Release 4.201.103 vom 14.02.2020
================================

thea.dispo
+Produktionen -> Standardbesetzung: Es kann eine englische Rollenbezeichnung hinterlegt werden. (Feature#15558)

Sonstiges
+Bericht -> Vorstellungsbudget: Es können auch Chorzulagen für unbesetzt Vst. ausgegeben werden. (Feature#15554)
-Standardbesetzung: Benutzer mit Schreibrechten können gesperrte Standardbesetzungen lesen. (Bug#15553)


Release 4.201.101 vom 13.02.2020
================================

thea.dispo
-Aktivitätsdetails: Beim Zuordnen eines Abos kommt es zu einer IndexOutOfRangeException. (Bug#15551)

Sonstiges
-Vertragsdokumente: "Null Reference Exception" bei Klick auf Öffnen eines Dokuments. (Bug#15552)


Release 4.201.100 vom 11.02.2020
================================

thea.dispo
+Abwesenheitsplanung -> künstlerische Abteilung: Die Abwesenheiten für einen Tag werden jetzt nach einer festgelegten Reihenfolge angezeigt. (Feature#15243)
+Produktionen -> Kosten: Die Vertragsberechtigung "Zugriff auf Honorardaten" wird jetzt zum Lesen und Schreiben für Rollenhonorare benötigt. (Feature#15332)

thea.perso
+Rapport: Werden Ergebnisse in andere Spalten geschrieben, sind die Werte bereits in den Zeilen für den Tag / die Woche sichtbar. (Feature#14403)
+Dienstplan: Die Anzeige des Bedarfs aktualisiert sich nach Einplanungen und Änderungen am Personalbedarf. (Feature#15377)
+Dienstplan: Es ist eine Funktion zum Einplanen der Standardaufgaben verfügbar. (Feature#15386)
+Dienstplan -> Persönlichen Dienstplan Mailen: Über die Kopfzeile lässt sich die Tabelle der Empfänger verschieden sortieren. (Feature#15479)
+Dienstplan: Bei der Tagesnotiz gibt es jetzt einen Tooltip. (Feature#15504)

thea.order
+Budgetzeiträume: Es ist eine Option verfügbar, wodurch keine Bestellungen mehr validiert werden können. (Feature#14399)

thea.transfer
+Abrechnung Abteilung (manuell): Ein Filter für Vertragsarten wurde hinzugefügt. (Feature#5328)

thea.works
-thea.works:  "Dienstplan öffnen" führt zu einem Fehler, wenn der Dienstplan nicht geladen ist. (Bug#15497 | Kategorie 4 - Niedrig)

Sonstiges
+Verträge -> Chor/Orchester: Es lassen sich Zeiträume für Teilzeit hinterlegen. (Feature#15225)
+Plan/Tagesplan: Verlinkte Aktivitäten können über einen Aktivitätstypenfilter ausgefiltert werden. (Feature#15303)
+Entwicklung einer Pausenregel: Bei geteilten Diensten soll immer (ab einer theoretischen Beschäftigungsdauer von 1 Minute) eine unbezahlte Pause von 30 Minuten abgezogen werden. (Feature#15354)
+Entwicklung eines Filters um in der Vertragssuche, bei thea.perso- Verträgen, nach dem Vertragsterminstatus filtern zu können. (Feature#15358)
+Hinterlegen einer Farbe pro Arbeitsbereichsgruppe. Beim Zuordnen einer Aufgabe wird die Farbe in die Schichtfarbe übernommen. (Feature#15362)
+Dienstplan: Die Standardaufgaben können beim Übernehmen des Bedarfes automatisch zugeordnet werden. (Feature#15381)
+Budget Spielplan - Es können Aktivitäten aller Module angezeigt werden. (Feature#15409)
+Dienstplan -> Zulagen pro Tag: Die Größe des Fensters wird pro User gespeichert. (Feature#15417)
+Abwesenheitsplanung: Hervorheben der Person/des Tages, an denen die Maus steht. (Feature#15421)
+Zeitkonto pro Monat: In der tabellarischen Ansicht wird eine Spalte mit der Personalnummer angezeigt. (Feature#15429)
+Stammdaten -> Vorlagen: Vorlagen lassen sich ohne Word bearbeiten, es werden die verfügbaren Mergefelder angezeigt. (Feature#15433)
+Benachrichtigungen: Es werden nicht mehr mehrere Fenster für dieselbe Benachrichtigung angezeigt. (Feature#15474)
+Productionsplan: Das Feld Productionplanabsencelist lässt sich jetzt nach Personen gruppieren. (Feature#15547)


Release 4.196.133 vom 11.02.2020
================================

Sonstiges
-Kontakt -> Brief erstellen: Vorlagen mit der Endung dotm erzeugen Dokumente mit der Endung docx bzw. (beim automatischen Öffnen) mit dotx. (Bug#15546)


Release 4.196.132 vom 10.02.2020
================================

Sonstiges
-Dispo -> Vorschau: Wenn der Attachment Service (Verwaltung von Anhängen z.B. bei Personen) geladen ist, und dann das Vorschaufenster geöffnet wird kommt es zu einer Fehlermeldung. (Bug#15526)
-Stammdaten -> Allgemein: Die Jahresabschlusstypen werden nicht mehr angezeigt und lassen sich dadurch nicht mehr bearbeiten/ergänzen etc. (Bug#15527)


Release 4.196.131 vom 31.01.2020
================================

thea.dispo
-Produktionen:  Wenn man in der Produktionsliste in einen leeren Bereich klick, und dann auf die vorher ausgewählte Produktion, wird eine leere Produktion angezeigt. (Bug#15512 | Kategorie 4 - Niedrig)

Sonstiges
-Dienstplan (Besetzungen): In Abteilungen in denen man nur ein Leserecht hat, kann man mit X trotzdem besetzen, was aber zu einer Exception führt. (Bug#15289 | Kategorie 4 - Niedrig)
-Erinnerungen: Das Aktualisierungsintervall in den Einstellungen lässt sich nicht ändern. (Bug#15516)
-Aktivitäten: Speichern des Merkmals "gesperrt" dauert zu lange. (Bug#15525)


Release 4.196.130 vom 29.01.2020
================================

Sonstiges
-Lohn und Dienstdatenexport exportiert abweichende Auszahlungslohnart nicht. (Bug#15347)


Release 4.196.129 vom 28.01.2020
================================

Sonstiges
-Produktionen -> Standardbesetzung: Wenn die Besetzung direkt bei der Anlage einer Rolle hinterlegt wird, wird sie nicht gespeichert. (Bug#15517)


Release 4.196.128 vom 28.01.2020
================================

thea.perso
-Dienstplandruck: Summen lassen sich nicht mehr vor den Dienstplaneinträgen ausgeben. (Einstellung wird ignoriert). (Bug#15473)

thea.works
-thea.works: Es werden keine Aufgaben zwischen 00:00 und 05:00 angezeigt. (Bug#15503)

Sonstiges
-Startseite -> Vertragstracking: Ein Vertragsdokument, welches ein anderes ersetzt, wird als ToDo nicht angezeigt. (Bug#15493)


Release 4.196.127 vom 27.01.2020
================================

thea.dispo
-Dispo: Beim Sperren/Freigeben einer Aktivität über das Kontextmenü, werden die verbundenen Aktivitäten nicht gesperrt/freigegeben. (Bug#15494)

thea.perso
-Abwesenheitsplanung: Farben werden beim Einplanen nicht überschrieben. (Bug#15458)

thea.transfer
+Kassenanordnungen: Automatisch erstellte Kassenanordnungen haben jetzt immer den Vertragsbesitzer als Besitzer. (Feature#15508)


Release 4.196.126 vom 20.01.2020
================================

Sonstiges
-Kontakte/Mitarbeiter: Zuordnungen können nicht gelöscht werden, wenn der zugeordnete Kontakt als Ansprechpartner eingestellt ist. (Bug#15452)
-Summenformeln -> Abwesenheitszählung: Bis zur aktuellen Woche zählt den nur den Montag der aktuellen Woche mit. (Bug#15457)
-Budget: Verwaltungsmaske lässt sich nicht öffnen, wenn mehrere Besitzer einer Kostenstelle zugeordnet sind. (Bug#15462)
-Produktionen -> Kosten: Pauschalen ohne Auszahlungstermine werden nicht ausgegeben. (Bug#15471)


Release 4.196.124 vom 15.01.2020
================================

thea.orchester
-Chor/Orchester: Die Summenformel "Dienste in Ausgleichszeitraum" hat bei wochenbasierten Einstellungen, die mit der Spielzeit beginnen, Dienste falscher Zeiträume gezählt. (Bug#15455)

Sonstiges
-Kontakte: Einträge in der Besetzungshistorie können nicht automatisch mitgelöscht werden. (Bug#15449)
-Kontakte Zusammenführen: Beim Öffnen des Detailfensters kommt eine Fehlermeldung. (Bug#15450)
-Chor-/Orchesterabrechnung: Bei einigen Datenkonstellationen tritt ein Fehler auf. (Bug#15453)


Release 4.196.123 vom 14.01.2020
================================

thea.perso
-Dienstplan: Arbeitszeitmodell einplanen plant nicht das zeitlich richtige Arbeitszeitmodell ein, sondern immer das Erste. (Bug#15445)

Sonstiges
-Chor/Orchesterabrechnung: Tagesgagenabhängige Zulagen werden nicht ausgegeben, wenn keine Aktivität an dem Tag war. (Bug#15444)
-Adressplan: Bei Plänen für Künstler einer Spielzeit werden Standardbesetzungen von Produktionsteams nicht mehr berücksichtigt. (Bug#15447)


Release 4.196.122 vom 13.01.2020
================================

thea.dispo
+Dispo-Berichte -> Termine für Produktion: Die Personen sind jetzt sortiert nach der Rollenposition, Besetzungsrang und Gruppenposition. (Feature#15440)

thea.transfer
-Kassenanordnungen -> Export: Bei der Ausgabe aller Positionen in eine Tabelle, kann es vorkommen, dass die Tabelle mehrfach ausgegeben wird. (Bug#15439)
 Durch die Änderungen müssen eventuell Vorlagen angepasst werden. Bei Ausgabe aller Positionen mehrerer Kassenanordnungen in eine Tabelle muss jetzt allcashcommandpositions bzw. allcompactcashcommandpositions verwendet werden.

Sonstiges
-Adressplan: Wird in der Gruppierung oder Sortierung der Kontaktbereich angegeben, kommt es beim Erstellen zu einer NullReferenceException. (Bug#15446)


Release 4.196.121 vom 07.01.2020
================================

thea.orchester
-Dienst-Formel: Aushilfen werden teilweise für den Krankendienste berücksichtigt. (Bug#15437)

Sonstiges
-Personal: Bedarfsplanung -> Qualifikationen können nicht zugewiesen werden. (Bug#15416)


Release 4.196.120 vom 06.01.2020
================================

Sonstiges
-Produktionen: Beim Löschen einer Produktion kommt es zu einer SqlException. (Bug#15415)


Release 4.196.119 vom 03.01.2020
================================

Sonstiges
-Sql-Exception beim Anlegen von Abos. (Bug#15407)
-Verträge - "Vertrag beschädigt" Binding Exception für Arbeitsbereich. (Bug#15408)


Release 4.196.118 vom 02.01.2020
================================

Sonstiges
-Kontakte -> Kalender: Wird der Urlaub aus mehreren Jahren angezeigt, und ist ein Urlaub am 31.12. eingetragen, wir fälschlicherweise in der zweiten Periode ein halber Tag gezählt. (Bug#15406)


Release 4.196.117 vom 30.12.2019
================================

Sonstiges
+Produktionen -> Spielplan: Es kann die Spalte "Abteilungsbemerkung" angezeigt werden. (Feature#15394)


Release 4.196.116 vom 23.12.2019
================================

thea.chor
-Dispo (Besetzung): Bei der Formel "Besetzungen in Ansicht" kommt es zu einer DivideByZeroException, wenn "Anrechenbare Dienste und Reisedienste" gezählt werden sollen. (Bug#15393)


Release 4.196.115 vom 23.12.2019
================================

thea.perso
-Rapport: Dienstplanänderung wird nicht ausgegeben. (Bug#15340)

thea.export
-Spielplanexport -> CSV/XML: Beim Ausführen kommt es zu einer SqlException, wenn ein Filter auf die Besitzer der Aktivität eingestellt ist. (Bug#15392)

Sonstiges
-Personenkalender: Es wird nicht die aktuelle Spielzeit vorausgewählt. (Bug#15391)


Release 4.196.113 vom 18.12.2019
================================

thea.dispo
-Historie (auch auf Startseite): Bei der Filterung über Bühnen kommt es zu einer SqlException. (Bug#15375)
-Automatischer Import von Spielplandaten -> Theasoft v4 CSV: Das Mapping für die Bühnen lässt sich nicht einstellen. (Bug#15376)

thea.contact
-Kontaktsuche: Suche nach Telefonnummer, E-Mail, Fax, u.ä. ist nicht möglich. (SqlException). (Bug#15374)

Sonstiges
-Dienstplan -> Arbeitszeitmodell einplanen: Wenn zwei Arbeitszeitmodelle hinterlegt sind, wird das Arbeitszeitmodell nicht geschrieben. (Bug#15369)


Release 4.196.111 vom 17.12.2019
================================

thea.dispo
-Produktionen -> Countdowns: Die eingestellte Bühne wird nicht mehr angezeigt und lässt sich auch nicht mehr ändern. (Bug#15366)

thea.perso
-Rapport: Gutschrift in Fremdkonto schreibt keine Monatswerte mit Fremdkonto mehr gut. (Bug#15353)


Release 4.196.108 vom 16.12.2019
================================

thea.dispo
-Person -> Kalender: Wenn nach Aktivitätstypen gefiltert wird, werden besetzte Aktivitäten zusätzlich als unbesetzte Aktivität aus Standardbesetzung angezeigt. (Bug#15351)

thea.perso
-Abwesenheiten eintragen: Wenn die Vorlage für die Abwesenheitsmeldung einen Verteiler hat, kommt es zu einer Exception. (Bug#15348)

Sonstiges
-Stammdaten: Verteilereinträge lassen sich nicht verwalten. (SqlException). (Bug#15349)
-Dispo: Beim Öffnen kommt es zu einer Exception, da in einer Spalte im Layout eine Bühne doppelt im Bühnenfilter angegeben ist. (Bug#15350)
-Dispo: Wenn in der Abwesenheitsspalte der Filter für An-/Abwesenheitsgründe angegeben wurde, kommt es beim Öffnen der Dispo zu einer SqlException. (Bug#15352)


Release 4.196.106 vom 13.12.2019
================================

thea.dispo
-Dispo: Beim Anlegen einer Vorstellung mit Countdowns, die auch besetzt werden sollen, kommt es zu einer NullReferenceException. (Bug#15346)

thea.order
-Bestellungen: Seite lässt sich nicht mehr öffnen, da es beim Laden der Sortierung zu einer Exception kommt. Ursache ist die Spalte Budget, nach der nicht mehr sortiert werden kann. (Bug#15345)


Release 4.196.105 vom 13.12.2019
================================

Sonstiges
-Tagesplan: Besetzung hinzufügen passiert nix. (Bug#15342)


Release 4.196.104 vom 13.12.2019
================================

Sonstiges
-Fahrplangruppe: Kurzbezeichnung und Bezeichnung sind vertauscht. (Bug#15343)
-Alphabetischer Tagesplan lässt sich nicht ausgeben. (Bug#15344)


Release 4.196.103 vom 12.12.2019
================================

Sonstiges
-Kontakte -> Kalender -> Tabellenansicht: Das Datum kann nicht geändert werden. (Bug#15339)


Release 4.196.102 vom 12.12.2019
================================

thea.dispo
-Dispo -> Aktivitätsdetails: In einer neu angelegten Aktivität kommt es zu einer SqlException, wenn man ein Abo zugeordnet hat. (Bug#15324)

thea.orchester
-Orchester Dienstplan: Die Summenformel "Dienste in Zeitraum" generiert einen Ausnahmefehler, wenn der abweichende Spielzeitstart in Kombination mit "bis zur ausgewählten Woche" verwendet wird. (Bug#15283)

Sonstiges
-DispoBerichte -> Überspielvorstellungen: "Unterspielhonorare" werden nur ausgegeben, wenn mindestens eine Vorstellung gespielt wurde. (Bug#15314 | Kategorie 4 - Niedrig)


Release 4.196.100 vom 11.12.2019
================================

thea.dispo
+Standardbesetzung -> Drucken: "actorsgroupedbyrole" kann jetzt getrennt nach Einzelrollen und Gruppen ausgegeben werden. (Feature#15034)
+Besetzung pro Produktion -> Drucken: Es können auch Produktionen ohne Besetzungen gedruckt werden. (Feature#15211)
+Dispo: Wenn bei "Gehe zu" ein Monat ausgewählt wird, der nur anteilig in der Spielzeit liegt, wird jetzt der erste sichtbare Tag angesprungen. (Feature#15248)
-Dispoberichte -> Änderungsübersicht: Änderungen der 1. Besetzung werden als Änderungen der 2. Besetzung ausgegeben. (Bug#15320)
-Dispo -> Spielplan freigeben/sperren: Bei Aktivitäten, bei denen man kein Schreibrecht für den Aktivitätstyp hat, kommt es zu einer Exception. (Bug#15321)

thea.perso
+Perso-Berichte -> Soll/Ist Vergleich: Die Soll-Variante kann jetzt ausgewählt werden. (Feature#15023)
+Kassenanordnungen: Kassenanordnungen für thea.perso können mit "Kassenanordnungen erstellen" erstellt werden. Ersetzt auch "Technische Aushilfen Abrechnen". (Feature#15106)
+Persoberichte -> Zeiten pro Monat: Der Bericht kann auch nach Wochen ausgegeben werden. (Feature#15187)
+Abwesenheit eintragen: Es werden nur noch Personen angeboten, auf deren Dienstplan man Schreibrechte hat (über die Abteilung im Vertrag oder über "In Abteilung anzeigen"). (Feature#15220)
-Kassenanordnung: Die Werte aus Fremdkonten werden nicht auf den Monatswert angewendet. (Bug#15263)
-Dienstplan: Schicht für den Tag einplanen kann über den Meldungsdialog (z.B. Ruhezeitenüberschneidung) nicht abgebrochen werden. (Bug#15290)
-Dienstplan -> Detailansicht: Wenn bei der Zuordnung zu einer Aktivität eine neue Zeile anlegt, kommt es zu einer NullReferenceException. (Bug#15302)

thea.orchester
+Summen: Der Dienstschnitt für Kranke kann errechnet werden. (Feature#15253)

thea.chor
+Produktionen -> Abteilung -> Druck (Besetzungsübersicht): Es werden auch Produktionen ohne eigene Aktivitäten (nur als Teil von Mehrteilern) ausgegeben. (Feature#15275)

thea.order
+Bestellungen -> Export/Startseite: Es sollen keine Bestellungen abgeschlossener Budgetperioden exportiert/angezeigt werden. (Feature#15170)
+Bestellungen -> Suche: Es sollen nur Lieferanten mit Bestellungen im ausgewählten Zeitraum angezeigt werden. (Feature#15175)

Sonstiges
+Stammdaten -> Zeitkonten: Es können Standardeinstellungen für Formeln geladen werden. (Feature#14880)
+Pläne/Dokumente: Von der Bühne kann die interne ID ausgegeben werden. (Feature#14962)
+Webfreigabe von Besetzungen: Darsteller und das Leitungsteam (u.a.), können separat für den Webexport freigegeben werden. (Feature#14971)
+Summenspalten: Freie Tage in Folge. (Feature#15009)
+Dispoberichte -> "Diensthochrechnung nach Wochen": Der Bericht kann mit Excel-Formeln ausgegeben werden. (Feature#15043)
+Stammdaten -> Zulagen: Es muss jetzt immer eine Zeitkonto angegeben werden. (Feature#15047)
+Zeitkonten: Mitglieder der Gruppe 'Datenbereinigung ausführen' können auch dann Zeitkonten löschen, wenn es noch Monatseinträge gibt. (Feature#15064)
+Zeitkonten-Formel: Alle Feiertagszulagen werden über die Formel "Feiertagszuschlage" berechnet, "C-Zulagen" werden über "Tägliche Stunden" berechnet. (Feature#15068)
+Abwesenheitsplanung: Bei den Namen der Person wird jetzt ein Kontextmenü angeboten, über das der Vertrag und der Kontakt geöffnet werden kann. (Feature#15093)
+Abwesenheitsplanung: Bei den Namen der Person wird jetzt auch der Hinweis für die Planung (aus dem Vertrag) angezeigt. (Feature#15097)
+Bei der Vertragsanlage wurde das Verhalten bei vorübergehend ungültigen Laufzeiten (Von>Bis) verbessert). (Feature#15124)
+Vorstellungsstatistik: Es ist eine Option zum Gruppieren verfügbar (z.B. nach Produktionen), es wird eine Tabelle pro Gruppe ausgegeben. (Feature#15166)
+Kontakte -> Berechtigungen für andere Gruppen: Es können weitere Rechte vergeben werden, wie z.B. Zugriff auf Detaildaten. (Feature#15179)
+Verträge -> Budgetüberwachung: Die Kosten für Abgaben werden in die für die Budgetüberwachung relevanten Kosten einbezogen. (Feature#15183)
+Erinnerungen: Die Liste der eigenen Erinnerungen kann jetzt automatisch aktualisiert werden. (Feature#15269)
+Abwesenheitsplanung: Beim Tag wird jetzt ein Tooltip angezeigt und der Tooltip für Besetzungen/Abwesenheiten enthält jetzt den Tag, den Personennamen und die Bühne. (Feature#15309)
-Budgetverwaltung: Die Kosten von Budgetperioden übergreifende Verträge werden nicht richtig zugeordnet. (Bug#15038)
-Rapport: Summe von Vortrag und Gutschrift nicht korrekt. (Bug#15061)
-Dienstplan (Besetzungen): In Wochen ohne Aktivitäten werden auch keine Personen angezeigt. (Bug#15234)
-Dispoberichte -> Termine für Produktion berücksichtigt die Zeiten von Abwesenheiten nicht. (Bug#15336)


Release 4.195.139 vom 11.12.2019
================================

thea.dispo
-Cast-Feld: Der Filter nach "Gast" prüft nach der Existenz eines Gastvertrages, richtig wäre kein Ensemblevertrag. (Bug#15273 | Kategorie 4 - Niedrig)
-Countdown einplanen: Wenn man die Ansicht schon mal geöffnet hatte, wird "Aktion ausführen" nicht wieder richtig aktiviert, nachdem man einmal draufgedrückt hat. (Bug#15281)

Sonstiges
-Auch ohne Berechtigungen lassen sich Countdowns einplanen. (Bug#15286)


Release 4.195.138 vom 29.11.2019
================================

Sonstiges
-Besetzung ins Spielzeit kopieren -> Die Standardbesetzung wird in einigen Fällen nicht in die Spielzeit kopiert. (Bug#15280)


Release 4.195.137 vom 26.11.2019
================================

thea.dispo
-Besetzungsdetails -> Historie: Die nicht relevanten Änderungen sind nicht sichtbar. (Bug#15261)

Sonstiges
-SQL Fehler beim Kontakte zusammenführen. (Bug#15235)
-Aktivitätsdetails -> Besetzungen: Eine Besetzung ohne Rolle lässt sich nicht löschen. (Bug#15236 | Kategorie 4 - Niedrig)
-Stammdaten -> Besetzungsregeln: Im Detailfenster ist immer die oberste Zeile vorselektiert. (Bug#15237 | Kategorie 4 - Niedrig)
-Ausbezahlte weitere Arbeitszeiten reduzieren die wöchentlichen Stunden, auch wenn weitere Arbeitszeiten ausgeschlossen sind. (Bug#15242)
-Rapport: Summe in Monatswert bezieht den Faktor nicht mit ein, wenn Werte aus anderen Konten gutgeschrieben werden, die ausgeblendet sind. (Bug#15259)
-Verträge -> Neuer Vertrag: Bei der Produktionsauswahl wird nicht der korrekte Kostenträger ausgegeben. (Bug#15260)
-Kontakte zusammenführen: Es tritt eine SqlException auf, beim Aktualisieren der Standardbesetzung. (Bug#15291)


Release 4.195.136 vom 15.11.2019
================================

thea.dispo
-Abwesenheitsplanung -> NV Solo: Bei einer eingeplanten Abwesenheit mit "1/2 Frei Nachmittag", wird als Anzahl immer 1 Tag zu viel ausgegeben. (Bug#15233)


Release 4.195.135 vom 14.11.2019
================================

thea.dispo
-Abwesenheitsplanung: Bei künstlerischen Abteilungen werden im Druck die Summenwerte nicht ausgegeben und die An-/Abwesenheitsdaten sind in der Spalte verrutscht. (Bug#15230)


Release 4.195.134 vom 11.11.2019
================================

Sonstiges
-Spielplanexport -> Flexexport: Fehler in Besetzungsausgabe. (Bug#15218)


Release 4.195.133 vom 11.11.2019
================================

thea.orchester
-Verträge -> Orchester: Die Position wird nur dann gespeichert, wenn man vorher in ein anderes Eingabefeld gewechselt ist. (Bug#15209)

Sonstiges
-Stammdaten: Der abweichende Spielzeitstart für Orchester und Chor kann nicht mit den entsprechenden Adminrechten eingestellt werden. (Bug#15210)


Release 4.195.132 vom 08.11.2019
================================

Sonstiges
+Abwesenheitsplanung: In Ensembleverträgen werden auch Besetzungen aus "anderen" Verträgen angezeigt. (Feature#15203)
-Standardbesetzung -> Rollen nach besetzen: Wird das Besetzen, z. B. aufgrund einer Überschneidung, abgebrochen, kommt eine Fehlermeldung. (Bug#15207)


Release 4.195.131 vom 07.11.2019
================================

Sonstiges
-Standardbesetzung: Änderungen der Standardbesetzung führen trotz nicht zu Umbesetzungen in automatisch zu besetzenden Aktivitäten. (Bug#15196)
-Produktionen: Rolle löschen geht nicht, da Standardbesetzung nicht löschbar. (Bug#15197)


Release 4.195.130 vom 05.11.2019
================================

thea.chor
-Chor-/Orchesterabrechnung: Ist die Option "Kalkulation" aktiv, werden keine Daten zurückgegeben. (Bug#15193)


Release 4.195.128 vom 30.10.2019
================================

thea.export
-Spielplanexport -> FlexExport: Beim Ausführen kann es zu einem Ausnahmefehler (NullReferenceException) kommen. (Bug#15157)


Release 4.195.124 vom 29.10.2019
================================

thea.dispo
+Stammdaten -> An- / Abwesenheitsgründe: Über eine Schaltfläche können die Abwesenheitsgründe für die Freie-Tage-Planung angelegt werden. (Feature#15152)
-Produktionen -> Standardbesetzung: Die 4. Besetzung wird nicht gespeichert. (Bug#15151)


Release 4.195.123 vom 29.10.2019
================================

thea.dispo
-Kontakte -> Verträge: Beim Öffnen des Dokumentes über die Büroklammer, hängt sich das Programm gelegentlich auf. (Bug#15146)

thea.perso
-Rapport -> Dienste aus Arbeitszeit: Beim Erstellen vom Rapport kommt es zu einer InvalidOperationException, wenn an einem Tag 2 Abwesenheiten eingeplant wurden. (Bug#15145)

Sonstiges
-Rapport -> Bereitschaftsdienste: Wenn die Anzahl gezählt wird, können im Zusammenhang mit Ebenen negative Werte entstehen. (Bug#15141)
-Abwesenheitsplanung: Beim Druck kommt es zu einem Ausnahmefehler (NullReferenceException). (Bug#15148)


Release 4.195.122 vom 24.10.2019
================================

thea.dispo
+Produktionen -> Standardbesetzung: Beim Sperren einer Rolle über das Kontextmenü, wird deren Ersatzbesetzung jetzt ebenfalls gesperrt. (Feature#15128)
-Produktionen -> Standardbesetzung: "Besetzungen entfernen" löscht bei Rollengruppen nur die Standardbesetzung der ausgewählten Zeilen. (Bug#15119)


Release 4.195.121 vom 24.10.2019
================================

thea.dispo
+Produktionen -> Standardbesetzung / Ersatzbesetzung: Für eine neu eingetragene Standardbesetzung / Ersatzbesetzung wird das Merkmal "Ist Gesperrt" von der Rolle übernommen. (Feature#15114)
-Produktionen -> Standardbesetzung: Beim Sperren von Rollengruppen kommt es zu einem Ausnahmefehler (SqlException/UniqueIndexException). (Bug#15112)
-Produktionen -> Ersatzbesetzung: Nach dem Sperren/Entsperren wird die Anzeige nicht aktualisiert. (Bug#15113)

Sonstiges
-Abwesenheitsplanung -> Freie Tage einplanen: Urlaube werden nicht mehr mit freien Tagen überplant. (Bug#15118)


Release 4.195.120 vom 23.10.2019
================================

thea.dispo
+Automatischer Import von Spielplandaten -> Evis: Diverse Verbesserungen (u.a. informativeres loggen von Ausnahmefehler, Prüfung auf Datum in Spielzeit vor dem Import, keine teilweise Speicherung von Aktivitäten wenn Fehler auftraten). (Feature#15101)

Sonstiges
-Dispo-Berichte: Produktionskosten -> Mehrere Zeitraumabhängige Regeln für Probenhonorare werden in der Gesamtsumme nicht berücksichtigt. (Bug#15059)
-Dienstplan: Beim Berechnen der Arbeitszeit von Abwesenheiten, unter Berücksichtigung der Prozente von Teilzeitverträgen, wird das Ergebnis nicht gerundet. (Bug#15091)
-Produktion -> Standardbesetzung: Beim Löschen einer Rolle, die noch eine Standardbesetzung hat, kommt es zu einem Ausnahmefehler (SqlException). (Bug#15105)
-Rapport für künstlerische Abt: Es können nicht mehrere Monate gleichzeitig ausgegeben werden. (Bug#15110)


Release 4.195.119 vom 22.10.2019
================================

Sonstiges
-Produktionen -> Abteilung -> Produktionsübersicht: Es werden keine 2. Besetzungen ausgegeben. (Bug#15092)


Release 4.195.118 vom 21.10.2019
================================

Sonstiges
-Abwesenheitsplanung: Schichten von Personen, die nur in der Abteilung angezeigt werden, führen bei "Mouseover" zu einem Ausnahmefehler. (Bug#15063)


Release 4.195.117 vom 16.10.2019
================================

thea.orchester
-Verträge: Neu hinterlegte Vergütungsregeln werden nicht gespeichert, wenn eine Budgetprüfung durchgeführt wird. (Bug#15058)


Release 4.195.116 vom 14.10.2019
================================

Sonstiges
-RoleConverter -> UnderstudyEntries: Die Einträge werden nicht nach Spielzeit gefiltert. (Bug#15056)


Release 4.195.115 vom 14.10.2019
================================

Sonstiges
-Erinnerungen: Wenn Erinnerungen für einen anderen Benutzer eingeplant werden, werden diese ebenfalls bei sich selbst ausgelöst, bis man das Programm neu gestartet hat. (Bug#15052)


Release 4.195.112 vom 11.10.2019
================================

thea.dispo
-Besetzung pro Produktion: Mit "1. Besetzung besetzen" werden alle Besetzungen besetzt. (Bug#15042)

thea.perso
-Werkstätten -> AZ-Verteilungsregeln (LI): Bei Doppelschichten werden die Stunden nicht richtig ausgewertet. (Bug#15040)


Release 4.195.111 vom 10.10.2019
================================

Sonstiges
+Zeitkonten: Die Einstellungen pro Tarif werden bei allen Konten ausgewertet. (Feature#15030)
-Produktion-Standardbesetzung: Ersatzbesetzungen lassen sich nicht eintragen. (Bug#15029)


Release 4.195.107 vom 09.10.2019
================================

Sonstiges
+Summenformel Abwesend: Zählung in halben freien Tagen ist möglich. (Feature#14996)
-Kontaktkalender: Die spielzeitübergreifende Standardbesetzung wird bei nicht angezeigt. (Bug#15013)
-Abrechnung: Unbezahlt Proben werden nicht abgezogen. (Bug#15021)
-Abteilungsbesetzung: Einträge sind nur über das Kontextmenü möglich. (Bug#15022)


Release 4.195.106 vom 02.10.2019
================================

thea.dispo
-Dispo: Die Spalte für das Chor/Orchester einer Aktivität zeigt in der Auswahlliste nicht mehr den Namen des Chors/Orchesters und der Rolle an. (Bug#15002)

thea.perso
-Formel "Unzeitige Unterbrechung": Für Schichten, die nach Mitternacht Enden, ist die Berechnung fehlerhaft. (Bug#15001)


Release 4.195.105 vom 02.10.2019
================================

Sonstiges
+Stammdaten -> Spielzeiten / Einstellungen pro Besitzergruppe und Spielzeit: Die Spalte Besitzergruppe wird jetzt angezeigt. (Feature#14986)
-"Automatisch Frei Planen" plant auch an Anwesenheitstagen Frei ein. (Bug#14990)


Release 4.195.104 vom 01.10.2019
================================

thea.dispo
-Vertrag: Der Agenturanteil und der Theateranteil werden nicht mehr gespeichert. (Bug#14981)

thea.perso
+Formel "Tägliche Stunden": Die Einstellung "Berücksichtigen der Zeitkontenfilter bei Berechnungen" wurde hinzugefügt und die Offset-Einstellungen wurden erweitert um "Nur wenn Einzelkonto". (Feature#14991)


Release 4.195.103 vom 30.09.2019
================================

thea.dispo
-Besetzung pro Produktion: Beim Öffnen des Kontextmenüs für eine Besetzung kommt es zu einer NullReferenceException. (nur wenn die Standardbesetzung spielzeitübergreifend ist). (Bug#14979)

Sonstiges
+Rapportformel: In allen 8 Regeln der AT-Verteilung kann konfiguriert werden, dass bestimmte Konten nicht berücksichtigt werden (Feuerwehrdienste). (Feature#14781)


Release 4.195.102 vom 25.09.2019
================================

thea.perso
+Dienstplan: Die Berechnung der Summen, welche die Formel "Summe Zeitkonto" verwenden, wurde beschleunigt. (Feature#14949)

Sonstiges
+Abwesenheitsplanung: Ausgefallenes wird durchgestrichen angezeigt. Es ist ein Gehe zu Heute Button verfügbar. (Feature#14933)
-Kontakte zusammenführen: Bestellungen werden nicht zusammengeführt. (Bug#14956)


Release 4.194.128 vom 25.09.2019
================================

Sonstiges
-Dienstplan: Die Farben im Spielplan werden erst beim 2. klick gesetzt. (Bug#14959)
-Kontakte: Im Suchbereich wird "Suche in" nicht gespeichert. (Bug#14960 | Kategorie 4 - Niedrig)


Release 4.194.127 vom 23.09.2019
================================

Sonstiges
-Stammdaten: Neue Aufgabenbereiche verwenden die Einstellungen des Aufgabenbereiches Soli* wodurch diese unbeabsichtigt geändert werden. (Bug#14957)


Release 4.194.126 vom 20.09.2019
================================

thea.perso
-Dienstplan: Ruhezeitprüfung bei freien Tagen wird auch bei Überstundenausgleich durchgeführt. (Bug#14954)

Sonstiges
-Dienstplan (Besetzung): Die Formel Anzahl Besetzungen in Jahresabschlussperioden verwendet das falsche Konto für Vorträge. (Bug#14953)


Release 4.194.124 vom 19.09.2019
================================

thea.dispo
-Produktion: Beim E-Mail senden an die Standardbesetzung werden nicht immer die korrekten Empfänger zurückgegeben. (Bug#14946)


Release 4.194.123 vom 17.09.2019
================================

Sonstiges
-ActivityConverter -> Departmentinformation-Feld: Die Bemerkung wird nicht ausgegeben. (Bug#14895)


Release 4.194.122 vom 09.09.2019
================================

thea.dispo
-Abwesenheitsplanung: Besetzungen von öffentlichen Aktivitäten werden nicht Fett dargestellt, wenn der Aktivitätstyp eine Hintergrundfarbe hat. (Bug#14917)

thea.transfer
-Kassenanordnung -> CSV Export: Das Einstellungsfenster zeigt die Einstellungen nicht schreibgeschützt an, wenn man keine Berechtigung auf den Besitzer des Exportes hat. (Bug#14894)


Release 4.194.121 vom 05.09.2019
================================

thea.order
-Bestellungen: Beim Ansehen/Öffnen der Anhänge kommt die Fehlermeldung "Auf einen geschlossenen Datenstrom kann nicht zugegriffen werden.". (Bug#14908)
-Bestellungen: Beim wiederholten Ändern und Speichern einer Bestellung in der Detailansicht, kommt es zu der Meldung, dass das Speichern nicht möglich ist. (Bug#14909)

Sonstiges
-Pläne: Vom Ausgabefeld "persStatusList" lässt sich der Besitzergruppenfilter nicht einstellen. Es kommt der Fehler "ungültiger Eigenschaftswert". (Bug#14896)
-Verträge: Bei höheren DPI sind einige Eingabefelder nicht mehr sichtbar. (Bug#14897)
-Mitarbeiter/Kontakte: Anhänge mit der Berechtigung "benutzbar" sind nicht mehr in Ausdrücken verwendbar. Nur mit entsprechenden Berechtigungen funktioniert es. (Bug#14910)


Release 4.194.119 vom 02.09.2019
================================

Sonstiges
-An-/Abwesenheitsgründe: Bei der Standardstart- und Endzeit sind die Beschriftungen vertauscht (Von< -> Bis). (Bug#14893)


Release 4.194.118 vom 28.08.2019
================================

thea.perso
+Stammdaten -> Abteilung: "Monatsabschluss rückgängig machen" öffnet jetzt auch ggf. abgeschlossene Jahresaschlüsse. (Feature#14756)
-Dienstplan -> Druck: Wenn im Layout "Bemerkung über Schicht" und "Dienste in Zeilen" aktiviert ist, kann es zu einer ArgumentOutOfRangeException kommen. (Bug#14875)


Release 4.194.117 vom 26.08.2019
================================

Sonstiges
+Kontaktkalender -> Abwesenheiten: Die Spalteneinstellungen lassen sich jetzt über das Kontextmenü zurücksetzen. (Feature#14871)
-Kontaktkalender -> Abwesenheiten: Die Spaltenbreiten wachsen bei jedem Öffnen des Kontaktkalenders. (Bug#14870)


Release 4.194.116 vom 23.08.2019
================================

thea.dispo
+Countdowns: Die Besetzung der Vorstellung werden jetzt für die Besetzung der Countdownaktivitäten verwendet. (Feature#14681)
-Dispo: Beim Eintragen der Preisgruppe kann es zu einer NullReferenceException kommen. (Bug#14869)


Release 4.194.114 vom 22.08.2019
================================

thea.orchester
-Verträge -> Orchester: Die Abteilung bzw. das Instrument, die Position und der Hinweis für Planung sind nicht mehr sichtbar. (Bug#14856)

Sonstiges
-Dispo: Countdown über das Kontextmenü einplanen funktioniert nicht. (Bug#14857)


Release 4.194.113 vom 19.08.2019
================================

Sonstiges
-Dispo -> Serie Anlegen: Es werden nur 8 Monate angezeigt. (Bug#14849)


Release 4.194.112 vom 16.08.2019
================================

Sonstiges
-Dispo: Auch Countdowns die nicht auf "beim Einplanen anlegen" stehen, werden beim Einplanen angelegt. (Bug#14847)


Release 4.194.111 vom 14.08.2019
================================

Sonstiges
-Dispo: Die Spalte "Abwesende" zeigt am 1. Abwesenheitstag 'ab "00:00"' an, der letzte Tag wird nicht angezeigt. (Bug#14832)


Release 4.194.110 vom 14.08.2019
================================

thea.dispo
-PerformanceProfile -> Profil bearbeiten: Der Werkeartenfilter lädt die Einstellungen nicht richtig, wenn eine ausgewählte Sparte eine einzelne Werkeart hat. (Bug#14830)

Sonstiges
-Aktivitätsdetails: Beim Anzeigen der Registerkarte "Sonstiges" kommt es zu einer ArgumentException. (Bug#14828)


Release 4.194.109 vom 13.08.2019
================================

thea.works
-thea.works: In der Tabelle wird neben dem Namen eine Schicht angezeigt, obwohl gar keine Schicht eingeplant ist. (Bug#14760)

Sonstiges
-Rapport: Die Monatssumme für die Spalte DFT wird nicht ausgegeben. (Bug#14789)
-Dispo: Geänderte Spalteneinstellungen werden beim Öffnen des Einstellungsdialoges verworfen. (Bug#14795)
-Stammdaten -> Abteilungen: DispoAdmin kann keine Bereiche anlegen. (Bug#14799)


Release 4.194.108 vom 07.08.2019
================================

Sonstiges
-Orchester/Chorverträge: Vertragsfelder der "Info"-Seite werden auf der "Sonstiges"-Seite angezeigt. (Bug#14786 | Kategorie 4 - Niedrig)


Release 4.194.107 vom 02.08.2019
================================

Sonstiges
-Dispo: Wird eine Aktivität mit Countdown eingeplant, tritt ein Fehler auf. (Bug#14779)


Release 4.194.106 vom 01.08.2019
================================

Sonstiges
-Dienste (Besetzungen): Beim Anzeigen der Summenspalte für Abwesenheiten kommt ein Fehler. (Bug#14777)


Release 4.194.104 vom 19.07.2019
================================

thea.dispo
+Dispo -> Serien bearbeiten: Die Webfreigabe, die Vorverkaufsfreigabe und die Bemerkungen können jetzt gesetzt werden. (Feature#14506)
+Produktionen -> Standardbesetzung: Es kann einfacher nur an Teile der Standardbesetzung eine E-Mail gesendet werden. (z.B. nur an Darsteller, oder nur über BCC). (Feature#14510)
+Verträge: Es ist jetzt eine Funktion verfügbar, zum Verknüpfen des Vertrages mit bestehenden Besetzungen. (Feature#14514)
+Abwesenheitsgründe (Krank, Urlaub) können nur mit entsprechender Berechtigung gesehen werden, ohne diese nur eine allgemeine Information (z.B. "Abwesend"). (Feature#14598)
+Plan -> Besetzung / Abwesenheiten: Abwesenheitspläne können jetzt nach dem Abwesenheitstyp gruppiert werden. (Feature#14602)
+Abwesenheitsplanung: Es können auch Abwesenheiten der Module thea.dispo, thea.ballett, thea.orchester, thea.chor angezeigt werden. (Feature#14606)
+Produktionen: Nach dem Ändern der Dauer kann die Ausgabe der Endzeit bei schon geplanten Vorstellungen aktiviert werden. (Feature#14625)
+Planfeld ActivityDepartmentInformation: Das Feld "ShiftCount" gibt nicht nur die überschriebenen Werte, sondern auch die Standardwerte zurück. (Feature#14687)

thea.perso
+Dienstplan -> Kostenträgerzuordnung: Auch an Tagen ohne Arbeitszeiten lassen sich Kostenträger zuordnen. (Feature#14489)
+Dienstplan -> Summenspalten: Die Summen aus der Formel "Summe Zeitkonto" können, abhängig von hinterlegten Schwellwerten, in Farbe angezeigt werden. (Feature#14667)
+Zeitkonten: In den Formeleinstellungen für "Zulage für Arbeit im Zeitraum" können Zeitkonten ausgeschlossen werden. (Feature#14671)
-Dienstplan: Die Formeln im Dienstplan ergeben für Personen, die nur in der Abteilung angezeigt werden, die falschen Werte. (Bug#14439)

thea.orchester
+Verträge: Es ist jetzt eine Funktion verfügbar, zum Verknüpfen des Vertrages mit bestehenden Besetzungen. (Feature#14514)
+Abwesenheitsgründe (Krank, Urlaub) können nur mit entsprechender Berechtigung gesehen werden, ohne diese nur eine allgemeine Information (z.B. "Abwesend"). (Feature#14598)
+Plan -> Besetzung / Abwesenheiten: Abwesenheitspläne können jetzt nach dem Abwesenheitstyp gruppiert werden. (Feature#14602)
+Abwesenheitsplanung: Es können auch Abwesenheiten der Module thea.dispo, thea.ballett, thea.orchester, thea.chor angezeigt werden. (Feature#14606)
+Dienstplan (Besetzungen): Die Formel "Anzahl Besetzungen in Woche" wurde in Formel "Anzahl Besetzungen in Ansicht (i.d.R. Woche) geändert". (Feature#14619)
+Planfeld ActivityDepartmentInformation: Das Feld "ShiftCount" gibt nicht nur die überschriebenen Werte, sondern auch die Standardwerte zurück. (Feature#14687)

thea.chor
+Verträge: Es ist jetzt eine Funktion verfügbar, zum Verknüpfen des Vertrages mit bestehenden Besetzungen. (Feature#14514)
+Abwesenheitsgründe (Krank, Urlaub) können nur mit entsprechender Berechtigung gesehen werden, ohne diese nur eine allgemeine Information (z.B. "Abwesend"). (Feature#14598)
+Plan -> Besetzung / Abwesenheiten: Abwesenheitspläne können jetzt nach dem Abwesenheitstyp gruppiert werden. (Feature#14602)
+Abwesenheitsplanung: Es können auch Abwesenheiten der Module thea.dispo, thea.ballett, thea.orchester, thea.chor angezeigt werden. (Feature#14606)
+Dienstplan (Besetzungen): Die Formel "Anzahl Besetzungen in Woche" wurde in Formel "Anzahl Besetzungen in Ansicht (i.d.R. Woche) geändert". (Feature#14619)
+Planfeld ActivityDepartmentInformation: Das Feld "ShiftCount" gibt nicht nur die überschriebenen Werte, sondern auch die Standardwerte zurück. (Feature#14687)

thea.export
+Spielplanexport: Im Export CSV 1.10 und XML 10 wird jetzt für die Produktion die Standarddauer einer Vorstellung exportiert. (Feature#14615)
+Spielplanexport: Im CSV Export 1.10 wird jetzt bei Aktivitäten die ID der zugeordneten Vorstellung mit exportiert. (Feature#14659)

thea.transfer
+Kassenanordnungen: "Gästeabrechnung pro Person / Produktion erstellen" wurde umbenannt in "Kassenanordnungen für künstlereichen Bereiche erstellen" und beinhaltet jetzt auch die Funktion von "Monatsabrechnung pro Abteilung erstellen". (Feature#14691)

Sonstiges
+Verträge: Vertragsfelder können jetzt auch auf den Seiten Info und Termine angezeigt werden. (Feature#14549)
+Plan: Die bedingten Formatierungen wurden erweitert, es gibt jetzt einen Bühnenfilter, einen Statusfilter und die ganze Bedingung kann negiert werden. (Feature#14563)
+Plan: Bei den Ausgabefeldern kann jetzt ein Kommentar hinterlegt werden. (Feature#14569)
+Stammdaten -> Abteilungen/Vertragsarten: Die "Standards für Abrechnungen" können jetzt in einer Matrix angezeigt und bearbeitet werden. (Feature#14695)
+Der WCF Service unterstützt nun HTTPS. (Feature#14723)
+Die Konfiguration von theasoft WCF und theasoft WEB wurden vereinfacht. (Feature#14727)
-Benutzerverwaltung: Inaktive Benutzer sind in den Benutzergruppen noch sichtbar. (Bug#14461 | Kategorie 4 - Niedrig)
-Bei Aktivitätstypänderungen werden vorhandene verknüpfte Aktivitäten nicht entfernt. (Bug#14685 | Kategorie 4 - Niedrig)
-Einstellung -> Kommunikation: Eintragen einer https-Adresse für den WCF Service führt zu einer Fehlermeldung. (Bug#14716 | Kategorie 4 - Niedrig)


Release 4.193.117 vom 16.07.2019
================================

thea.perso
-Bedarf -> Personal-Abteilungsbedarf: Beim Wechsel der Spielzeit werden die alten Werte nicht vollständig entfernt. (Bug#14739)


Release 4.193.116 vom 09.07.2019
================================

Sonstiges
-Rapport -> Ausgabeeinstellungen werden in Kassenanordnungen nicht berücksichtigt. (Bug#14713)
-In "Besetzung pro Produktion" werden mit "Alle anzeigen" alle Kontakte angezeigt, auch Firmen. (Bug#14717 | Kategorie 4 - Niedrig)


Release 4.193.115 vom 25.06.2019
================================

thea.dispo
-Besetzung pro Produktion -> Ansicht drucken: Der Besetzungsfilter wird falsch ausgewertet. Die Personen werden zwar nicht ausgegeben, aber die Rollen sind weiterhin vorhanden. (Bug#14680)


Release 4.193.114 vom 21.06.2019
================================

Sonstiges
+thea.works: Für tagesgebundene Aufgaben kann eine Startzeit angegeben werden. (Feature#14651)
-Rapport: Überträge in andere Konten, die mit einem Faktor multipliziert werden, werden falsch gerundet. Derzeit wird symmetrisches Runden verwendet, anstelle von kaufmännischen Runden. (Bug#14247 | Kategorie 4 - Niedrig)
-Datenbereinigung -> Dienstplaneinträge: Prüfung auf Jahresabschluss berücksichtigt unterschiedliche Laufzeiten nicht. (Bug#14675)
-Datenbereinigung -> Dienstplaneinträge: "Monat abgeschlossen seit" wird falsch ausgewertet. Der Wert wird auf den Monatsabschluss addiert, anstatt abgezogen, wodurch auch Daten nach dem Monatsabschluss gelöscht werden könnten. (Bug#14676)
-Datenbereinigung -> Kassenanordnungen: Beim Ausführen kommt es zu einer SqlException. (Bug#14677)


Release 4.193.113 vom 17.06.2019
================================

Sonstiges
+Pläne/Dokumente: Der Autor vom Dokument kann jetzt auch ausgegeben werden, wenn dem Benutzer kein Kontakt zugeordnet wurde. (Feature#14638)
 Das Feld FullUserName gibt den kompletten Namen des Kontaktes zurück, oder falls der nicht zugeordnet wurde, den Benutzernamen.
+Pläne/Dokumente: Die Felder für verknüpfte Kontakte (ChildContacts/ParentContacts) unterstützt jetzt die Filterung nach Kontaktbereich. (Feature#14647)
-Kontakte Zusammenführen: Wenn die Kontakte Attachements haben kommt ein Fehler. (Bug#14543)
-Kontakte zusammenführen -> Anhänge und Auditions werden nicht zusammengeführt. (Bug#14544)
-Kontakt/Kontaktsuche -> Brief/Serienbrief: Beim Einfügen von Bildern wird bei der Größenbestimmung die Auflösung des Bildes nicht berücksichtigt. (Bug#14623)
-Vertragsdokument: Eine bedingte Ausgabe bei Gehältern, mit Prüfung ob Abrechnungsregeln vorhanden sind, ist mit Expressions nicht möglich. (Bug#14642)
-Stammdaten: Beim Erstellen neuer Zusatzdatentypen, die weitere Einstellungen haben, kann es beim Speichern zu einer InvalidCastException kommen. (Bug#14655)


Release 4.193.111 vom 14.06.2019
================================

thea.dispo
-Dispo -> Vorschlag: Beim Öffnen kommt es zu einer SqlException (Incorrect syntax near 'au'.). (Bug#14624)

thea.perso
-Monatsabschluss: Es werden auch Ausgleichszeiträume in der Vergangenheit angelegt. (Bug#14630)

thea.orchester
-Chor/Orchesterabrechnung: Produktionsabhängige Zulagen, die ab der x. Vorstellung gezahlt werden, werden nicht mehr ausgegeben. (Bug#14488)
 Dies jedoch nur, wenn die Anzahl der Vorstellungen nicht innerhalb einer Spielzeit erreicht wurde.
-Chor- / Orchesterabrechnung: Bei der Abrechnung, gruppiert nach Person, wird der Produktionsfilter nicht berücksichtigt. (Bug#14537)

thea.chor
-Chor/Orchesterabrechnung: Produktionsabhängige Zulagen, die ab der x. Vorstellung gezahlt werden, werden nicht mehr ausgegeben. (Bug#14488)
 Dies jedoch nur, wenn die Anzahl der Vorstellungen nicht innerhalb einer Spielzeit erreicht wurde.
-Chor- / Orchesterabrechnung: Bei der Abrechnung, gruppiert nach Person, wird der Produktionsfilter nicht berücksichtigt. (Bug#14537)

Sonstiges
+Stammdaten -> Abteilung: Beim Monatsabschluss setzen stehen jetzt auch die Optionen "Nur Werte berechnen" und "Abrechnung erstellen" zur Verfügung. (Feature#14632)


Release 4.193.110 vom 07.06.2019
================================

thea.perso
-Zeitkonten pro Monat: Beim Eintragen einer Korrektur über den Dialog, kommt es zu einer TargetInvocationException (Vertrag mit ID 0 nicht gefunden). (Bug#14610)

thea.contact
+Kontakte: Wenn über die Profilbildanzeige ein neues Profilbild hinzugefügt wird, so ist die Berechtigung darauf jetzt automatisch auf "Öffentlich" gestellt. (Feature#14588)
-Kontaktsuche -> Serienbrief Erstellen: Wird bei Zieldateinamen eine Dateiendung angegeben, die von Word nicht unterstützt wird, kommt eine Fehlermeldung. (Bug#14587 | Kategorie 4 - Niedrig)

Sonstiges
+Kontakt/Kontaktsuche -> Briefe/Serienbriefe: Auf das Profilbild und Signaturbild kann jetzt unabhängig von der "Kontaktanhang-Kategorie" zugegriffen werden. (Feature#14594)
-Dispo: Beim Öffnen der Einstellungen kann es zu einer NullReferenceException kommen. (Bug#14593 | Kategorie 4 - Niedrig)


Release 4.193.108 vom 29.05.2019
================================

Sonstiges
-Adressplan: Innerhalb der Einstellungen für ChildContacts/ParentContacts kommt es zu einer Exception, wenn ebenfalls das Feld ChildContacts/ParentContacts verwendet werden soll. (Bug#14580)


Release 4.193.107 vom 28.05.2019
================================

thea.dispo
-Besetzungszettel: Bei Mehrteiligen Produktionen ist die Reihenfolge der Produktionen falsch. (Nur wenn im Dokument NICHT mit partsdata gearbeitet wird). (Bug#14576)
-Dispo: Ausgefallene Proben werden in der Zählung berücksichtigt. (Bug#14577)


Release 4.193.106 vom 28.05.2019
================================

thea.orchester
-Produktion -> Abteilung: Proben Damen und Proben Herren werden in der Produktionsübersicht nicht mehr ausgegeben. Wurden überschrieben durch Anzahl Besetzungen der Gruppe. (Bug#14463)

thea.chor
-Produktion -> Abteilung: Proben Damen und Proben Herren werden in der Produktionsübersicht nicht mehr ausgegeben. Wurden überschrieben durch Anzahl Besetzungen der Gruppe. (Bug#14463)


Release 4.193.104 vom 24.05.2019
================================

thea.dispo
-Produktionen -> Standardbesetzung: Beim Hinzufügen einer Rolle über "Rolle aus Aufgabenbereich" kommt eine SqlException (Cannot insert the value NULL into column 'Anzahl'). (Bug#14574)


Release 4.193.103 vom 23.05.2019
================================

Sonstiges
-Tagesplan: Bei Tagesplänen mit unterschiedlich vielen Spalten im Proben und Vorstellungslayout, oder bei der Ausgabe von Abwesenheiten, wird die Tabelle nicht richtig erstellt. (Bug#14562 | Kategorie 2 - Hoch)


Release 4.193.102 vom 22.05.2019
================================

thea.dispo
-Pläne -> Produktionsplan: Überschneidungsprüfungen mit der Standardbesetzung berücksichtigen nicht die Verknüpfung zwischen Aufgabenbereichen und Aktivitätstypen. (Bug#14497)
-Pläne -> Produktionsplan: Überschneidungsprüfung nach "Vst. Abendbesetzung sonst Std. Besetzung" ignoriert die vorhandene Abendbesetzung von Proben. (Bug#14532)
-Pläne -> Produktionsplan: Bei Ausgabe spielzeitübergreifender Zeiträume berücksichtigt die Überschneidungsprüfungen mit der Standardbesetzung nicht die Spielzeit der Standardbesetzung, daher z.B. doppelte Ausgabe der Namen. (Bug#14533)


Release 4.193.101 vom 17.05.2019
================================

thea.dispo
+Tagesplan: Wenn mit dotm Vorlagen gearbeitet wird, dann sind die Ausgabedateien nicht mehr automatisch docm. (Feature#14267)
+Aboprüfung: Einige Verstöße gegen die Abodefinition werden jetzt anstelle einer Informationsmeldung als Warnmeldung angezeigt. (Feature#14301)
+Aktivitätsdetails: Der Standardtext aus der Produktion kann wieder als Ausgangswert in den besonderen Pressetext übernommen werden. (Feature#14321)
+Beim Eintragen von Abwesenheiten kann auch gegen die Standardbesetzung von Vorstellungen geprüft werden. (Feature#14333)
+Abwesenheiten: Anträge/Meldungen können auch ohne Verteiler als Mail versendet werden. (Feature#14337)
+Aktivitäten (Detailansicht) -> Besetzungen: Es kann an alle besetzen Personen eine E-Mail geschrieben werden (wie bei Produktion). (Feature#14348)
+Werke -> Besetzungen: Es kann ein Repertoire hinterlegt werden. Bei Produktionen / Personen wird das Werk-Repertoire angezeigt. (Feature#14366)
+Dispolayout: Die Bühnenfilter können jetzt über eine Baumansicht mit Gruppierungen gesetzt werden. (Feature#14429)
+Vertragsanforderung: Das Feld für die Produktionskosten berücksichtigt jetzt nur noch Kosten im Vertragszeitraum. (Feature#14434)
+Kontakte: Es ist jetzt eine neue Registerkarte verfügbar (Auditions), auf der Vorsingen/Vorsprechen verwaltet werden können. (Muss über Features aktiviert werden). (Feature#14444)
+Dispo: Bemerkungsänderungen werden jetzt in die Historie geschrieben. (Feature#14498)
+Kontakte -> Kalender: Bei Kollektiven wird keine Überscheidungsmeldung für Abwesenheit, die "nur" am gleichen Tag sind, angezeigt. (Feature#14502)
-Plan -> Eine Zeile pro Tag: In der Auswahlliste für Felder fehlen einige Felder, z.B. alle von stage. (Bug#14177 | Kategorie 4 - Niedrig)
-Serien anlegen: Nach dem Ändern des Aktivitätstyps kommt beim Status eine Warnung, die nicht erklärt, dass Berechtigungen fehlen. (Bug#14375 | Kategorie 4 - Niedrig)

thea.perso
+Stammdaten -> Abteilungen: Der Monatsabschluss kann jetzt nur noch über eine Funktion rückgängig gemacht werden. (Feature#14047)
+Personal Bedarfsplanung: Die Berechtigungsprüfungen für die Countdowns wurde verbessert (z.B. beim Bearbeiten) und erweitert (jetzt auch beim Löschen, Kopieren und Einfügen). (Feature#14285)
+Formel "Zählungen von Diensten aus Arbeitszeit": Es kann jetzt angegeben werden, wieviel Zeit zwischen zwei Schichten liegen muss, damit ein weiterer Dienst gezählt wird. (Feature#14297)
+Zeitkonten -> Formeln "Überstundenzuschläge": Die Einstellung "monatliche Soll-Az von 4.348 * WoAz" wurde hinzugefügt. (Feature#14523)

thea.orchester
+Chor- / Orchesterdispo -> Ansicht nach Produktion: Verträge, die keinen der angezeigten Tage beinhalten, werden nicht mehr angezeigt. (Feature#14142)
+Abwesenheiten: Anträge/Meldungen können auch ohne Verteiler als Mail versendet werden. (Feature#14337)

thea.chor
+Chor- / Orchesterdispo -> Ansicht nach Produktion: Verträge, die keinen der angezeigten Tage beinhalten, werden nicht mehr angezeigt. (Feature#14142)
+Abwesenheiten: Anträge/Meldungen können auch ohne Verteiler als Mail versendet werden. (Feature#14337)
+Kontakte: Es ist jetzt eine neue Registerkarte verfügbar (Auditions), auf der Vorsingen/Vorsprechen verwaltet werden können. (Muss über Features aktiviert werden). (Feature#14444)

thea.order
+Budgetverwaltung: Für Kostenträger, Kostenstellen und Haushaltstitel können auch Spalten mit den Nummern hinzugefügt werden. (Feature#14391)

thea.transfer
+Kassenanordnungen: Die Spalteneinstellungen von der Liste der Kassenanordnungen werden gespeichert. (Feature#14411)

Sonstiges
+Tarif: Die Einstellung für Krankheit, Gutschrift der Az aus Soll-Plan, wirkt sich jetzt auch auf den Wert für "freie Tage" aus. Beschriftung wurde auch angepasst. (Feature#14280)
+Schulferien: Für Schulferien kann jetzt ein Regionalcode hinterlegt werden, der im Ausgabefeld schoolholidays in den Plänen zum Filtern verwendet werden kann. (Feature#14293)
+Personaldetails: Der Besitzerbaum ist auf der Ebene der Besitzer jetzt erst nach Besitzer SortNr, dann nach Besitzerbezeichnung sortiert. Die Sortierung ist Modulübergreifend. (Feature#14305)
+Überstundenzuschläge: Überstundenzuschläge aufgrund von Dienstplanänderungen berücksichtigen jetzt das Ranking vom Dienstplaneintragsstatus. (Feature#14326)
+Zusatzfelder (Vertrag, Person, Merkmale, Produktionen, Pressetexte): Für mehrzeilige Textfelder kann eine Mindesthöhe angegeben werden. (Feature#14343)
+Kassenanordnungen -> Drucken: Die Filtereinstellungen können mit ausgegeben werden. (Feature#14382)
+Der Bericht "Honorar pro Vertrag" kann als "flache Liste" ausgegeben werden. (Feature#14407)
+Kontakte: Bei den Grunddaten wird jetzt das Profilbild angezeigt. (Feature#14440)
+Kontakte: Es kann nach "Hat beliebigen Vertrag" gefiltert werden. (Feature#14479)
+Vertragsverwaltung: Es können Spalten für zusätzliche Vertragsfelder eingeblendet werden. (Feature#14483)
+Perso-Berichte -> Rapport: Die Einstellungsseite wird nur angezeigt, wenn sie benötigt wird. (Feature#14519)
-Vertragsverwaltung -> Neuer Vertrag: Beim Eintragen des Enddatums springt das Startdatum auf Heute. (Bug#14496)
-Rapport: Summierte Spalten geben den falschen Wochenwert aus. (Bug#14546)


Release 4.192.118 vom 16.05.2019
================================

Sonstiges
-Zeitkonten pro Monat: Für Auszahlungen lässt sich ein Fremdkonto hinterlegen. (Bug#14476)
-Abwesenheit eintragen: Out Of Range Exception, wenn der Zeitraum der Abwesenheit nicht in der Ansicht angezeigt wird. (Bug#14534)


Release 4.192.117 vom 08.05.2019
================================

thea.dispo
-Plan -> Eine Zeile pro Tag: in "Zeitliche Unterteilung" eingestellte Zeilenhöhen werden nicht nach Excel übernommen. (Bug#14353 | Kategorie 4 - Niedrig)

Sonstiges
+Personendetails -> Eigene Felder können jetzt auch Sonderzeichen enthalten. (Feature#14527)


Release 4.192.116 vom 07.05.2019
================================

Sonstiges
-Remotedesktopanwendung -> Popups werden nur einmalig angezeigt. (Bug#14518)


Release 4.192.115 vom 06.05.2019
================================

thea.perso
-Rapport: Die Ausgabe von "Berechneter Lohn", bei Konten mit der Formel "Honorar/Kosten", wird nicht auf die zweite Nachkommastelle gerundet, sondern nur auf die Erste. (Bug#14495)

thea.dispo (web)
-Einstellungen -> Web-Kalender: Werkearten/Sparten können nur gespeichert werden, wenn die Sparte mehr als eine Werkeart hat. (Bug#14493)


Release 4.192.114 vom 02.05.2019
================================

thea.dispo
-Personen -> Verträge: Der Indikator ob Anhänge vorhanden sind, wird nicht mehr angezeigt und es werden auch nicht alle Vertragsdokumente im Vertrag dann angezeigt. (Preloading filtert einige aus). (Bug#14487)

Sonstiges
+Vertrag: Im Vertragsdokument können jetzt auch Abrechnungsdaten ausgegeben werden (z.B. für Chor/Orchester Aushilfsverträge). (Feature#13849)


Release 4.192.113 vom 25.04.2019
================================

thea.contract
-Verträge -> Dokumente: Wenn man die Berechtigung auf Anhänge hat, werden durch das Preloading einige Dokumente ausgefiltert. (Darf nicht storniert sein und muss gültig sein). (Bug#14478)

Sonstiges
-AttachmentService: Anhänge werden nicht mehr mit einem einzigartigen Dateinamen gespeichert, dadurch können Anhänge sich überschreiben. (Bug#14477 | Kategorie 2 - Hoch)
 Fehler tritt seit 4.191.x auf. Zur Behebung muss der WCF Service auf 4.192.103 aktualisiert werden.


Release 4.192.111 vom 23.04.2019
================================

thea.dispo
+Vertragsdokumente: Die Vertragsinformationen für Gastierurlaub (guestHolidays) und außertariflichen Urlaub (nonTarifHolidays), sowie Jahresansprüche (entitlementsList) können jetzt ausgegeben werden. (Feature#14095)

thea.contract
-Vertragsdokumente: Termine lassen sich nicht mehr entfernen. (Bug#14433)

Sonstiges
+Chorsolisten die in Disporollen besetzt werden, sollten nicht die Position vom Vertrag als Besetzungsposition bekommen. (Feature#14456)
-Plan: Beim Ändern des Zeitraumes wird "Mit Gesperrt" zurückgesetzt. (Bug#14376 | Kategorie 4 - Niedrig)
-NAZ-Verteilung: Arbeiten am Feiertag generiert die falschen Zuschläge, wenn in den nächsten Tag reingearbeitet wird. (Bug#14464)
-Rapport: Die Formel Überstunden in Zeitraum gibt für große Perioden keine Werte mehr zurück. (Bug#14465)
-Rapport:Tage zählen funktioniert nicht für die Formel Bereitschaftsdienste. (Bug#14466)
-Dienstplan: "Löschen" löscht den Status nicht. (Bug#14468 | Kategorie 4 - Niedrig)
-Personal -> Personalqualifikation: Wird nach einer Sparte gefiltert, der keine Produktionen zugeordnet sind, kommt eine Fehlermeldung. (Bug#14469 | Kategorie 4 - Niedrig)


Release 4.192.110 vom 03.04.2019
================================

thea.dispo
-Produktionen: Beim Speichern kann es zu einer InvalidCastException kommen (Programm versucht festzustellen, ob die Dauer geändert wurde). (Bug#14416)
 Tritt nur in Ausnahmefällen auf und auch nur, wenn gar nichts an der Dauer geändert wurde.
-Dispo: Auch Änderungen ohne einen Änderungstext werden in die Historie geschrieben. (Bug#14422 | Kategorie 4 - Niedrig)

thea.perso
+Dienstplan: Das Laden vom Dienstplan wird nicht mehr durch Abfragen an den JobService (der in theasoft WCF enthalten ist) verzögert. (Feature#14418)
-Dienstplan: Wenn einem Dienstplaneintrag eine Aufgabe zugeordnet ist, auf deren Aktivität man keinen Zugriff hat, kommt es zu einer NullReferenceException. (Bug#14424)


Release 4.192.109 vom 28.03.2019
================================

Sonstiges
-Pläne: In den Einstellungsdialogen von Ausgabefeldern (z.B. cast) wird der Wert von "Immer Sichtbar?" nicht gespeichert. (Bug#14386)
-Kontakte -> Kalender -> Besetzungen: "Stornierte Besetzungen anzeigen" hat keine Auswirkungen. (Bug#14388 | Kategorie 4 - Niedrig)
-Kassenanordnung: Ist die bei "Proben - unbezahlt pro Vst." ein Wert eingetragen, erfolgt keine Ausgabe. (Bug#14390)


Release 4.192.108 vom 26.03.2019
================================

thea.dispo
-Dispo -> Tagesansicht: Die ausgewählten Zeiten (Markierung) werden im Detaildialog beim Ändern der Produktion / des Aktivitätstyps überschrieben. (Bug#14358 | Kategorie 4 - Niedrig)


Release 4.192.107 vom 22.03.2019
================================

thea.orchester
-Instrumentenverwaltung: Versicherungen können nicht direkt nach der Eingabe einer Wertschätzung eingetragen werden. (Bug#14357 | Kategorie 4 - Niedrig)

Sonstiges
+Verträge: Für Benutzer mit Leserechten sind Honorare besser lesbar. (Feature#14371)
-Rapport -> NAZ-Verteilung: Auch nicht wöchentliche Werte werden aus der Vorwoche übernommen. (Bug#14361)
-Spielplanexport: Die Filtereinstellung >>Produktionen – „Besetzungen ausgeben“ auswerten<< verursacht einen Fehler. (Bug#14377)


Release 4.192.106 vom 21.03.2019
================================

Sonstiges
+Die Verwendung der Anwendung nach dem Reaktivieren des Computers aus dem Energiesparmodus, sollte nun keine SqlException mehr hervorrufen. (Feature#14362)
-Countdowns: Die lange Bemerkung wird nicht angezeigt. (Bug#14354)
-Zulagen pro Aktivität: Bei Personen mit mehreren Verträgen wird die Besetzung in jedem Vertrag angezeigt. (Bug#14355)
-Dienstplan: Schicht von 00:00-00:00 führt zu Ausnahmefehler in Verbindung mit NAZ-Verteilung. (Bug#14356)


Release 4.192.105 vom 18.03.2019
================================

thea.perso
-Wochenabschluss: In der Liste der abzuschließenden Abteilungen sind auch Abteilungen ohne Berechtigung zum Wochenabschluss enthalten. (Bug#14325)

Sonstiges
-Rapport -> Freie Tage Zählung zählt falsch. (Bug#14331)
-Stammdaten -> Bühnen -> Detailansicht: Ist einer Bühne keine Adresse (Kontakt) zugeordnet, kommt beim Zuordnen eines Ansprechpartners eine Fehlermeldung. (Bug#14347)
-Fehler bei Ausführen das Datenbankskripts für 4.192.x auf SQL Servern der Versionen 2008 und 2008/R2. (Bug#14352)


Release 4.192.104 vom 14.03.2019
================================

thea.perso
-Dienstplan: Einfügen über die Tastenkombination Strg-V geht nicht mehr, über das Kontextmenü funktioniert es noch. (Bug#14330)


Release 4.192.101 vom 13.03.2019
================================

thea.perso
+Im Dienstplandruck können jetzt die Dienste eingefärbt werden, wenn es zwischen Sollplan und Arbeitsplan Änderungen gab. (Feature#14122)
+Dienstplan: Wenn die Funktion "Vergleichen mit ..." aktiv ist, dann werden jetzt bei den Dienstplaneinträgen über den Tooltip die Änderungen angezeigt. (Feature#14184)
+Dienstplan: Der Rapport einer Person kann jetzt per Rechtsklick auf die Person aufgerufen werden. (Feature#14199)
+Rapportformel -> "Berechnet Lohn pro Tag": Es werden jetzt auch Beträge aus dem Vertrag berücksichtigt, nicht nur Abrechnungsregeln. (Feature#14233)
+Dienstplan -> Überstundenantrag: Es lässt sich auch der aktuelle Stand der +/- Stunden ausgeben. (Feature#14242)

thea.orchester
+Für Rollen- und Produktionszulagen lassen sich Regeln hinterlegen. (Feature#14091)

thea.chor
+Für Rollen- und Produktionszulagen lassen sich Regeln hinterlegen. (Feature#14091)

thea.contact
+Kontaktsuche: Der Filter für Abteilungen geht nun besser mit dem Wert "Alle" um, wenn man nicht auf Alle Abteilungen Berechtigungen hat. (Feature#14309)

thea.contract
+Vertrag -> Termine: Aufwandspauschalen können anteilig auf Monate verteilt werden (wie "Probenpauschalenauszahlungstermine"). (Feature#14190)

thea.transfer
+Kassenanordnung: Beim Erstellen einer "Techn. Aushilfen Abrechnung" kann jetzt der Abrechnungstag angegeben werden. (Feature#14313)

Sonstiges
+Bei Fehlern die aufgrund nicht ausgeführter Datenbankskripte auftreten, wird eine informative Meldung ausgegeben. (Feature#13812)
+Chor/Orchesterabrechnung -> Die Abrechnung kann jetzt auch gruppiert nach Vertrag ausgegeben werden. (Feature#13845)
+Berechtigungsverwaltung: Die Berechtigungen eines Benutzers können kopiert und bei einem anderen Benutzer eingefügt werden. (Feature#14099)
+Plan -> Eine Zeile pro Tag: Die Geschwindigkeit der Planausgabe wurde verbessert, wenn Bühnenadressen ausgegeben werden sollen. (Feature#14173)
+Stammdaten -> Formeleinstellungen: Implementieren eines Filters um in der Dienststatistik die Dienste getrennt nach Bühnen auszuwerten. (Feature#14194)
+Historie: Das Datum der Aktivität wird in einer eigenen Spalte angezeigt. (Feature#14220)
+Raumverwaltung: Es wird jetzt auf doppelte Belegung geprüft. (Feature#14225)
+Aktivitäten -> Ressourcen: Es lässt sich ein Verrechnungssatz hinterlegen. (Feature#14248)
+Die Feiertage Weltfrauentag für Berlin und Weltkindertag für Thüringen wurden hinzugefügt. (Feature#14260)
+Abos in Spielzeit haben eine Kurzbezeichnung. (Feature#14275)


Release 4.191.124 vom 12.03.2019
================================

Sonstiges
-Dienstplan -> Kopieren und einfügen: NullReferenceException. (Bug#14318)
 Beim Kopieren und Einfügen aller Dienste einer Woche kommt es zu einer Fehlermeldung.
-Dienstplan: In der ersten Zeile lassen sich keine Dienstzeiten mit der Tastatur eintragen. (Bug#14320)


Release 4.191.122 vom 07.03.2019
================================

Sonstiges
+Kontaktdaten: Zusatzdaten mit gleichem Datentyp und gleicher SortNr. werden nach dem eingetragenen Wert sortiert. (Feature#14160)
-Besetzungszettel: In der veralteten Einstellung "Spielzeitübergreifende Standardbesetzung" werden kein Darsteller ausgegeben. (Bug#14317)


Release 4.191.121 vom 06.03.2019
================================

thea.budget
-Kostenarten pro Vorstellung: Es wird immer der erste Standardwert der Produktion verwendet. (Bug#14290)

Sonstiges
-Dispo: Beim Speichern einer Aktivität kommt es zu einer Fehlermeldung, wenn die Aktivität um "00:00" Beginnt/Endet und die Historie aktiv ist. (Bug#14188)
-Dienstplan: Summenspalten -> Unerwarteter Fehler bei der Auswertung der Durchrechnungswerte. (Bug#14217)
 Aus der Formel AZ-Verteilung (LI)
-Dienstplan: Die Zuordnung einer Schicht zu einer Aufgabe bezieht sich zeitlich auf den Beginn der Aktivität. Richtig wäre aber der Beginn der Aufgabe. (Bug#14284)


Release 4.191.119 vom 25.02.2019
================================

thea.perso
-Dienstplan -> Vergleich mit ... : Wenn in dem ausgewählten Zeitraum Personen aus anderen Abteilungen angezeigt werden, kommt es zu einer KeyNotFoundException. (Bug#14259)

Sonstiges
-Dienstplan: Das Setzen des Merkmals "Ist geprüft" kann nicht mit der Rückgängigfunktion rückgängig gemacht werden. (Bug#14258)


Release 4.191.118 vom 19.02.2019
================================

thea.contract
-Vertrag -> Aktivitätstermine hinzufügen: Der Filter für die Aktivitätstypen ist nicht zu sehen und lässt sich nicht ändern. (Bug#14254)


Release 4.191.117 vom 18.02.2019
================================

Sonstiges
-Produktionen: Manchmal erscheint die Meldung zum Aktualisieren der Vorstellungsdauer ohne das die Dauer geändert wurde. (Bug#14252)


Release 4.191.115 vom 15.02.2019
================================

Sonstiges
-Produktionen -> Countdowns: Beim Löschen werden die zugeordneten Rollen nicht mitgelöscht, es kommt nur eine Fehlmeldung. (Bug#14246)
-Produktionen -> Standardbesetzung: Beim Hinzufügen von Produktionen zu Spielzeiten werden Besetzungen mehrfach angelegt. (Bug#14253)


Release 4.191.114 vom 12.02.2019
================================

Sonstiges
-Kontakte zusammenführen: Kontakte mit denselben Qualifikationen können nicht zusammengeführt werden. (Bug#14215)
-Plan -> Bedingte Formatierung: "Alle außer erster Vst" hat keine Auswirkung. (Bug#14216)


Release 4.191.111 vom 07.02.2019
================================

thea.perso
-Dienstplan: In der ersten Arbeitswoche (Vertragsbeginn am Montag) wird kein Bezug für freie Tage angerechnet. (Bug#14159)

thea.orchester
-Dienstplan (Besetzungen) : Ein neue Benutzer bekommt beim Wechsel der Abteilung eine ArgumentNullException. (Bug#14214)

thea.chor
-Dienstplan (Besetzungen) : Ein neue Benutzer bekommt beim Wechsel der Abteilung eine ArgumentNullException. (Bug#14214)

Sonstiges
+Vertrag: Von Rollen und Produktionsverträgen können die Reise/Übernachtungskosten ausgegeben werden. (Feature#14154)


Release 4.191.110 vom 05.02.2019
================================

Sonstiges
-Kontakte/Mitarbeiter: Es können keine Briefe mehr erstellt werden, wenn der Kontakt/Mitarbeiter Anhänge hat. (Bug#14212 | Kategorie 2 - Hoch)
 Betroffen sind Kunden mit Version 4.191.100 oder höher.


Release 4.191.109 vom 04.02.2019
================================

thea.orchester
-Chor- / Orchesterdispo: Auf dem Besetzungszettel werden Besetzungen anderer Abteilungen ausgegeben. Gibt keine Möglichkeit das abzustellen. (Bug#14114)

thea.chor
-Chor- / Orchesterdispo: Auf dem Besetzungszettel werden Besetzungen anderer Abteilungen ausgegeben. Gibt keine Möglichkeit das abzustellen. (Bug#14114)


Release 4.191.108 vom 31.01.2019
================================

Sonstiges
-Dienstplan: Unerwarteter Fehler beim Öffnen des Dienstplanes. (Berechtigungen auf ZeitkontenMonat fehlen). (Bug#14208)
 Es sind nur Kunden mit Version 4.191.107 vom 30.01.2019 betroffen.


Release 4.191.107 vom 30.01.2019
================================

thea.dispo
-Pläne: Bei der Ausgabe von "TravelSteps" oder "ProductionTravelSteps" kommt es zu einem Ausnahmefehler. (Bug#14205)

thea.perso
-Dienstplan -> Druck: Der Standardtext für die Kopfzeile wird nicht mehr ausgegeben. Man muss den Text einmal bearbeiten. (Bug#14207)

thea.orchester
-Orchester-Dispo -> Summen: Die Formel "Dienste im Ausgleichszeitraum" berechnet keine Werte wenn die Einstellungen auf "Spielzeit" und "nicht bis Ende der ausgewählten Woche" stehen. (Bug#14203)

Sonstiges
+Startseite -> Aktueller Spielplan: Das Format für Zeiten und Datum wurde angepasst. (Feature#14127)
-Wenn Stammdaten von anderen Benutzern neu eingetragen und zu Bewegungsdaten zugeordnet wurden, sind diese nicht sofort verfügbar, dies kann zu Fehlern führen kann. (Bug#14198 | Kategorie 4 - Niedrig)


Release 4.191.106 vom 25.01.2019
================================

thea.dispo
-Produktionen: Wenn eine neue Produktion angelegt wurde, werden noch ausstehende Änderungen an der vorher ausgewählten Produktion eventuell nicht gespeichert. (Bug#14140)
-Plan -> Kalender: Die Spalteneinstellungen bezüglich tagesbasierter Farben wird nicht berücksichtigt. Einzelne Farben wie z.B. Schulferien lassen sich nicht ausschließen. (Bug#14178)
-Ansicht "Ressourcenplanung": Die Berechtigungsprüfung, ob die Ansicht aufgerufen werden kann, wurde korrigiert. (Bug#14183)

thea.perso
-Ansichten "Zeitkonten pro Monat" und "Jahresabschluss / Ausgleichszeiträume": Die Berechtigungsprüfung, ob die Ansichten aufgerufen werden können, wurde korrigiert. (Bug#14182)

Sonstiges
-Pläne -> Besetzung / Abwesenheiten: Wenn ein Plan ausgegeben wird, in dem die Option aktiviert wurde, dass Abwesenheiten ausgegeben werden, aber keine Spalten definiert wurden, kommt es zu einer ArgumentOutOfRangeException. (Bug#14141 | Kategorie 4 - Niedrig)
-Stornierte Anfragen können nicht in Serie bearbeitet werden. (Bug#14164)
-Ansicht "Mitarbeiter- / Kontaktdaten Importieren": Die Berechtigungsprüfung, ob die Ansicht aufgerufen werden kann, wurde korrigiert. (Bug#14179)


Release 4.191.105 vom 23.01.2019
================================

thea.perso
-Rapport: Falsche Urlaubsanspruch bei monatlich manuell eingetragen Urlaub in abgeschlossenen Zeiträumen. (Bug#14158)
-Dienstplan: Frei halbe Tage werden in den Schichtdetails nicht angezeigt und in der Ausgabe nicht nummeriert. (Bug#14166)
-Dienstplan: Werden pro Tag/Personen zu unterschiedlichen Schichten Aktivitäten zugeordnet, tritt ein Fehler auf. (Bug#14167)


Release 4.191.104 vom 18.01.2019
================================

thea.dispo (web)
-Bei der Anmeldung mit einem Windows-Benutzer, kann es dazu kommen, das die Datenbankverbindung eines anderen Windows-Benutzers wiederverwendet wird, wodurch man als ein anderer Benutzer authentifiziert wird. (Bug#14151 | Kategorie 2 - Hoch)

thea.orchester (web)
-Bei der Anmeldung mit einem Windows-Benutzer, kann es dazu kommen, das die Datenbankverbindung eines anderen Windows-Benutzers wiederverwendet wird, wodurch man als ein anderer Benutzer authentifiziert wird. (Bug#14151 | Kategorie 2 - Hoch)

thea.perso (web)
-Bei der Anmeldung mit einem Windows-Benutzer, kann es dazu kommen, das die Datenbankverbindung eines anderen Windows-Benutzers wiederverwendet wird, wodurch man als ein anderer Benutzer authentifiziert wird. (Bug#14151 | Kategorie 2 - Hoch)


Release 4.191.103 vom 18.01.2019
================================

thea.budget
+Budgetplanung Einlassdienst: Anpassungen. (Feature#14118)


Release 4.191.102 vom 17.01.2019
================================

Sonstiges
-Chorbesetzungen: Abwesenheiten werden in Spalten anhand des Aktivitätszeitraums angezeigt, abweichende Besetzungszeiten werden nicht berücksichtigt. (Bug#14139 | Kategorie 4 - Niedrig)


Release 4.191.101 vom 14.01.2019
================================

Sonstiges
+Urlaubsberechnungsmodell: Es kann können Regel für anteiligen Zusatzurlaub angegeben werden. (Feature#13896)
-Dienstplan Besetzung - Sequence contains no Elements. (Bug#14126)


Release 4.191.100 vom 11.01.2019
================================

thea.dispo
+Dispo -> Varianten: Man kann jetzt Farben für Varianten hinterlegen. (Feature#14009)
+Plan -> Eine Zeile pro Tag: Es können auch abgelehnte und stornierte Abwesenheiten ausgegeben werden. (Feature#14039)

thea.perso
+Dienstplan: Zugeordnete Kostenträger durch eine „Ecke“ anzeigen (wie Aktivitäten). (Feature#13743)
+Dienstplandruck: Die zu einem Dienst zugeordneten Aktivität sollen im Dienstplan gedruckt werden können. Das Format soll einstellbar sein. (Feature#13747)
+Abwesenheiten einplanen Dialog: Option um keine bestehenden Daten zu überschreiben z.B. Frei. (Feature#13751)
+Zeitkonten übertragen: Es soll der Faktor aus der Rapportspalte übernommen werden. (Feature#13755)
+Konten -> Formel "Wöchentliche Stunden": Man kann jetzt Zeitkonten angeben, die bei der Berechnung nicht berücksichtigt werden sollen. (Feature#13922)

thea.budget
+Bericht: Honorare pro Vertrag: Optional können auch die Honorare mit der Option "Kalkulationswert" ausgegeben werden. (Feature#13789)

thea.contract
+Vertragstracking: Es ist jetzt eine Druckfunktion verfügbar. (Feature#13983)

Sonstiges
+Dienstplan -> Bedarfsplanung: Es gibt einen Tooltip, der anzeigt, aus welchen Aktivitäten wieviel Bedarf kommt. (Feature#13482)
+Spielplanexport: Individuelle Produktions- und Aktivitätsfelder können jetzt exportiert werden. (Feature#13529)
+Kontakte: Im Kontaktfilter kann nach Ensemble und Gästen unterschieden werden. (Feature#13576)
+Produktionen -> Standardbesetzung -> Repertoire: Es kann nach Ensemble und Gästen gefiltert werden. (Feature#13580)
+Aktivitäts- und Besetzungshistorie: Es gibt jetzt ein Berechtigungssystem. (Feature#13594)
+Plan: Bei den Feldern für die Kosten einer Aktivität können in den Planeinstellungen die Konten gefiltert werden. (Feature#13602)
+Produktionen: Die Aktivitätsfilterauswahl wird gespeichert. (Feature#13633)
+Plan -> Eine Zeile pro Produktion: Der Variantenfilter ist auch "on the fly" einstellbar. (Feature#13656)
+Es gibt ein einheitliches ToolTip für Vertragsinformationen. (Feature#13660)
+Es gibt ein einheitliches ToolTip für Rolleninformationen. (Feature#13664)
+Es gibt ein einheitliches ToolTip für Aktivitätsinformationen. (Feature#13668)
+Plan: Besetzungen und Abwesenheiten -> In der Fußzeile der Besetzungen kann die Anzahl der Arbeitstage ausgegeben werden. (Feature#13704)
+Dienstplan: Pro Mitarbeiter/Tag können Dienste als "geprüft" markiert werden. (Feature#13841)
+Benutzerverwaltung: Mit "Inaktive ausblenden" werden auch Berechtigungsbereiche für nicht Lizensierte und nicht installierte Module ausgeblendet. (Feature#13881)
+Zusatzdatentypen haben ein "inaktive"-Merkmale. (Feature#13892)
+Dienstplandruck: Layouts können kopiert werden. (Feature#13927)
+Startseite -> Vertragsfristen: Bei wiederholenden Terminen kann eine "erledigt" Frist neu gesetzt werden. Bei den Vertragsfeldtypen kann das Intervall hinterlegt werden. (Feature#13934)
 In Verträgen können sich wiederholende Termine verwaltet werden.
+Produktion -> Kosten: Für Übernachtungskosten lassen sich jetzt Standardwerte hinterlegen. (Wie bei den Reisekosten, über Stammdaten -> Besitzergruppen.). (Feature#13955)
+Produktion -> Kosten: Standartwerte für Proben-, Reisekosten- und Übernachtungspauschale lassen sich überschreiben. (Feature#13959)
+Produktion -> Kosten: Die Plan-Honorare können jetzt in eine andere Spielzeit kopiert werden. (Feature#13963)
+Produktion -> Kosten: Für Ausstattungskosten kann ein Datum für die Budgetierung hinterlegt werden. Hierdurch können die Kosten auf Kalenderjahre aufgeteilt werden. (Feature#13967)
+Abrechnungsregeln: Bei den Einstellungen kann jetzt der Wochentag angegeben werden, für den das Honorar gilt. (Feature#13971)
 Damit kann z.B. die 90/60 Regel umgesetzt werden. Wird auch bei Kostenhochrechnungen und Kostenansichten ausgewertet.
+Dispo-Berichte -> Vorstellungsbudget: Bei der Ausgabe der Ausstattungskosten, wird das Datum für die Budgetierung berücksichtigt. (Feature#13975)
+Dispo-Berichte -> Vorstellungsbudget: Bei der Ausgabe der Kosten, gruppiert nach Produktion, sind die „Pauschalen für Vorstellungen“ jetzt in einer eigenen Zeile. (Feature#13979)
+Vertragstracking: Es können auch Ensembleverträge angezeigt werden. (Feature#13987)
+Besetzung pro Produktion: Der Vertragsstatus kann gedruckt werden. (Feature#13991)
+Kontakt/Grunddaten: Möglichkeit der Suche nach „Funktion“ bei Suchbegriff/Suche in „Alle“. (Feature#13995)
+Budget Spielplan: Es können Spalten für Feiertage, das Tageskennzeichen und die Tagesnotizen angezeigt werden. (Feature#14030)
+Plan -> Zeile pro Tag: Abwesenheiten werden nur am ersten Tag ausgegeben. (Feature#14035)
+Startseite -> Abwesenheiten: Es kann nach Vertragsarten und Abwesenheitsgründen gefiltert werden. (Feature#14072)
+Startseite -> Spielplan: Es kann nach Bühnen gefiltert werden. (Feature#14076)
-Dienstplan: Azubis die wiederholt derselben Abteilung zugewiesen werden, werden 2 mal angezeigt, aber nicht korrekt ausgegraut. (Bug#13620)


Release 4.184.138 vom 11.01.2019
================================

thea.perso
-Rapport -> Freie Tage: Wenn das Überstundenkonto auf monatlich gestellt ist (Rapport erster bis letzter im Monat), werden die Freie Tage der angebrochenen Wochen nicht in der Berechnung berücksichtigt. (Bug#14105)

Sonstiges
-Zeitkonten pro Monat: Der Refresh-Knopf lädt nur die Vertragsliste neu. (Bug#14104)
-Produktionen -> Abteilung: Wenn es keine Verträge in der Abteilung gibt, werden die Rollennamen nicht angezeigt. (Bug#14113)
